-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- # File Information: Common/src/tedw_app/amx/fixpack2/cdw/ddl/amx_cdw_schema.sql, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0503
-- # Revision: 1.14
-- # Date: 2/4/04 22:27:13
-- ############################################################################

--#iftag fixpack_1

CREATE TABLE AMX.Stage_InstKey_No_Ex (
 ITM_KEY       VARCHAR(254) NOT NULL,
 PROPERTY_VAL  VARCHAR(254) NOT NULL,
 IID           BIGINT       NOT NULL,
 EID           INTEGER      NOT NULL,
 RCID          BIGINT       NOT NULL,
 COMPTYP_CD    VARCHAR(17)  NOT NULL,
   PRIMARY KEY (IID, EID, RCID, PROPERTY_VAL, COMPTYP_CD, ITM_KEY)
);

CREATE TABLE AMX.Stage_Attr_No_Ex(
 COMPTYP_CD    VARCHAR(17)  NOT NULL,
 ATTRTYP_CD    VARCHAR(17)  NOT NULL,
 ATTR_ITM      VARCHAR(254) NOT NULL,
 ATTR_VAL      VARCHAR(254),
 TIMEKEY_DTTM  TIMESTAMP    NOT NULL,
 IID           BIGINT       NOT NULL,
 RCID          BIGINT       NOT NULL,
 EID           INTEGER      NOT NULL,
   PRIMARY KEY (ATTRTYP_CD, ATTR_ITM, TIMEKEY_DTTM, IID, RCID, EID)
);

--#endtag fixpack_1

--#iftag fixpack_21
-- do nothing...
--#endtag fixpack_21

--#iftag fixpack_400
-- do nothing...
--#endtag fixpack_400

--#iftag fixpack_500
CREATE TABLE AMX.Stage_Wep_Installed_Old (
  msrc_cd     char(3)
);
--#endtag fixpack_500

--#iftag fixpack_600
-- do nothing...
--#endtag fixpack_600

--#iftag fixpack_605
--
-- update the prune control table to specify the prune period, 
-- which determines the number of slices used by the prune process.
--
ALTER TABLE AMX.PRUNE_CONTROL
ADD PRUNE_PERIOD INTEGER DEFAULT 3600
;
--#endtag fixpack_605


--#iftag fixpack_650

CREATE VIEW AMX.V_RESOURCE_TRANSL
as
select 
t.resource,
t.comptyp_cd,
c.msrc_cd 
from 
amx.comptyp_transl c,
amx.resource_transl t
where 
c.comptyp_cd=t.comptyp_cd and 
substr(c.itm_key_property,1,locate('.',itm_key_property) - 1)=t.resource 
; 

CREATE TABLE AMX.COMPTYP_TRANSL_COMMON (
  msrc_cd     char(3),
  comptyp_cd varchar(17),
  Common_msrc_cd char(6)
);

CREATE VIEW AMX.V_COMPTYP_TRANSL as
select
t.msrc_cd as msrc_cd,
t.ITM_Key_Property as ITM_Key_Property,
t.comptyp_cd as comptyp_cd,
t.comp_format_nm as comp_format_nm,
c.common_msrc_cd as common_msrc_cd
from
amx.comptyp_transl t left outer join amx.comptyp_transl_common c
on
t.msrc_cd=c.msrc_cd and
t.comptyp_cd=c.comptyp_cd
;

--#endtag fixpack_650

--#iftag fixpack_660
-- do nothing...
--#endtag fixpack_660

