-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- # File Information: Common/src/tedw_app/amx/fixpack2/cdw/dml/amx_cdw_data.sql, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0503
-- # Revision: 1.12
-- # Date: 1/29/04 22:09:13
-- ############################################################################

--#iftag fixpack_600
declare global temporary table Extract_Control (
        ExtCtl_Source   	varchar(120) not null,
 	ExtCtl_Target   	varchar(120) not null,
 	ExtCtl_From_RawSeq      char(10) for bit data,
 	ExtCtl_To_RawSeq        char(10) for bit data,
 	ExtCtl_From_IntSeq      bigint,
 	ExtCtl_To_IntSeq        bigint,
 	ExtCtl_From_DtTm     	timestamp not null,
 	ExtCtl_To_DtTm       	timestamp not null
	)
with replace on commit preserve rows not logged
;
----------------------------------------------------
-- Tracing the AMX ETL1 PROCESS Start and End Dates
---------------------------------------------------

insert into session.extract_control values (
    'AMX_STATUS_ETL1_PROCESS' ,
    'AMX_STATUS_ETL1_PROCESS' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'AMX_STATUS_S005_PRE_EXTRACT_STEP' ,
    'AMX_STATUS_S005_PRE_EXTRACT_STEP' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'AMX_STATUS_S010_EXTRACT_STEP' ,
    'AMX_STATUS_S010_EXTRACT_STEP' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'AMX_STATUS_S020_PARSING_STEP' ,
    'AMX_STATUS_S020_PARSING_STEP' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'AMX_STATUS_S030_EXCEPTION_STEP' ,
    'AMX_STATUS_S030_EXCEPTION_STEP' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'AMX_STATUS_S040_COMP_MSMT_STEP' ,
    'AMX_STATUS_S040_COMP_MSMT_STEP' ,
    x'',
    x'',
    -1,
    -1, 
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);
-- insert the static data for the extract table 
-- if not exist already

insert into TWG.Extract_control
select 
 m.ExtCtl_Source as ExtCtl_Source,
 m.ExtCtl_Target as ExtCtl_Target,
 m.ExtCtl_From_RawSeq as ExtCtl_From_RawSeq,
 m.ExtCtl_To_RawSeq as ExtCtl_To_RawSeq,
 m.ExtCtl_From_IntSeq as ExtCtl_From_IntSeq,
 m.ExtCtl_To_IntSeq as ExtCtl_To_IntSeq,
 m.ExtCtl_From_DtTm as ExtCtl_From_DtTm,
 m.ExtCtl_To_DtTm as ExtCtl_To_DtTm  
from 
 session.Extract_Control m
where not exists
( select 1 from
  TWG.Extract_Control t
  where
  t.ExtCtl_Source=m.ExtCtl_Source  and
  t.ExtCtl_Target=m.ExtCtl_Target
  )
; 
--#endtag fixpack_600

--#iftag fixpack_605

-------------------------------------------------------
-- Extract functions used by the sliced extract process
-------------------------------------------------------

declare global temporary table Extract_Control (
    ExtCtl_Source       varchar(120) not null,
    ExtCtl_Target       varchar(120) not null,
    ExtCtl_From_RawSeq  char(10) for bit data,
    ExtCtl_To_RawSeq    char(10) for bit data,
    ExtCtl_From_IntSeq  bigint,
    ExtCtl_To_IntSeq    bigint,
    ExtCtl_From_DtTm    timestamp not null,
    ExtCtl_To_DtTm      timestamp not null
)
with replace on commit preserve rows not logged
;

insert into session.extract_control values (
    'METRICSDATA' ,
    'AMX.STAGE_METRICSDATA',
    x'',
    x'',
    -1,
    -1,
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

insert into session.extract_control values (
    'CATEGORIESDATA' ,
    'AMX.STAGE_CATEGORIESDATA',
    x'',
    x'',
    -1,
    -1,
    '1970-01-01-00.00.00.000000',
    '9999-01-01-00.00.00.000000'
);

--
-- insert the static data for the extract table 
-- if not exist already
--
insert into TWG.Extract_control
select 
 m.ExtCtl_Source as ExtCtl_Source,
 m.ExtCtl_Target as ExtCtl_Target,
 m.ExtCtl_From_RawSeq as ExtCtl_From_RawSeq,
 m.ExtCtl_To_RawSeq as ExtCtl_To_RawSeq,
 m.ExtCtl_From_IntSeq as ExtCtl_From_IntSeq,
 m.ExtCtl_To_IntSeq as ExtCtl_To_IntSeq,
 m.ExtCtl_From_DtTm as ExtCtl_From_DtTm,
 m.ExtCtl_To_DtTm as ExtCtl_To_DtTm  
from 
 session.Extract_Control m
where not exists
( select 1 from
  TWG.Extract_Control t
  where
  t.ExtCtl_Source=m.ExtCtl_Source  and
  t.ExtCtl_Target=m.ExtCtl_Target
); 

-- 
-- set the extraction boudaries to the maximum value reached 
-- by the ExtCtl_To_IntSeq for all the installed WEPs; if the
-- extraction process was never executed, the boudaries are
-- initialized to -1.
--
update TWG.Extract_control
set ExtCtl_From_IntSeq = (select coalesce(max(ExtCtl_To_IntSeq),-1) 
                            from TWG.Extract_control
                           where ExtCtl_Source like '%_METRICSDATA' and
                                 ExtCtl_Target = 'AMX.STAGE_METRICSDATA'),
    ExtCtl_To_IntSeq   = (select coalesce(max(ExtCtl_To_IntSeq),-1) 
                            from TWG.Extract_control
                           where ExtCtl_Source like '%_METRICSDATA' and
                                 ExtCtl_Target = 'AMX.STAGE_METRICSDATA')
where ExtCtl_Source = 'METRICSDATA' and
      ExtCtl_Target = 'AMX.STAGE_METRICSDATA'
;

update TWG.Extract_control
set ExtCtl_From_IntSeq = (select coalesce(max(ExtCtl_To_IntSeq),-1) 
                            from TWG.Extract_control
                           where ExtCtl_Source like '%_CATEGORIESDATA' and
                                 ExtCtl_Target = 'AMX.STAGE_CATEGORIESDATA'),
    ExtCtl_To_IntSeq   = (select coalesce(max(ExtCtl_To_IntSeq),-1) 
                            from TWG.Extract_control
                           where ExtCtl_Source like '%_CATEGORIESDATA' and
                                 ExtCtl_Target = 'AMX.STAGE_CATEGORIESDATA')
where ExtCtl_Source = 'CATEGORIESDATA' and
      ExtCtl_Target = 'AMX.STAGE_CATEGORIESDATA'
;

--#endtag fixpack_605

--#iftag fixpack_650
-- do nothing
--#endtag fixpack_650

--#iftag fixpack_660
-- do nothing...
--#endtag fixpack_660

