-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- # File Information: Common/src/tedw_app/amx/fixpack2/etl/sql/amx_c05_s005_pre_extract.db2, tmnt_etl, tmnt_5.1.1_FP06, 512ITM05LA
-- # Revision: 1.4
-- # Date: 3/17/04 12:50:15
-- ############################################################################


------------------------------------------------------------
-- Update ETL1_STATUS
------------------------------------------------------------

--#EXECUTE_AT_TARGET
UPDATE TWG.EXTRACT_CONTROL 
   SET EXTCTL_FROM_DTTM = CURRENT TIMESTAMP - CURRENT TIMEZONE 
 WHERE EXTCTL_TARGET = 'AMX_STATUS_S005_PRE_EXTRACT_STEP'
;

------------------------------------------------------------
-- Drop METRICSDATA/CATEGORIESDATA staging tables in TWH_CDW
--
-- NOTE: we need also the insert_seq to support the late 
-- pruning of unknown measurement records
--
------------------------------------------------------------

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR          
DROP TABLE AMX.STAGE_METRICSDATA
;

--#EXECUTE_AT_TARGET
CREATE TABLE AMX.STAGE_METRICSDATA (
  MID           BIGINT NOT NULL,
  METRICVALUE   FLOAT NOT NULL,
  TIMEKEY_DTTM  TIMESTAMP NOT NULL,
  IID           BIGINT NOT NULL,
  EID           INTEGER NOT NULL,
  INSERT_SEQ    BIGINT not null
);

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR          
DROP TABLE AMX.STAGE_CATEGORIESDATA1
;

--#EXECUTE_AT_TARGET
CREATE TABLE AMX.STAGE_CATEGORIESDATA1 (
  CID            BIGINT NOT NULL,
  CATEGORYVALUE  VARCHAR(128),
  TIMEKEY_DTTM   TIMESTAMP NOT NULL,
  IID            BIGINT NOT NULL,
  EID            INTEGER NOT NULL,
  INSERT_SEQ     BIGINT not null
);

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR          
DROP TABLE AMX.STAGE_CATEGORIESDATA
;

--#EXECUTE_AT_TARGET
CREATE TABLE AMX.STAGE_CATEGORIESDATA (
  CID            BIGINT NOT NULL,
  CATEGORYVALUE  VARCHAR(128),
  TIMEKEY_DTTM   TIMESTAMP NOT NULL,
  IID            BIGINT NOT NULL,
  EID            INTEGER NOT NULL
);

------------------------------------------------------------
-- Update ETL1_STATUS
------------------------------------------------------------

--#EXECUTE_AT_TARGET
UPDATE TWG.EXTRACT_CONTROL 
   SET EXTCTL_TO_DTTM = CURRENT TIMESTAMP - CURRENT TIMEZONE  
 WHERE EXTCTL_TARGET = 'AMX_STATUS_S005_PRE_EXTRACT_STEP'
;

--#EXECUTE_AT_TARGET
INSERT INTO TWG.EXTRACT_LOG
SELECT
 EC.EXTCTL_SOURCE AS EXTLOG_SOURCE,
 EC.EXTCTL_TARGET AS EXTLOG_TARGET,
 CURRENT TIMESTAMP - CURRENT TIMEZONE AS EXTLOG_DONE_DTTM,
 EC.EXTCTL_FROM_RAWSEQ AS EXTLOG_FROM_RAWSEQ,
 EC.EXTCTL_TO_RAWSEQ AS EXTLOG_TO_RAWSEQ,
 EC.EXTCTL_FROM_INTSEQ AS EXTLOG_FROM_INTSEQ,
 EC.EXTCTL_TO_INTSEQ AS EXTLOG_TO_INTSEQ,
 EC.EXTCTL_FROM_DTTM AS EXTLOG_FROM_DTTM,
 EC.EXTCTL_TO_DTTM AS EXTLOG_TO_DTTM
FROM 
 TWG.EXTRACT_CONTROL EC
WHERE
 EC.EXTCTL_SOURCE = 'AMX_STATUS_S005_PRE_EXTRACT_STEP' AND
 EC.EXTCTL_TARGET = 'AMX_STATUS_S005_PRE_EXTRACT_STEP'
; 
