#!/bin/sh
############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: Common/src/tedw_app/amx/fixpack2/misc/amx_rim_prune.sh, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
#   Revision: 1.3
#   Date: 6/3/04 11:51:37
############################################################################
#
# Wrapper script to launch the amx_rim_prune.pl perl script.
# 
# Parameters:
#   AVACODE    - the AVA_CODE of the caller application
#   SCRIPTNAME - the name of the script to be executed by the execsql engine
#   SRCDB      - source database ODBC alias
#   SRCUSER    - source database user
#   SRCPWD     - source database password
#   TRGDB      - target database ODBC alias
#   TRGUSER    - target database user
#   TRGPWD     - target database password
#
# Returns:
#   -
############################################################################

AVACODE="$1"
SCRIPTNAME="$2"
SRCDB=$3
SRCUSER=$4
SRCPWD=$5
TRGDB=$6
TRGUSER=$7
TRGPWD=$8

VWS_LOGGING=` echo "$VWS_LOGGING" | sed 's/\\\\/\//g' `
APPDIR=` echo "$TWH_TOPDIR/apps/$AVACODE" | sed 's/\\\\/\//g' `

cmdResult=`ls -d "$APPDIR"/v*`
version=`basename "$cmdResult" `

export FULLDIR="$APPDIR/$version/misc"

if [ -f "$TWH_TOPDIR/tools/bin/twh_run.sh" ]; then
. "$TWH_TOPDIR/tools/bin/twh_run.sh"
fi

# Note that amx_rim_prune.pl requires perl5, so on Windows in TEDW 1.1
# use the perl5 executable

if [ -d "$TWH_TOPDIR/tools/lib/perl5" ]; then
	export PERL5LIB="$TWH_TOPDIR/tools/lib/perl5"
fi

os=`uname`;
if [ "$os" != "Windows_NT" ]; then
	PERL="perl"
else
	PERL="perl5"
fi

if [ -d "$TWH_TOPDIR/tools/lib/perl5" ]; then
	OPTIONS="-I$TWH_TOPDIR/tools/lib/perl5"
fi

$PERL $OPTIONS "$FULLDIR/amx_rim_prune.pl" "$SCRIPTNAME" "$SRCDB" "$SRCUSER" "$SRCPWD" "$TRGDB" "$TRGUSER" "$TRGPWD"
