-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amx/fixpack2/misc/copy_new_mdata_into_old.db2, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
-- #   Revision: 1.8
-- #   Date: 2/5/04 21:33:23
-- ############################################################################

--------------------------------------------------
--AMX.Stage_Comp_Level / AMX.Stage_Comp_Level_Old
--------------------------------------------------
--#IGNORE_ERROR
DROP TABLE AMX.Stage_Comp_Level_Old;

CREATE TABLE AMX.Stage_Comp_Level_Old (
  Comptyp_cd  varchar(17),
  msrc_cd     char(3),
  lvl         integer
);

insert into AMX.Stage_Comp_Level_Old
select
 Comptyp_cd as Comptyp_cd,
 msrc_cd as msrc_cd,
 lvl as lvl
from
  AMX.Stage_Comp_Level
;

---------------------------------------------------------
--AMX.Stage_Meta_Keys / AMX.Stage_Meta_Keys_Old
---------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE AMX.Stage_Meta_Keys_Old;
CREATE TABLE AMX.Stage_Meta_Keys_Old (
  comptyp_cd  varchar(17) not null,
  ITM_key     varchar(254) not null,
  lvl         smallint not null,
  msrc_cd     char(3) not null
);

insert into AMX.Stage_Meta_Keys_Old
select
 comptyp_cd as comptyp_cd,
 ITM_key as ITM_key,
 lvl as lvl,
 msrc_cd as msrc_cd
from
  AMX.Stage_Meta_Keys
;

-----------------------------------------------------------
--AMX.Stage_Meta_Names / AMX.Stage_Meta_Names_Old
-----------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE AMX.Stage_Meta_Names_Old;

CREATE TABLE AMX.Stage_Meta_Names_Old (
  comptyp_cd  varchar(17) not null,
  ITM_name    varchar(254) not null,
  lvl         smallint not null,
  msrc_cd     char(3) not null
);

insert into AMX.Stage_Meta_Names_Old
select
 comptyp_cd as comptyp_cd,
 ITM_name as ITM_name,
 lvl as lvl,
 msrc_cd as msrc_cd
from
  AMX.Stage_Meta_Names
;

-----------------------------------------------
-- session.ITM_Comptyp / AMX.Stage_CompTyp_Old
-----------------------------------------------
declare global temporary table ITM_Comptyp (
  CompTyp_Cd           CHAR(17) NOT NULL,
  CompTyp_Parent_Cd    CHAR(17),
  CompTyp_Nm           VARCHAR(120) NOT NULL,
  CompTyp_Strt_DtTm    TIMESTAMP NOT NULL,
  CompTyp_End_DtTm     TIMESTAMP NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.ITM_Comptyp
select
 m1.comptyp_cd as comptyp_cd,
 m1.CompTyp_Parent_Cd as CompTyp_Parent_Cd,
 m1.CompTyp_Nm as CompTyp_Nm,
 m1.CompTyp_Strt_DtTm as CompTyp_Strt_DtTm,
 m1.CompTyp_End_DtTm as CompTyp_End_DtTm
from
 TWG.CompTyp m1,
 AMX.CompTyp_Transl t,
 TWG.MSrc s
where
 t.comptyp_cd= m1.comptyp_cd and
 t.msrc_cd=s.msrc_cd and
 (s.Msrc_cd='AMX' or s.Msrc_Parent_cd='AMX')
group by
 m1.comptyp_cd,m1.comptyp_parent_cd,m1.comptyp_nm,
 m1.comptyp_strt_dttm,m1.comptyp_end_dttm
;
--#IGNORE_ERROR
DROP TABLE AMX.Stage_CompTyp_Old;

CREATE TABLE AMX.Stage_CompTyp_Old (
  CompTyp_Cd         CHAR(17) NOT NULL,
  CompTyp_Parent_Cd  CHAR(17),
  CompTyp_Nm         VARCHAR(120) NOT NULL,
  CompTyp_Strt_DtTm  TIMESTAMP NOT NULL,
  CompTyp_End_DtTm   TIMESTAMP NOT NULL,
    CONSTRAINT XPKCompTyp
      PRIMARY KEY (CompTyp_Cd)
);

insert into AMX.Stage_CompTyp_Old
select
 comptyp_cd as comptyp_cd,
 CompTyp_Parent_Cd  as CompTyp_Parent_Cd ,
 CompTyp_Nm as CompTyp_Nm,
 CompTyp_Strt_DtTm as CompTyp_Strt_DtTm,
 CompTyp_End_DtTm  as CompTyp_End_DtTm
from
  session.ITM_CompTyp
;

--select * from AMX.Stage_Comptyp_Old;
--select * from session.ITM_Comptyp;

-----------------------------------------------
-- session.ITM_AttrRul / AMX.Stage_AttrRul_Old
-----------------------------------------------
declare global temporary table ITM_AttrRul (
  CompTyp_Cd           CHAR(17) NOT NULL,
  AttrTyp_Cd           CHAR(17) NOT NULL,
  AttrRul_Strt_DtTm    TIMESTAMP NOT NULL,
  AttrRul_End_DtTm     TIMESTAMP NOT NULL,
  AttrRul_Dom_Ind      CHAR NOT NULL
)
with replace on commit preserve rows not logged
;

insert into session.ITM_AttrRul
select
 m1.comptyp_cd as comptyp_cd,
 m1.AttrTyp_Cd as AttrTyp_Cd,
 m1.AttrRul_Strt_DtTm as AttrRul_Strt_DtTm,
 m1.AttrRul_End_DtTm as AttrRul_End_DtTm,
 m1.AttrRul_Dom_Ind as AttrRul_Dom_Ind
from
 AMX.Cur_AttrRul m1,
 AMX.Comptyp_Transl t,
 TWG.Msrc s
where
 m1.comptyp_cd=t.comptyp_cd and
 t.msrc_cd=s.msrc_cd and
 (s.Msrc_cd='AMX' or s.Msrc_Parent_cd='AMX')
group by
 m1.comptyp_cd, m1.AttrTyp_Cd,m1.AttrRul_Strt_DtTm,
 m1.AttrRul_End_DtTm,m1.AttrRul_Dom_Ind
;
--#IGNORE_ERROR
DROP TABLE AMX.Stage_AttrRul_Old;

CREATE TABLE AMX.Stage_AttrRul_Old (
  CompTyp_Cd         CHAR(17) NOT NULL,
  AttrTyp_Cd         CHAR(17) NOT NULL,
  AttrRul_Strt_DtTm  TIMESTAMP NOT NULL,
  AttrRul_End_DtTm   TIMESTAMP NOT NULL,
  AttrRul_Dom_Ind    CHAR NOT NULL,
    CONSTRAINT XPKAttrRul
      PRIMARY KEY (CompTyp_Cd, AttrTyp_Cd)
);

insert into AMX.Stage_AttrRul_Old
select
 comptyp_cd as comptyp_cd,
 AttrTyp_Cd as AttrTyp_Cd,
 AttrRul_Strt_DtTm as AttrRul_Strt_DtTm,
 AttrRul_End_DtTm as AttrRul_End_DtTm,
 AttrRul_Dom_Ind as AttrRul_Dom_Ind
from
  session.ITM_AttrRul
;

----------------------------------------------------
-- AMX.RelnRul_Transl / AMX.Stage_RelnRul_Transl_Old
----------------------------------------------------
--#IGNORE_ERROR
DROP TABLE AMX.Stage_RelnRul_Transl_Old;

CREATE TABLE AMX.Stage_RelnRul_Transl_Old (
  CompTyp_Source_Cd  varchar(17) not null,
  CompTyp_Target_Cd  varchar(17) not null,
  RelnTyp_cd         char(6) not null,
  RelnRul_Strt_DtTm  timestamp not null,
  RelnRul_End_DtTm   timestamp not null,
    PRIMARY KEY (CompTyp_Source_Cd, CompTyp_Target_Cd, RelnTyp_Cd, RelnRul_Strt_DtTm)
);

insert into AMX.Stage_RelnRul_Transl_Old
select
 CompTyp_Source_Cd as CompTyp_Source_Cd,
 CompTyp_Target_Cd as CompTyp_Target_Cd,
 RelnTyp_cd as RelnTyp_cd,
 RelnRul_Strt_DtTm as RelnRul_Strt_DtTm,
 RelnRul_End_DtTm as RelnRul_End_DtTm
from
  AMX.RelnRul_Transl
;

--------------------------------------------------------
-- AMX.Stage_All_Comps_Exp / AMX.Stage_All_Comps_Exp_Old
--------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE AMX.Stage_All_Comps_Exp_Old;

CREATE TABLE AMX.Stage_All_Comps_Exp_Old (
  msrc_cd  char(3) not null,
  ckey     varchar(17) not null,
  pkey     varchar(17) not null,
  lvl      smallint not null,
    primary key(pkey, ckey,msrc_cd)
);

insert into AMX.Stage_All_Comps_Exp_Old
select
 msrc_cd as msrc_cd,
 ckey as ckey,
 pkey as pkey,
 lvl as lvl
from
  AMX.Stage_All_Comps_Exp
;

---------------------------------------------------
-- Create the temporary msmt table for all the PACs
---------------------------------------------------

declare global temporary table Temp_Msmt(
  Comp_ID         INTEGER NOT NULL,
  MsmtTyp_ID      INTEGER NOT NULL,
  TmSum_Cd        CHAR NOT NULL,
  Msmt_Strt_Dt    DATE NOT NULL,
  Msmt_Strt_Tm    TIME NOT NULL,
  Msmt_Min_Val    FLOAT,
  Msmt_Max_Val    FLOAT,
  Msmt_Avg_Val    FLOAT,
  Msmt_Tot_Val    FLOAT,
  Msmt_Smpl_Cnt   INTEGER,
  Msmt_Err_Cnt    INTEGER
)
with replace on commit preserve rows not logged
;

update TWG.Extract_Control set Extctl_from_Dttm= current timestamp  - current timezone where EXTCTL_TARGET='AMX_STATUS_S040_COMP_MSMT_STEP';
