-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amx/fixpack2/misc/insert_comp_level1_j2ee_cell.db2, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
-- #   Revision: 1.5
-- #   Date: 3/19/04 17:27:03
-- ############################################################################

------------------
-- STAGE_J2EE_CELL
------------------
-- Find all the rcid,eid, iid that have a J2EE_CELL for parent
DECLARE GLOBAL TEMPORARY TABLE inst_j2ee_cell(
  iid INTEGER,
  eid INTEGER,
  rcid INTEGER
)
WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

insert into session.inst_j2ee_cell
select distinct iid, eid, rcid from amx.stage_instkey_no_ex where itm_key in ( select itm_key_property from amx.comptyp_transl where COMPTYP_CD='J2EE_CELL' );

--#IGNORE_ERROR
DROP TABLE AMX.stage1_j2ee_cell;

CREATE TABLE AMX.stage1_j2ee_cell(
  j2ee_cell   VARCHAR(120) not null,
  iid	INTEGER not null,
  rcid INTEGER not null,
  eid INTEGER not null,
primary key(j2ee_cell,iid,rcid,eid)
)
;


-- cell 

INSERT INTO amx.stage1_j2ee_cell (j2ee_cell,iid,rcid,eid)
select
a1.key_val as j2ee_cell,
a1.iid as iid,
a1.rcid as rcid,
a1.eid as eid
from
 amx.stage_key_parsed a1,
 session.inst_j2ee_cell a2 ,
 amx.comptyp_transl a3 
where
 a1.iid=a2.iid and a1.rcid=a2.rcid and a1.eid=a2.eid and
 a3.comptyp_cd='J2EE_CELL' and 
 a3.ITM_Key_Property=a1.key_typ and
 not exists ( select 1 from amx.stage1_j2ee_cell z
  where 
	z.j2ee_cell=a1.key_val  
	) 
group by
a1.key_val,a1.rcid,a1.iid,a1.eid  
;


--#IGNORE_ERROR
DROP TABLE AMX.stage_j2ee_cell;

CREATE TABLE AMX.stage_j2ee_cell(
  j2ee_cell   VARCHAR(120) not null
)
;

insert into AMX.stage_j2ee_cell
select 
j2ee_cell
from
AMX.stage1_j2ee_cell
group by 
j2ee_cell
;

--select * from amx.stage_j2ee_cell;

----------------------------------
-- J2EE_CELL unique by cell name
----------------------------------
DECLARE GLOBAL TEMPORARY TABLE temp1_comp_J2EE_CELL(
  Comp_id INTEGER,
  Comp_Corr_Val   VARCHAR(254)
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;



INSERT INTO session.temp1_comp_J2EE_CELL
SELECT
c1.comp_id as Comp_id,
c1.comp_nm as Comp_Corr_Val
FROM
    twg.cur_comp c1
WHERE
    c1.comptyp_cd ='J2EE_CELL' 
group by
c1.comp_id, c1.comp_nm
    ;

--select substr(Comp_Corr_Val,1,15) as j2ee_cell from session.temp1_comp_J2EE_CELL;

INSERT INTO twg.comp(comp_id, comptyp_cd, centr_cd, cust_id, comp_nm,comp_strt_dttm,comp_end_dttm,comp_ds)
SELECT
    0 as comp_id,
    'J2EE_CELL' as comptyp_cd,
    'CDW' AS centr_cd,
    1 AS cust_id,
    t1.j2ee_cell AS comp_nm,
    CURRENT TIMESTAMP - CURRENT TIMEZONE AS comp_start_dttm,
    '9999-01-01-00.00.00.000000' AS comp_end_dttm,
    '' AS comp_ds
FROM
    amx.stage_j2ee_cell t1
WHERE
  t1.j2ee_cell != '' and
  NOT EXISTS (
   SELECT 1
   FROM
     session.temp1_comp_J2EE_CELL t2
   WHERE
     t1.j2ee_cell = t2. Comp_Corr_Val
     )
GROUP BY
  t1.j2ee_cell
;

--select * from twg.comp

--------------------------------------------------------
-- Recreate a temporary table with all the new J2EE_CELL
-- inserted in TWG.COMP
---------------------------------------------------------
DECLARE GLOBAL TEMPORARY TABLE temp2_comp_J2EE_CELL (
  Comp_id INTEGER,
  Comp_Corr_Val VARCHAR(254),
  centr_cd VARCHAR(6),
  cust_id INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;


-- server + node + cell 

INSERT INTO session.temp2_comp_J2EE_CELL
SELECT
c1.comp_id as Comp_id,
c1.comp_nm as Comp_Corr_Val,
c1.centr_cd as centr_cd,
c1.cust_id as cust_id
FROM
    twg.cur_comp c1
WHERE
    c1.comptyp_cd = 'J2EE_CELL'
;    
--select * from session.temp2_comp_J2EE_CELL;


--#IGNORE_ERROR
drop table AMX.STG_CDW_J2EE_CELL;

create table AMX.STG_CDW_J2EE_CELL (
comp_id 	integer not null,
iid 		integer not null,
eid		integer not null,
rcid		integer not null,
primary key (iid,rcid,eid,comp_id)
);

insert into AMX.STG_CDW_J2EE_CELL
select
 c1.comp_id,
 o.iid,
 o.eid,
 o.rcid
from
 AMX.stage1_J2EE_CELL o,
 session.temp2_comp_J2EE_CELL c1
where
c1.comp_corr_val=o.j2ee_cell 
group by
c1.comp_id,o.eid,o.rcid,o.iid
;

--select * from amx.stg_cdw_J2EE_CELL;

