-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amx/fixpack2/misc/insert_comp_level2_j2ee_node.db2, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
-- #   Revision: 1.5
-- #   Date: 4/8/04 11:03:07
-- ############################################################################
------------------
-- STAGE_J2EE_NODE
------------------
-- Find all the rcid,eid, iid that have a J2EE_NODE for parent
DECLARE GLOBAL TEMPORARY TABLE inst_j2ee_node(
  iid INTEGER,
  eid INTEGER,
  rcid INTEGER
)
WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

insert into session.inst_j2ee_node
select distinct iid, eid, rcid from amx.stage_instkey_no_ex where itm_key in ( select itm_key_property from amx.comptyp_transl where COMPTYP_CD='J2EE_NODE' );

--#IGNORE_ERROR
DROP TABLE AMX.stage1_j2ee_node;

CREATE TABLE AMX.stage1_j2ee_node(
  j2ee_node   VARCHAR(120) not null,
  j2ee_node_os VARCHAR(254),
  j2ee_cell   VARCHAR(120) not null,
  iid	INTEGER not null,
  rcid INTEGER not null,
  eid INTEGER not null,
primary key(j2ee_node,j2ee_cell,iid,rcid,eid)
)
;


--  node + cell

INSERT INTO amx.stage1_j2ee_node (j2ee_node,j2ee_node_os,j2ee_cell,iid,rcid,eid)
select
a1.key_val as j2ee_node,
'UNKNOWN' as j2ee_node_os,
d1.key_val as j2ee_cell,
a1.iid as iid,
a1.rcid as rcid,
a1.eid as eid
from
 amx.stage_key_parsed a1,
 amx.stage_key_parsed d1,
 session.inst_j2ee_node a2 ,
 amx.comptyp_transl a3 ,
 amx.comptyp_transl a5
where
 a1.iid=a2.iid and a1.rcid=a2.rcid and a1.eid=a2.eid and
 a1.iid=d1.iid and a1.rcid=d1.rcid and a1.eid=d1.eid and
 a3.comptyp_cd='J2EE_NODE'  and
 a3.ITM_Key_Property=a1.key_typ and
 a5.comptyp_cd='J2EE_CELL'  and
 a5.ITM_Key_Property=d1.key_typ  and
 not exists ( select 1 from amx.stage1_j2ee_node z
  where 
        z.j2ee_node=a1.key_val  and
	z.j2ee_cell=d1.key_val  
	) 
group by
a1.key_val , d1.key_val,a1.rcid,a1.iid,a1.eid  
;


--OS_NAME

DECLARE GLOBAL TEMPORARY TABLE attr_j2ee_node_os(
  attr_val      varchar(254),
  iid           bigint not null,
  rcid          bigint not null,
  eid           integer not null
)
WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

insert into session.attr_j2ee_node_os (attr_val, iid, rcid,eid)
select distinct s1.attr_Val, s1.iid,  s1.rcid, s1.eid from amx.stage_attr_no_ex s1, session.inst_j2ee_node a1 where a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid and s1.attrtyp_cd='OS_NAME'  ;

update amx.stage1_j2ee_node s1 set s1.j2ee_node_os= (
select 
a1.attr_val 
from 
 session.attr_j2ee_node_os a1
where
a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid 
)
where exists ( select 1 from session.attr_j2ee_node_os a1 where a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid )
;


--#IGNORE_ERROR
DROP TABLE AMX.stage_j2ee_node;

CREATE TABLE AMX.stage_j2ee_node(
  j2ee_node   VARCHAR(120) not null,
  j2ee_node_os VARCHAR(254),
  j2ee_cell   VARCHAR(120) not null,
primary key(j2ee_node,j2ee_cell)
)
;

insert into AMX.stage_j2ee_node
select 
j2ee_node,
min(j2ee_node_os),
j2ee_cell
from
AMX.stage1_j2ee_node
group by 
j2ee_node, j2ee_cell
;

--select * from amx.stage_j2ee_node;

------------------------------------------------------------
-- J2EE_NODE unique by its node name + cell name in WAS v >5
-----------------------------------------------------------
DECLARE GLOBAL TEMPORARY TABLE temp1_comp_J2EE_NODE(
  Comp_id INTEGER,
  Comp_Corr_Val   VARCHAR(254),
  Comp_Parent_Corr_Val   VARCHAR(254)
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;


INSERT INTO session.temp1_comp_J2EE_NODE
SELECT
c1.comp_id as Comp_id,
c1.comp_nm as Comp_Corr_Val,
c2.comp_nm as Comp_Parent_Corr_Val
FROM
    twg.cur_comp c1,
    twg.cur_compreln r1,
    twg.cur_comp c2
WHERE
    c1.comptyp_cd = 'J2EE_NODE' and
    r1.comp_target_id = c1.comp_id and
    r1.relntyp_cd ='PCHILD' and
    r1.comp_source_id = c2.comp_id and
    c2.comptyp_cd ='J2EE_CELL' 
group by
c1.comp_id, c1.comp_nm, c2.comp_nm
    ;

--select substr(Comp_Corr_Val,1,15) as j2ee_node, substr(Comp_Parent_Corr_Val,1,15) as j2ee_cell from session.temp1_comp_J2EE_NODE;

INSERT INTO twg.comp(comp_id, comptyp_cd, centr_cd, cust_id, comp_nm,comp_corr_val,comp_strt_dttm,comp_end_dttm,comp_ds)
SELECT
    0 AS Comp_ID,
    'J2EE_NODE' AS comptyp_cd,
    'CDW' AS centr_cd,
    1 AS cust_id,
    t1.j2ee_node AS comp_nm,
    'FROM_ITM!!' concat t1.j2ee_cell as comp_corr_val,
    CURRENT TIMESTAMP - CURRENT TIMEZONE AS comp_start_dttm,
    '9999-01-01-00.00.00.000000' AS comp_end_dttm,
    '' AS comp_ds
FROM    
    amx.stage_j2ee_node t1
WHERE
  t1.j2ee_node != '' and
  NOT EXISTS (
   SELECT 1
   FROM
     session.temp1_comp_J2EE_NODE t2
   WHERE
     t1.j2ee_node =  t2.Comp_Corr_Val and
     t1.j2ee_cell = t2.Comp_Parent_Corr_Val 
     )
GROUP BY
  t1.j2ee_node, t1.j2ee_cell
;

-----------------------------------------------------------
-- Add CompReln for J2EE CELL to J2EE NODE (PCHILD)
-----------------------------------------------------------

INSERT INTO TWG.CompReln (Compreln_id, comp_source_id, comp_target_id, relntyp_cd, compreln_strt_dttm, compreln_end_dttm)
SELECT DISTINCT
    0 AS Compreln_id,
    c2.comp_id AS comp_source_id,
    c1.comp_id AS comp_target_id,
    'PCHILD' AS relntyp_cd,
    c1.comp_strt_dttm AS compreln_strt_dttm,
   '9999-01-01-00.00.00.000000' AS compreln_end_dttm
FROM
    twg.cur_comp c1,
    twg.cur_comp c2,
    amx.stage_j2ee_node c4
WHERE
    c1.CompTyp_Cd = 'J2EE_NODE' AND
    c2.CompTyp_Cd = 'J2EE_CELL' AND
    c4.j2ee_node=c1.comp_nm and
    c4.j2ee_cell=c2.comp_nm AND
    locate('FROM_ITM!!',c1.comp_corr_val)!=0 and
    -- J2ee_Node(cell)=cell
     substr(c1.comp_corr_val,locate('!!',c1.comp_corr_val) + 2, length(c1.comp_corr_val) - locate('!!',c1.comp_corr_val))=c2.comp_nm and
    NOT EXISTS(
    SELECT 1 FROM twg.cur_compreln c3
    WHERE
    c2.comp_id = c3.comp_source_id
    AND c1.comp_id = c3.comp_target_id
    AND c3.relntyp_cd='PCHILD')
;

---------------------------------------------------------
--- Add OS_NAME as a Component Attribute
-- of the J2EE_NODE
---------------------------------------------------------
DECLARE GLOBAL TEMPORARY TABLE temp2_comp_J2EE_NODE(
  Comp_id INTEGER,
  Comp_Corr_Val VARCHAR(254),
  Comp_Parent_Corr_Val  VARCHAR(254)
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

insert into session.temp2_comp_J2EE_NODE
select
c1.comp_id as Comp_id,
c1.comp_nm as Comp_Corr_Val,
c2.comp_nm as Comp_Grand_Parent_Corr_Val
from
twg.cur_comp c1,
twg.cur_comp c2,
twg.cur_compreln r1
where
c1.comptyp_cd='J2EE_NODE'and
r1.relntyp_cd='PCHILD' and
c1.comp_id=r1.comp_target_id and
r1.comp_source_id=c2.comp_id and
c2.comptyp_cd='J2EE_CELL'
group by
c1.comp_id,c2.comp_nm,c1.comp_nm
;

--select * from session.temp2_comp_J2EE_NODE;

DECLARE GLOBAL TEMPORARY TABLE tmp1_j2ee_node_os_name(
     comp_id INTEGER,
     last_value VARCHAR(254)
)WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED;


Insert into session.tmp1_j2ee_node_os_name
select
    ca.comp_id as comp_id,
    ca.compattr_val as last_value
from
    twg.cur_compattr ca,
    twg.cur_comp c
where
    c.comptyp_cd = 'J2EE_NODE' and
    ca.attrtyp_cd = 'OS_NAME' and
    ca.comp_id=c.comp_id
    ;


Declare global temporary table tmp2_j2ee_node_os_name (
  Comp_id        integer,
  Last_Value     varchar(254)
)
with replace on commit preserve rows not logged
;


insert into session.tmp2_j2ee_node_os_name
select
 c1.Comp_id as Comp_id,
 ca1.last_value as Last_Value
from
 session.temp2_comp_J2EE_NODE c1 left outer join session.tmp1_j2ee_node_os_name ca1
 on ( c1.Comp_id = ca1.comp_id)
;


insert into twg.compattr (compattr_id, comp_id, AttrTyp_Cd, CompAttr_Strt_DtTm, CompAttr_End_DtTm, CompAttr_Val)
select
 0 as compattr_id,
 c1.Comp_id as comp_id,
 'OS_NAME' as AttrTyp_Cd,
 current timestamp - current timezone as CompAttr_Strt_DtTm,
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm,
 s1.j2ee_node_os as CompAttr_Val
from
 amx.stage_j2ee_node s1,
 session.temp2_comp_J2EE_NODE c1,
 session.tmp2_j2ee_node_os_name ca1
where
  s1.j2ee_node = c1.Comp_Corr_Val and
  s1.j2ee_cell = c1.Comp_Parent_Corr_Val and
  ca1.comp_id=c1.Comp_id and
  ca1.last_value is null
group by
  c1.Comp_id, s1.j2ee_node_os
;  

--select * from twg.compattr;


insert into twg.compattr (compattr_id, comp_id, AttrTyp_Cd, CompAttr_Strt_DtTm, CompAttr_End_DtTm, CompAttr_Val)
select
 0 as compattr_id,
 c1.Comp_id as comp_id,
 'OS_NAME' as AttrTyp_Cd,
 current timestamp - current timezone as CompAttr_Strt_DtTm,
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm,
 s1.j2ee_node_os as CompAttr_Val
from
 amx.stage_j2ee_node s1,
 session.temp2_comp_J2EE_NODE c1,
 session.tmp2_j2ee_node_os_name ca1
where
  s1.j2ee_node =  c1.Comp_Corr_Val and
  s1.j2ee_cell = c1.Comp_Parent_Corr_Val and
  ca1.last_value is not null and
  ca1.comp_id=c1.Comp_id and
  ca1.last_value != s1.j2ee_node_os
group by
  c1.Comp_id,  s1.j2ee_node_os
;

--select * from twg.compattr

--#IGNORE_ERROR
drop table AMX.STG_CDW_J2EE_NODE;

create table AMX.STG_CDW_J2EE_NODE (
comp_id 	integer not null,
iid 		integer not null,
eid		integer not null,
rcid		integer not null,
primary key (iid,rcid,eid,comp_id)
);

insert into AMX.STG_CDW_J2EE_NODE
select
 c1.comp_id,
 o.iid,
 o.eid,
 o.rcid
from
 AMX.stage1_J2EE_NODE o,
 session.temp2_comp_J2EE_NODE c1
where
c1.comp_corr_val=o.j2ee_node and 
c1.comp_parent_corr_val=o.j2ee_cell 
group by
c1.comp_id,o.eid,o.rcid,o.iid
;

--select * from amx.stg_cdw_J2EE_NODE;


