-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amx/fixpack2/misc/insert_comp_level3_j2ee_server.db2, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
-- #   Revision: 1.6
-- #   Date: 4/8/04 11:03:08
-- ############################################################################
------------------
-- STAGE_J2EE_SERVER
------------------
-- Find all the rcid,eid, iid that have a J2EE_SERVER for parent
DECLARE GLOBAL TEMPORARY TABLE inst_j2ee_server(
  iid INTEGER,
  eid INTEGER,
  rcid INTEGER
)
WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

insert into session.inst_j2ee_server
select distinct iid, eid, rcid from amx.stage_instkey_no_ex where itm_key in ( select itm_key_property from amx.comptyp_transl where COMPTYP_CD='J2EE_SERVER' );

--#IGNORE_ERROR
DROP TABLE AMX.stage1_j2ee_server;

CREATE TABLE AMX.stage1_j2ee_server(
  j2ee_server VARCHAR(254) not null,
  j2ee_node   VARCHAR(120) not null,
  j2ee_cell   VARCHAR(120) not null,
  j2ee_app_type VARCHAR(254) ,
  j2ee_app_vers VARCHAR(254) ,
  j2ee_cluster VARCHAR(254),
  host_nm	VARCHAR(254),
  iid	INTEGER not null,
  rcid INTEGER not null,
  eid INTEGER not null,
primary key(j2ee_server,j2ee_node,j2ee_cell,iid,rcid,eid)
)
;


-- server + node + cell  -  IBM/Websphere 5.x or more

INSERT INTO amx.stage1_j2ee_server (j2ee_server,j2ee_node,j2ee_cell,j2ee_app_type,j2ee_app_vers,j2ee_cluster,host_nm,iid,rcid,eid)
select
a1.key_val as j2ee_server ,
e1.key_val as j2ee_node,
d1.key_val as j2ee_cell,
'UNKNOWN'  as j2ee_app_type,
'UNKNOWN' as j2ee_app_vers,
'UNKNOWN' as j2ee_cluster,
case 
when
e.host_nm != ''
then
e.host_nm
else
e.ip_addr
end as host_nm, 
a1.iid as iid,
a1.rcid as rcid,
a1.eid as eid
from
 amx.stage_key_parsed a1,
 amx.stage_key_parsed d1,
 amx.stage_key_parsed e1,
 session.inst_j2ee_server a2 ,
 amx.comptyp_transl a3 ,
 amx.comptyp_transl a5,
 amx.comptyp_transl a6,
 amx.stage_ep_no_ex e
where
 a1.iid=a2.iid and a1.rcid=a2.rcid and a1.eid=a2.eid and
 a1.iid=d1.iid and a1.rcid=d1.rcid and a1.eid=d1.eid and
 a1.iid=e1.iid and a1.rcid=e1.rcid and a1.eid=e1.eid and
 a3.comptyp_cd='J2EE_SERVER' and
 a3.ITM_Key_Property=a1.key_typ and
 a5.comptyp_cd='J2EE_CELL'  and
 a5.ITM_Key_Property=d1.key_typ  and
 a6.comptyp_cd='J2EE_NODE'  and
 a6.ITM_Key_Property=e1.key_typ and
 e.eid=a1.eid and
 not exists ( select 1 from amx.stage1_j2ee_server z
  where z.j2ee_server=a1.key_val  and
        z.j2ee_node=d1.key_val  and
	z.j2ee_cell=e1.key_val  
	) 
group by
a1.key_val , d1.key_val, e1.key_val , 
e.host_nm, e.ip_addr, a1.rcid,a1.iid,a1.eid  
;

DECLARE GLOBAL TEMPORARY TABLE attr_j2ee_server_mf(
  attr_val      varchar(254),
  iid           bigint not null,
  rcid          bigint not null,
  eid           integer not null
)
WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

insert into session.attr_j2ee_server_mf (attr_val, iid, rcid,eid)
select distinct s1.attr_Val, s1.iid,  s1.rcid, s1.eid from amx.stage_attr_no_ex s1, session.inst_j2ee_server a1 where a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid and s1.attrtyp_cd='MANUFACTURER'  ;

update amx.stage1_j2ee_server s1 set s1.j2ee_app_type= (
select 
a1.attr_val 
from 
 session.attr_j2ee_server_mf a1
where
a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid 
)
where exists ( select 1 from session.attr_j2ee_server_mf a1 where a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid )
;


--VERSION
DECLARE GLOBAL TEMPORARY TABLE attr_j2ee_server_vs(
  attr_val      varchar(254),
  iid           bigint not null,
  rcid          bigint not null,
  eid           integer not null
)
WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

insert into session.attr_j2ee_server_vs (attr_val, iid, rcid,eid)
select distinct s1.attr_Val, s1.iid,  s1.rcid, s1.eid from amx.stage_attr_no_ex s1, session.inst_j2ee_server a1 where a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid and s1.attrtyp_cd='VERSION'  ;

update amx.stage1_j2ee_server s1 set s1.j2ee_app_vers= (
select 
a1.attr_val 
from 
 session.attr_j2ee_server_vs a1
where
a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid 
)
where exists ( select 1 from session.attr_j2ee_server_vs a1 where a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid )
;

--CLUSTER
DECLARE GLOBAL TEMPORARY TABLE attr_j2ee_server_cl(
  attr_val      varchar(254),
  iid           bigint not null,
  rcid          bigint not null,
  eid           integer not null
)
WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

insert into session.attr_j2ee_server_cl (attr_val, iid, rcid,eid)
select distinct s1.attr_Val, s1.iid,  s1.rcid, s1.eid from amx.stage_attr_no_ex s1, session.inst_j2ee_server a1 where a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid and s1.attrtyp_cd='WAS_CLUSTER'  ;

update amx.stage1_j2ee_server s1 set s1.j2ee_cluster= (
select 
a1.attr_val 
from 
 session.attr_j2ee_server_cl a1
where
a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid 
)
where exists ( select 1 from session.attr_j2ee_server_cl a1 where a1.iid=s1.iid and a1.rcid=s1.rcid and a1.eid=s1.eid )
;

--#IGNORE_ERROR
DROP TABLE AMX.stage_j2ee_server;

CREATE TABLE AMX.stage_j2ee_server(
  j2ee_server VARCHAR(254) not null,
  j2ee_node   VARCHAR(120) not null,
  j2ee_cell   VARCHAR(120) not null,
  j2ee_app_type VARCHAR(254) not null,
  j2ee_app_vers VARCHAR(254) ,
  j2ee_cluster VARCHAR(254),
  host_nm	VARCHAR(254),
primary key(j2ee_server,j2ee_node,j2ee_cell)
)
;

insert into AMX.stage_j2ee_server
select 
j2ee_server,
j2ee_node,
j2ee_cell,
min(j2ee_app_type),
min(j2ee_app_vers) ,
min(j2ee_cluster),
min(host_nm)
from
AMX.stage1_j2ee_server
group by 
j2ee_server,j2ee_node, j2ee_cell
;

--select * from amx.stage_j2ee_server;

------------------------------------------------------------
-- J2EE_SERVER unique by its server name, node name + cell name in WAS v >5
-----------------------------------------------------------

DECLARE GLOBAL TEMPORARY TABLE temp1_comp_J2EE_SERVER(
  Comp_id INTEGER,
  Comp_Corr_Val VARCHAR(254),
  Comp_Parent_Corr_Val   VARCHAR(254),
  Comp_Grand_Parent_Corr_Val   VARCHAR(254)
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;

-- server + node + cell 

INSERT INTO session.temp1_comp_J2EE_SERVER
SELECT
c1.comp_id as Comp_id,
c1.comp_nm as Comp_Corr_Val,
c2.comp_nm as Comp_Parent_Corr_Val,
c3.comp_nm as Comp_Grand_Parent_Corr_Val
FROM
    twg.cur_comp c1,
    twg.cur_compreln r1,
    twg.cur_comp c2,
    twg.cur_comp c3,
    twg.cur_compreln r2
WHERE
    c1.comptyp_cd = 'J2EE_SERVER' and
    r1.comp_source_id = c2.comp_id and
    c2.comptyp_cd = 'J2EE_NODE' and
    r1.comp_target_id = c1.comp_id and
    r1.relntyp_cd ='PCHILD' and
    r2.relntyp_cd ='PCHILD' and
    r2.comp_source_id = c3.comp_id and
    r2.comp_target_id =  c2.comp_id and
    c3.comptyp_cd ='J2EE_CELL' 
group by
c1.comp_id, c1.comp_nm, c2.comp_nm, c3.comp_nm
    ;

----------------------------------------------------------------
-- J2EE_SERVER : unique by its server name, node name, cell name
-- vendor, no domain in WAS v>5
----------------------------------------------------------------

INSERT INTO twg.comp(comp_id, comptyp_cd, centr_cd, cust_id, comp_nm,comp_corr_val,comp_strt_dttm,comp_end_dttm,comp_ds)
SELECT
    0 AS comp_id,
    'J2EE_SERVER' AS comptyp_cd,
    ce.centr_cd AS centr_cd,
    u.cust_id AS cust_id,
    t1.j2ee_server AS comp_nm,
    'FROM_ITM!!' concat t1.j2ee_node concat '##' concat t1.j2ee_cell as comp_corr_val,
    CURRENT TIMESTAMP - CURRENT TIMEZONE AS comp_start_dttm,
    '9999-01-01-00.00.00.000000' AS comp_end_dttm,
    '' AS comp_ds
FROM
    amx.stage_j2ee_server t1,
    amx.cust_lookup cu,
    amx.centr_lookup ce,
    TWG.CUST u,
    TWG.CENTR e
WHERE
  ((cu.value=t1.host_nm and u.cust_acct_cd = cu.cust_acct_cd) or (cu.value = '@')) AND
  ((ce.value=t1.host_nm and e.centr_cd = ce.centr_cd) or (ce.value = '@')) AND
  NOT EXISTS (
   SELECT 1
   FROM
     session.temp1_comp_J2EE_SERVER t2
   WHERE
     t1.j2ee_server = t2.Comp_Corr_Val and
     t1.j2ee_node =  t2.Comp_Parent_Corr_Val and
     t1.j2ee_cell = t2.Comp_Grand_Parent_Corr_Val 
     )
   GROUP BY
  t1.j2ee_server, t1.j2ee_node , t1.j2ee_cell, ce.centr_cd, u.cust_id
;

-----------------------------------------------------------
-- Add CompReln for J2EE Node to J2EE Server (PCHILD)
-----------------------------------------------------------

INSERT INTO TWG.CompReln (Compreln_id, comp_source_id, comp_target_id, relntyp_cd, compreln_strt_dttm, compreln_end_dttm)
SELECT DISTINCT
    0 AS Compreln_id,
    c2.comp_id AS comp_source_id,
    c1.comp_id AS comp_target_id,
    'PCHILD' AS relntyp_cd,
    c1.comp_strt_dttm AS compreln_strt_dttm,
   '9999-01-01-00.00.00.000000' AS compreln_end_dttm
FROM
    twg.cur_comp c1,
    twg.cur_comp c2,
    amx.stage_j2ee_server c4
WHERE
    c1.CompTyp_Cd = 'J2EE_SERVER' and
    c2.CompTyp_Cd = 'J2EE_NODE' and
    c4.j2ee_server=c1.comp_nm and
    c4.j2ee_node=c2.comp_nm and
    locate ('FROM_ITM!!',c1.comp_corr_val) !=0 and
   --J2ee_server(cell)=Node(Cell)
   substr(c1.comp_corr_val, locate('##',c1.comp_corr_val) + 2,length(c1.comp_corr_val) - locate('##',c1.comp_corr_val) -1 )= substr(c2.comp_corr_val,locate('!!',c2.comp_corr_val) + 2, length(c2.comp_corr_val) - locate('!!',c2.comp_corr_val) - 1)  AND
    --J2ee_server(node)=Node
     substr(c1.comp_corr_val, locate('!!',c1.comp_corr_val) + 2,locate('##',c1.comp_corr_val) - locate ('!!',c1.comp_corr_val) - 2)=c2.comp_nm and  NOT EXISTS(
    SELECT 1 FROM twg.cur_compreln c3
    WHERE
    c2.comp_id = c3.comp_source_id and
    c1.comp_id = c3.comp_target_id and
    c3.relntyp_cd='PCHILD')
;



-----------------------------------------------------------
-- Add CompReln for J2EE SERVER to HOST (RUNSON)
-----------------------------------------------------------

INSERT INTO TWG.CompReln (Compreln_id, comp_source_id, comp_target_id, relntyp_cd, compreln_strt_dttm, compreln_end_dttm)
SELECT DISTINCT
    0 AS Compreln_id,
    c1.comp_id AS comp_source_id,
    c2.comp_id AS comp_target_id,
    'RUNSON' AS relntyp_cd,
    c1.comp_strt_dttm AS compreln_strt_dttm,
   '9999-01-01-00.00.00.000000' AS compreln_end_dttm
FROM
    twg.cur_comp c1,
    twg.cur_comp c2,
    amx.stage_j2ee_server t1
WHERE
    c1.CompTyp_Cd = 'J2EE_SERVER' AND
    (c2.CompTyp_Cd ='IP_INTERFACE' OR c2.comptyp_cd like '%HOST%') AND
    t1.j2ee_server=c1.comp_nm and
    locate('FROM_ITM!!',c1.comp_corr_val)!=0 and
    t1.j2ee_node=substr(c1.comp_corr_val, locate('!!',c1.comp_corr_val) + 2,locate('##',c1.comp_corr_val) - locate ('!!',c1.comp_corr_val) - 2) and
    t1.j2ee_cell=substr(c1.comp_corr_val, locate('##',c1.comp_corr_val) + 2,length(c1.comp_corr_val) - locate('##',c1.comp_corr_val) -1 ) and
    t1.host_nm=c2.comp_nm and
    NOT EXISTS(
    SELECT 1 FROM twg.cur_compreln c3
    WHERE
    c1.comp_id = c3.comp_source_id AND
    c2.comp_id = c3.comp_target_id AND
    c3.relntyp_cd='RUNSON')
;

--------------------------------------------------------
-- Recreate a temporary table with all the new J2EE_SERVER
-- inserted in TWG.COMP
---------------------------------------------------------
DECLARE GLOBAL TEMPORARY TABLE temp2_comp_J2EE_SERVER (
  Comp_id INTEGER,
  Comp_Corr_Val VARCHAR(254),
  Comp_Parent_Corr_Val   VARCHAR(254),
  Comp_Grand_Parent_Corr_Val   VARCHAR(254),
  centr_cd VARCHAR(6),
  cust_id INTEGER
) WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED
;


-- server + node + cell 

INSERT INTO session.temp2_comp_J2EE_SERVER
SELECT
c1.comp_id as Comp_id,
c1.comp_nm as Comp_Corr_Val,
c2.comp_nm as Comp_Parent_Corr_Val,
c3.comp_nm as Comp_Grand_Parent_Corr_Val,
c1.centr_cd as centr_cd,
c1.cust_id as cust_id
FROM
    twg.cur_comp c1,
    twg.cur_compreln r1,
    twg.cur_comp c2,
    twg.cur_comp c3,
    twg.cur_compreln r2
WHERE
    c1.comptyp_cd = 'J2EE_SERVER' and
    r1.comp_source_id = c2.comp_id and
    c2.comptyp_cd = 'J2EE_NODE' and
    r1.comp_target_id = c1.comp_id and
    r1.relntyp_cd ='PCHILD' and
    r2.relntyp_cd ='PCHILD' and
    r2.comp_source_id = c3.comp_id and
    r2.comp_target_id =  c2.comp_id and
    c3.comptyp_cd ='J2EE_CELL' 
group by
c1.comp_id, c1.comp_nm, c2.comp_nm, c3.comp_nm,c1.centr_cd,c1.cust_id;

--select * from session.temp2_comp_J2EE_SERVER;

---------------------------------------------------------
--- Add Vendor as a Component Attribute
-- of the J2EE_SERVER
---------------------------------------------------------

DECLARE GLOBAL TEMPORARY TABLE tmp1_j2ee_vendor(
     comp_id INTEGER,
     last_value VARCHAR(254)
)WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED;


Insert into session.tmp1_j2ee_vendor
select
    ca.comp_id as comp_id,
    ca.compattr_val as last_value
from
    twg.cur_compattr ca,
    twg.cur_comp c
where
    c.comptyp_cd = 'J2EE_SERVER' and
    ca.attrtyp_cd = 'MANUFACTURER' and
    ca.comp_id=c.comp_id
    ;


declare global temporary table tmp2_j2ee_vendor (
  Comp_id        integer,
  Last_Value     varchar(254)
)
with replace on commit preserve rows not logged
;


insert into session.tmp2_j2ee_vendor
select
 c1.Comp_id as Comp_id,
 ca1.last_value as Last_Value
from
 session.temp2_comp_J2EE_SERVER c1 left outer join session.tmp1_j2ee_vendor ca1
 on ( c1.Comp_id = ca1.comp_id)
;


 insert into twg.compattr (compattr_id, comp_id, AttrTyp_Cd, CompAttr_Strt_DtTm, CompAttr_End_DtTm, CompAttr_Val)
select
 0 as compattr_id,
 c1.Comp_id as comp_id,
 'MANUFACTURER' as AttrTyp_Cd,
 current timestamp - current timezone as CompAttr_Strt_DtTm,
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm,
 s1.j2ee_app_type as CompAttr_Val
from
 amx.stage_j2ee_server s1,
 session.temp2_comp_J2EE_SERVER c1,
 session.tmp2_j2ee_vendor ca1
where
  s1.j2ee_server = c1.Comp_Corr_Val and
  s1.j2ee_node =  c1.Comp_Parent_Corr_Val and
  s1.j2ee_cell = c1.Comp_Grand_Parent_Corr_Val and
  ca1.comp_id=c1.Comp_id and
  ca1.last_value is null
group by
  c1.Comp_id, s1.j2ee_app_type
;

--select * from twg.compattr;


insert into twg.compattr (compattr_id, comp_id, AttrTyp_Cd, CompAttr_Strt_DtTm, CompAttr_End_DtTm, CompAttr_Val)
select
 0 as compattr_id,
 c1.Comp_id as comp_id,
 'MANUFACTURER' as AttrTyp_Cd,
 current timestamp - current timezone as CompAttr_Strt_DtTm,
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm,
 s1.j2ee_app_type as CompAttr_Val
from
 amx.stage_j2ee_server s1,
 session.temp2_comp_J2EE_SERVER c1,
 session.tmp2_j2ee_vendor ca1
where
  s1.j2ee_server = c1.Comp_Corr_Val and
  s1.j2ee_node =  c1.Comp_Parent_Corr_Val and
  s1.j2ee_cell = c1.Comp_Grand_Parent_Corr_Val and
  ca1.last_value is not null and
  ca1.comp_id=c1.Comp_id and
  ca1.last_value != s1.j2ee_app_type
group by
  c1.Comp_id,  s1.j2ee_app_type
;

--select * from twg.compattr

---------------------------------------------------------
--- Add Version as a Component Attribute
-- of the J2EE_SERVER
---------------------------------------------------------

DECLARE GLOBAL TEMPORARY TABLE tmp1_j2ee_version(
     comp_id INTEGER,
     last_value VARCHAR(254)
)WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED;


Insert into session.tmp1_j2ee_version
select
    ca.comp_id as comp_id,
    ca.compattr_val as last_value
from
    twg.cur_compattr ca,
    twg.cur_comp c
where
    c.comptyp_cd = 'J2EE_SERVER' and
    ca.attrtyp_cd = 'VERSION' and
    ca.comp_id=c.comp_id
    ;


declare global temporary table tmp2_j2ee_version (
  Comp_id        integer,
  Last_Value     varchar(254)
)
with replace on commit preserve rows not logged
;


insert into session.tmp2_j2ee_version
select
 c1.Comp_id as Comp_id,
 ca1.last_value as Last_Value
from
 session.temp2_comp_J2EE_SERVER c1 left outer join session.tmp1_j2ee_version ca1
 on ( c1.Comp_id = ca1.comp_id)
;

-- select * from session.tmp2_j2ee_version;

 insert into twg.compattr(compattr_id, comp_id, AttrTyp_Cd, CompAttr_Strt_DtTm, CompAttr_End_DtTm, CompAttr_Val)
select
 0 as compattr_id,
 c1.Comp_id as comp_id,
 'VERSION' as AttrTyp_Cd,
 current timestamp - current timezone as CompAttr_Strt_DtTm,
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm,
 s1.j2ee_app_vers as CompAttr_Val
from
 amx.stage_j2ee_server s1,
 session.temp2_comp_J2EE_SERVER c1,
 session.tmp2_j2ee_version ca1
where
  s1.j2ee_server = c1.Comp_Corr_Val and
  s1.j2ee_node =  c1.Comp_Parent_Corr_Val and
  s1.j2ee_cell = c1.Comp_Grand_Parent_Corr_Val and
  ca1.comp_id=c1.Comp_id and
  ca1.last_value is null
group by
  c1.Comp_id, s1.j2ee_app_vers
;

--select * from twg.compattr;


insert into twg.compattr (compattr_id, comp_id, AttrTyp_Cd, CompAttr_Strt_DtTm, CompAttr_End_DtTm, CompAttr_Val)
select
 0 as compattr_id,
 c1.Comp_id as comp_id,
 'VERSION' as AttrTyp_Cd,
 current timestamp - current timezone as CompAttr_Strt_DtTm,
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm,
 s1.j2ee_app_vers as CompAttr_Val
from
 amx.stage_j2ee_server s1,
 session.temp2_comp_J2EE_SERVER c1,
 session.tmp2_j2ee_version ca1
where
  s1.j2ee_server = c1.Comp_Corr_Val and
  s1.j2ee_node =  c1.Comp_Parent_Corr_Val and
  s1.j2ee_cell = c1.Comp_Grand_Parent_Corr_Val and
  ca1.last_value is not null and
  ca1.comp_id=c1.Comp_id and
  ca1.last_value != s1.j2ee_app_vers
group by
  c1.Comp_id,  s1.j2ee_app_vers
;

--select * from twg.compattr;


---------------------------------------------------------
--- Add WAS_CLUSTER as a Component Attribute
-- of the J2EE_CLUSTER
---------------------------------------------------------

DECLARE GLOBAL TEMPORARY TABLE tmp1_j2ee_was_cluster(
     comp_id INTEGER,
     last_value VARCHAR(254)
)WITH REPLACE ON COMMIT PRESERVE ROWS NOT LOGGED;


Insert into session.tmp1_j2ee_was_cluster
select
    ca.comp_id as comp_id,
    ca.compattr_val as last_value
from
    twg.cur_compattr ca,
    twg.cur_comp c
where
    c.comptyp_cd = 'J2EE_SERVER' and
    ca.attrtyp_cd = 'WAS_CLUSTER' and
    ca.comp_id=c.comp_id
    ;


declare global temporary table tmp2_j2ee_was_cluster (
  Comp_id        integer,
  Last_Value     varchar(254)
)
with replace on commit preserve rows not logged
;


insert into session.tmp2_j2ee_was_cluster
select
 c1.Comp_id as Comp_id,
 ca1.last_value as Last_Value
from
 session.temp2_comp_J2EE_SERVER c1 left outer join session.tmp1_j2ee_was_cluster ca1
 on ( c1.Comp_id = ca1.comp_id)
;

insert into twg.compattr(compattr_id, comp_id, AttrTyp_Cd, CompAttr_Strt_DtTm, CompAttr_End_DtTm, CompAttr_Val)
select
 0 as compattr_id,
 c1.Comp_id as comp_id,
 'WAS_CLUSTER' as AttrTyp_Cd,
 current timestamp - current timezone as CompAttr_Strt_DtTm,
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm,
 s1.j2ee_cluster as CompAttr_Val
from
 amx.stage_j2ee_server s1,
 session.temp2_comp_J2EE_SERVER c1,
 session.tmp2_j2ee_was_cluster ca1
where
  s1.j2ee_server = c1.Comp_Corr_Val and
  s1.j2ee_node =  c1.Comp_Parent_Corr_Val and
  s1.j2ee_cell = c1.Comp_Grand_Parent_Corr_Val and
  ca1.comp_id=c1.Comp_id and
  ca1.last_value is null
group by
  c1.Comp_id, s1.j2ee_cluster
  ;

--select * from twg.compattr;


insert into twg.compattr (compattr_id, comp_id, AttrTyp_Cd, CompAttr_Strt_DtTm, CompAttr_End_DtTm, CompAttr_Val)
select
 0 as compattr_id,
 c1.Comp_id as comp_id,
 'WAS_CLUSTER' as AttrTyp_Cd,
 current timestamp - current timezone as CompAttr_Strt_DtTm,
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm,
 s1.j2ee_cluster as CompAttr_Val
from
 amx.stage_j2ee_server s1,
 session.temp2_comp_J2EE_SERVER c1,
 session.tmp2_j2ee_was_cluster ca1
where
  s1.j2ee_server = c1.Comp_Corr_Val and
  s1.j2ee_node =  c1.Comp_Parent_Corr_Val and
  s1.j2ee_cell = c1.Comp_Grand_Parent_Corr_Val and
  ca1.last_value is not null and
  ca1.comp_id=c1.Comp_id and
  ca1.last_value != s1.j2ee_cluster
group by
  c1.Comp_id,  s1.j2ee_cluster
;

--#IGNORE_ERROR
drop table AMX.STG_CDW_J2EE_SERVER;

--select * from twg.compattr
create table AMX.STG_CDW_J2EE_SERVER (
comp_id 	integer not null,
iid 		integer not null,
eid		integer not null,
rcid		integer not null,
primary key (iid,rcid,eid,comp_id)
);

insert into AMX.STG_CDW_J2EE_SERVER
select
 c1.comp_id,
 o.iid,
 o.eid,
 o.rcid
from
 AMX.stage1_J2EE_SERVER o,
 session.temp2_comp_J2EE_SERVER c1
where
c1.comp_corr_val=o.j2ee_server and 
c1.comp_parent_corr_val=o.j2ee_node and
c1.comp_grand_parent_corr_val=o.j2ee_cell 
group by
c1.comp_id,o.eid,o.rcid,o.iid
;

--select * from amx.stg_cdw_J2EE_SERVER;




