-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amx/fixpack2/misc/insert_host_attrs.db2, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
-- #   Revision: 1.3
-- #   Date: 3/19/04 22:19:49
-- ############################################################################

-----------------------------------------------
-- AMX_EID attribute
-----------------------------------------------

declare global temporary table temp1_compattr_HOST_AMX_EID (
  comp_id         integer,
  last_value  	  varchar(254) 
) 
with replace on commit preserve rows not logged
;


insert into session.temp1_compattr_HOST_AMX_EID
select
 ca.comp_id as comp_id,
 ca.compattr_val last_value
from 
 twg.cur_compattr ca,
 twg.cur_comp c
where
 (c.comptyp_cd in ('IP_INTERFACE','TME_ENDPOINT') or
 c.comptyp_cd like '%_HOST%' ) and
 ca.attrtyp_cd='AMX_EID' and
 ca.comp_id=c.comp_id
group by
 ca.comp_id, ca.compattr_val
; 

--select * from session.temp1_compattr_HOST_AMX_EID;

declare global temporary table temp2_compattr_HOST_AMX_EID (
  Comp_id        integer,
  Last_Value     varchar(120)
) 
with replace on commit preserve rows not logged
;

insert into session.temp2_compattr_HOST_AMX_EID
select 
 c1.comp_id as Comp_id,
 ca1.last_value as Last_Value
from 
 session.temp2_comp_host c1 left outer join session.temp1_compattr_HOST_AMX_EID ca1
 on ( c1.comp_id = ca1.comp_id)
;

--select * from session.temp2_compattr_HOST_AMX_EID;



----------------------------------------------------------
-- Insert the attribute in TWG.CompAttr
-- 2 cases : 
-- 1) it is a new component and we insert the attribute 
--    for the first time
-- 2) it is not a new component, we need to be sure 
--    we are not receiving a late measurement for this component 
--    if it is a late measurement we should not insert the attribute
--    we already have the last version in the compattr
---------------------------------------------------------- 

insert into twg.compattr 
select  
 0 as compattr_id,
 c1.comp_id as comp_id,  
 'AMX_EID' as AttrTyp_Cd,  
 current timestamp - current timezone as CompAttr_Strt_DtTm, 
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm, 
 char(d.eid) as CompAttr_Val 
from    
 AMX.stage_ep_no_ex d,
 session.temp2_comp_host c1,
 session.temp2_compattr_HOST_AMX_EID ca1
where   
  c1.comp_nm=d.host_nm and
  ca1.comp_id=c1.comp_id and
  ca1.last_value is null 
group by
  c1.comp_id, d.eid
;

--select * from twg.compattr;


insert into twg.compattr 
select  
 0 as compattr_id,
 c1.comp_id as comp_id,  
 'AMX_EID' as AttrTyp_Cd,  
 current timestamp - current timezone as CompAttr_Strt_DtTm, 
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm, 
 char(d.eid) as CompAttr_Val 
from    
 AMX.stage_ep_no_ex d,
 session.temp2_comp_host c1,
 session.temp2_compattr_HOST_AMX_EID ca1
where   
  c1.comp_nm=d.host_nm and
  ca1.comp_id=c1.comp_id and
  ca1.last_value is not null and
  ca1.last_value != char(d.eid)
group by
  c1.comp_id,  d.eid
;

--select * from twg.compattr;

-----------------------------------------------
-- AMX_GMT_OFFSET attribute
-----------------------------------------------

declare global temporary table temp1_compattr_HOST_AMX_GMT_OFFSET (
  comp_id         integer,
  last_value  	  varchar(254) 
) 
with replace on commit preserve rows not logged
;


insert into session.temp1_compattr_HOST_AMX_GMT_OFFSET
select
 ca.comp_id as comp_id,
 ca.compattr_val last_value
from 
 twg.cur_compattr ca,
 twg.cur_comp c
where
 (c.comptyp_cd in ('IP_INTERFACE','TME_ENDPOINT') or
 c.comptyp_cd like '%_HOST%') and
 ca.attrtyp_cd='AMX_GMT_OFFSET' and
 ca.comp_id=c.comp_id
group by
 ca.comp_id, ca.compattr_val
; 

--select * from session.temp1_compattr_HOST_AMX_GMT_OFFSET;

declare global temporary table temp2_compattr_HOST_AMX_GMT_OFFSET (
  Comp_id        integer,
  Last_Value     varchar(120)
) 
with replace on commit preserve rows not logged
;

insert into session.temp2_compattr_HOST_AMX_GMT_OFFSET
select 
 c1.comp_id as Comp_id,
 ca1.last_value as Last_Value
from 
 session.temp2_comp_host c1 left outer join session.temp1_compattr_HOST_AMX_GMT_OFFSET ca1
 on ( c1.comp_id = ca1.comp_id)
;

--select * from session.temp2_compattr_HOST_AMX_GMT_OFFSET;



----------------------------------------------------------
-- Insert the attribute in TWG.CompAttr
-- 2 cases : 
-- 1) it is a new component and we insert the attribute 
--    for the first time
-- 2) it is not a new component, we need to be sure 
--    we are not receiving a late measurement for this component 
--    if it is a late measurement we should not insert the attribute
--    we already have the last version in the compattr
---------------------------------------------------------- 

insert into twg.compattr 
select  
 0 as compattr_id,
 c1.comp_id as comp_id,  
 'AMX_GMT_OFFSET' as AttrTyp_Cd,  
 current timestamp - current timezone as CompAttr_Strt_DtTm, 
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm, 
 char(d.gmt_offset) as CompAttr_Val 
from    
 AMX.stage_ep_no_ex d,
 session.temp2_comp_host c1,
 session.temp2_compattr_HOST_AMX_GMT_OFFSET ca1
where   
  c1.comp_nm=d.host_nm and
  ca1.comp_id=c1.comp_id and
  ca1.last_value is null 
group by
  c1.comp_id, d.gmt_offset
;

--select * from twg.compattr;


insert into twg.compattr 
select  
 0 as compattr_id,
 c1.comp_id as comp_id,  
 'AMX_GMT_OFFSET' as AttrTyp_Cd,  
 current timestamp - current timezone as CompAttr_Strt_DtTm, 
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm, 
 char(d.gmt_offset) as CompAttr_Val 
from    
 AMX.stage_ep_no_ex d,
 session.temp2_comp_host c1,
 session.temp2_compattr_HOST_AMX_GMT_OFFSET ca1
where   
  c1.comp_nm=d.host_nm and
  ca1.comp_id=c1.comp_id and
  ca1.last_value is not null and
  ca1.last_value != char(d.gmt_offset)
group by
  c1.comp_id,  d.gmt_offset
;

--select * from twg.compattr;

-----------------------------------------------
-- LAST_IP_ADDRESS attribute
-----------------------------------------------

declare global temporary table temp1_compattr_HOST_LAST_IP_ADDRESS (
  comp_id         integer,
  last_value  	  varchar(254) 
) 
with replace on commit preserve rows not logged
;


insert into session.temp1_compattr_HOST_LAST_IP_ADDRESS
select
 ca.comp_id as comp_id,
 ca.compattr_val last_value
from 
 twg.cur_compattr ca,
 twg.cur_comp c
where
 (c.comptyp_cd in ('IP_INTERFACE','TME_ENDPOINT') or
 c.comptyp_cd like '%_HOST%' ) and
 ca.attrtyp_cd='LAST_IP_ADDRESS' and
 ca.comp_id=c.comp_id
group by
 ca.comp_id, ca.compattr_val
; 

--select * from session.temp1_compattr_HOST_LAST_IP_ADDRESS;

declare global temporary table temp2_compattr_HOST_LAST_IP_ADDRESS (
  Comp_id        integer,
  Last_Value     varchar(120)
) 
with replace on commit preserve rows not logged
;

insert into session.temp2_compattr_HOST_LAST_IP_ADDRESS
select 
 c1.comp_id as Comp_id,
 ca1.last_value as Last_Value
from 
 session.temp2_comp_host c1 left outer join session.temp1_compattr_HOST_LAST_IP_ADDRESS ca1
 on ( c1.comp_id = ca1.comp_id)
;

--select * from session.temp2_compattr_HOST_LAST_IP_ADDRESS;



----------------------------------------------------------
-- Insert the attribute in TWG.CompAttr
-- 2 cases : 
-- 1) it is a new component and we insert the attribute 
--    for the first time
-- 2) it is not a new component, we need to be sure 
--    we are not receiving a late measurement for this component 
--    if it is a late measurement we should not insert the attribute
--    we already have the last version in the compattr
---------------------------------------------------------- 

insert into twg.compattr 
select  
 0 as compattr_id,
 c1.comp_id as comp_id,  
 'LAST_IP_ADDRESS' as AttrTyp_Cd,  
 current timestamp - current timezone as CompAttr_Strt_DtTm, 
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm, 
 char(d.ip_addr) as CompAttr_Val 
from    
 AMX.stage_ep_no_ex d,
 session.temp2_comp_host c1,
 session.temp2_compattr_HOST_LAST_IP_ADDRESS ca1
where   
  c1.comp_nm=d.host_nm and
  ca1.comp_id=c1.comp_id and
  ca1.last_value is null 
group by
  c1.comp_id, d.ip_addr
;

--select * from twg.compattr;


insert into twg.compattr 
select  
 0 as compattr_id,
 c1.comp_id as comp_id,  
 'LAST_IP_ADDRESS' as AttrTyp_Cd,  
 current timestamp - current timezone as CompAttr_Strt_DtTm, 
 '9999-01-01-00.00.00.000000' as CompAttr_End_DtTm, 
 char(d.ip_addr) as CompAttr_Val 
from    
 AMX.stage_ep_no_ex d,
 session.temp2_comp_host c1,
 session.temp2_compattr_HOST_LAST_IP_ADDRESS ca1
where   
  c1.comp_nm=d.host_nm and
  ca1.comp_id=c1.comp_id and
  ca1.last_value is not null and
  ca1.last_value != char(d.ip_addr)
group by
  c1.comp_id,  d.ip_addr
;

--select * from twg.compattr;

declare global temporary table temp3_comp_host (
  comp_id	integer,
  eid		varchar(10),
  comp_nm 	varchar(120),
  comptyp_cd	varchar(17)
) 
with replace on commit preserve rows not logged
;


insert into session.temp3_comp_host
select 
 c.comp_id as comp_id,
 '' as eid,
 c.comp_nm as comp_nm,
 c.comptyp_cd as comptyp_cd
from 
 session.temp2_comp_host c
where 
not exists ( select 1
  from  
    twg.cur_compattr ca
  where 
    ca.comp_id=c.comp_id and
    ca.attrtyp_cd='AMX_EID'
          )
group by 
 c.comp_nm, c.comp_id, comptyp_cd
union
select 
 c.comp_id as comp_id,
 ca.compattr_val as eid,
 c.comp_nm as comp_nm,
 c.comptyp_cd as comptyp_cd
 from 
 session.temp2_comp_host c,
 twg.cur_compattr ca
 where 
 ca.comp_id=c.comp_id and
 ca.attrtyp_cd='AMX_EID'
group by 
 c.comp_nm, c.comp_id, c.comptyp_cd, ca.compattr_val
;

--select * from session.temp3_comp_host;

