######################################################################
#
# (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#
#
#
#   File Information: Common/src/tedw_app/amx/fixpack2/misc/tools/AMX_c05_ETL1_Process.sh, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
#   Revision: 1.4
#   Date: 3/31/04 14:29:42

# This script allows you to run the AMX_c05_ETL1_Process 
# of the product IBM Tivoli Monitoring v5.1.1 
# by command line

# Interpreter Required:
#       NT/2000 = BASH
#       Unix    = SH (Bourne Shell)

# Install Steps Required Before this Script Executes:
#       1 - IBM Tivoli Monitoring v5.1.1 warehouse pack must be installed
#       2 - Any warehouse pack depending on IBM Tivoli Monitoring v5.1.1 
#           must be installed.

# To do:
#       UserID and Passwords or the required databases 

# Examples
#ITM_DB=itm_db
#ITM_USER=db2admin
#ITM_PW=

#CDW_DB=twh_cdw
#CDW_USER=db2admin
#CDW_PW=

#MART_DB=twh_mart
#MART_USER=db2admin
#MART_PW=

#MD_DB=twh_md
#MD_USER=db2admin
#MD_PW=



# set -x

#Pre_Extract Step
echo "pre_Extract Step starting ..."
bash AMX_Pre_Extract.sh amx AMX_c05_s005_Pre_Extract $CDW_DB $CDW_USER $CDW_PW $CDW_DB $CDW_USER $CDW_PW
if [ "$?" -ne "0" ] ; then
echo "error in the Pre_Extract Step"
 echo "$?"
 exit
fi
echo "Pre_Extract Step finished"
echo ""

#RIM_Extract Step
echo "RIM_Extract Step starting ..."
bash amx_rim_extract.sh amx AMX_c05_s010_rim_extract $ITM_DB $ITM_USER $ITM_PW $CDW_DB $CDW_USER $CDW_PW
#sqlscript.sh AMX AMX_c05_s010_rim_extract $ITM_DB $ITM_USER $ITM_PW $CDW_DB $CDW_USER $CDW_PW
if [ "$?" -ne "0" ] ; then
echo "error in the RIM_Extract Step"
 echo "$?"
 exit
fi
echo "RIM_Extract Step finished"
echo ""

# Parsing Step
echo "Parsing Step starting ..."
sqlscript.sh amx AMX_c05_s020_Parsing $CDW_DB $CDW_USER $CDW_PW
if [ "$?" -ne "0" ] ; then
echo "error in the Parsing Step"
 echo "$?"
 exit
fi
echo "Parsing Step finished"
echo ""

# Exception Step
echo "Exception Step starting ..."
sqlscript.sh amx AMX_c05_s030_Exception $CDW_DB $CDW_USER $CDW_PW
if [ "$?" -ne "0" ] ; then
echo "error in the Exception Step"
 echo "$?"
 exit
fi
echo "Exception Step finished"
echo ""

# Create Comp Msmt Step
echo "Create Comp Msmt Step starting ..."
bash AMX_Create_Comp_Msmt.sh amx AMX_c05_s040_Comp_Msmt $CDW_DB $CDW_USER $CDW_PW
#sqlscript.sh AMX AMX_c05_s040_Comp_Msmt $CDW_DB $CDW_USER $CDW_PW

if [ "$?" -ne "0" ] ; then
echo "error in the Create Comp Msmt Step"
 echo "$?"
 exit
fi
echo "Create Comp Msmt finished"
echo ""
