-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amy/fixpack5/cdw/dml/amy_cdw_del_data.sql, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
-- #   Revision: 1.2
-- #   Date: 12/16/03 14:19:35
-- ############################################################################

-- The TWH_CDW will keep all the data inserted by the OS Warehouse pack,
-- even after uninstall, because some other pack may depend on this data.
-- So uninstalling the OS pack means, in the TWH_CDW, delete the entries in
-- the AMX.xx_Transl and AMX.xx_Convert tables, but don't delete the entries
-- in TWG.Extract_Control, so that if the AMY WEP is installed again, we
-- re-extract only the new data that had not been inserted in CDW yet, and in
-- the TWG.Extract_Log table, so that we keep a trace that the AMX ETL1 was ran
-- against AMY data for a while.

---------------------
-- AMX.CompTyp_Transl
---------------------
delete from AMX.CompTyp_Transl where MSrc_Cd = 'AMY';

----------------------
-- AMX.AttrTyp_Transl
----------------------
delete from AMX.AttrTyp_Transl where MSrc_Cd = 'AMY';

----------------------
-- AMX.Resource_Transl
----------------------
delete from AMX.Resource_Transl where CompTyp_Cd like 'AMY%';

-------------------------
-- AMX.Categories_Convert
-------------------------
delete from AMX.Categories_Convert where Category_Convert = 'OperatingSystem';

----------------------
-- AMX.Category_Transl
----------------------
delete from AMX.Category_Transl where MSrc_cd = 'AMY';

-----------------------
-- AMX.Inst_Key_Convert
-----------------------
delete from AMX.Inst_Key_Convert where Key_Typ_Convert in (
 'CPU.name','File.pathname','Memory.name','Network.InterfaceName','Process.ID'
);

------------------------
-- AMX.Resources_Convert
------------------------
delete from AMX.Resources_Convert where Resource_Convert in (
'CPU', 'Network' ) and Resource in ('Processor', 'System', 'NetworkInterfaceCard'
);


--------------------------
-- TWG.Extract_Control
--------------------------
-- we should only delete the enties linked to the AMY ETL2

delete from TWG.Extract_Control where extctl_target like 'AMY%';
