:DISKCNTL.SEQUENCE( 1,-)
:COMMENT.SYSTEM(V7.2.0)
:COMMENT.------------------------------
:COMMENT. DB2 Universal Database 7.2 
:COMMENT. Source Database name: TWH_MD
:COMMENT.-----------------------------------------------------------------------
:COMMENT.--
:COMMENT.-- Licensed Materials - Property of IBM
:COMMENT.--
:COMMENT.-- (C) COPYRIGHT IBM CORP. 2002. ALL RIGHTS RESERVED.
:COMMENT.--
:COMMENT.-- US Government Users Restricted Rights - Use, duplication, or
:COMMENT.-- discolosure restricted by GSA ADP Schedule Contract with
:COMMENT.-- IBM Corp.
:COMMENT.--
:COMMENT.-----------------------------------------------------------------------
:COMMENT.--
:COMMENT.-- File Information: Common/src/tedw_app/amy/fixpack5/etl/amy_ETL2_Process_dwc_data.tag, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
:COMMENT.-- 
:COMMENT.-- Revision: 1.2.1.3
:COMMENT.-- 
:COMMENT.-- Date: 4/21/04 11:46:28
:COMMENT.--
:COMMENT.-- Description: Specify warehouse process steps and schemas
:COMMENT.--
:COMMENT.----------------------------------------------------------------------
:COMMENT. Start Process export
:COMMENT. Exporting Process AMY_m05_ETL2_Process
:COMMENT.------------------------------
:COMMENT.  Begin INFOGRPS Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(INFOGRPS)
:INSTANCE.
    NAME(AMY_Operating_Systems_PAC_v1.1.0_Subject_Area)
    SHRTDESC(This subject area contains the processes used to build/delete the sample star schema over which the sample reports for operating systems data are built.)
    LONGDESC(The data should be loaded into TEDW, using the Generic ETL1 located under the AMX subject area, before running any of the enclosed processes.)
    CONTACT(Default DWC User)
:COMMENT.
:COMMENT.  End INFOGRPS Instance
:COMMENT.------------------------------
:COMMIT.CHKPID(10)
:COMMENT.------------------------------
:COMMENT.  Begin IWHSCGRP Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHSCGRP)
:INSTANCE.
    NAME(-99999)
    SHRTDESC(This is the default Data Warehouse Center Security Group created by the Data Warehouse Center product.)
:COMMENT.
:COMMENT.  End IWHSCGRP Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHUFUNC Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHUFUNC)
:INSTANCE.
    NAME(UFAdministration)
    SHRTDESC(Administration)
:COMMENT.
:COMMENT.  End IWHUFUNC Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSCGRP to IWHUFUNC
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSCGRP) TARGETYPE(IWHUFUNC)
:INSTANCE.
    SOURCEKEY(NAME(-99999) )
    TARGETKEY(NAME(UFAdministration) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHUFUNC Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHUFUNC)
:INSTANCE.
    NAME(UFOperations)
    SHRTDESC(Operations)
:COMMENT.
:COMMENT.  End IWHUFUNC Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSCGRP to IWHUFUNC
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSCGRP) TARGETYPE(IWHUFUNC)
:INSTANCE.
    SOURCEKEY(NAME(-99999) )
    TARGETKEY(NAME(UFOperations) )
:COMMENT.------------------------------
:COMMIT.CHKPID(20)
:COMMENT.------------------------------
:COMMENT.  Begin PROCESS Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(PROCESS)
:INSTANCE.
    NAME(AMY_m05_ETL2_Process)
    SHRTDESC(This process builds star schemas for Operating System metrics. Each star schema will keep track of the monitored resource instance using a proper component dimension table, in addition to the metric and host dimension tables.)
    LONGDESC(This process has a shortcut to the AMY_m05_ETL2_Process.)
    CONTACT(Default DWC User)
    PRCTYPE(1)
:COMMENT.
:COMMENT.  End PROCESS Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: INFOGRPS to PROCESS
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(INFOGRPS) TARGETYPE(PROCESS)
:INSTANCE.
    SOURCEKEY(NAME(AMY_Operating_Systems_PAC_v1.1.0_Subject_Area) )
    TARGETKEY(NAME(AMY_m05_ETL2_Process) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to IWHSCGRP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(PROCESS) TARGETYPE(IWHSCGRP)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHAGENT Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHAGENT)
:INSTANCE.
    NAME(-99999)
    SHRTDESC(Default AgentSite created by the Data Warehouse Center product to represent the Data Warehouse Center Server.)
    AGTOSTYP(1)
    AGTMODNM(IWH2AGNT)
:COMMENT.
:COMMENT.  End IWHAGENT Instance
:COMMENT.------------------------------
:COMMIT.CHKPID(30)
:COMMENT.------------------------------
:COMMENT.  Begin DATABASE Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(DATABASE)
:INSTANCE.
    NAME(AMY_TWH_MART_Target)
    DBNAME(TWH_MART)
    DBTYPE(1)
    DBETYPE(18)
    ISWH(Y)
    USERID(db2admin)
    CONTACT(Default DWC User)
    USEODBC(N)
    CODEPAGE(437)
    SERVER(localhost)
    VERSION(07.02.0004)
    DBMSSERV(DB2     )
    DFLTDEL(")
    WEBDBTYP(-1)
:COMMENT.
:COMMENT.  End DATABASE Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_MART_Target) DBNAME(TWH_MART) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHSCGRP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHSCGRP)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_MART_Target) DBNAME(TWH_MART) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(40)
:COMMENT.------------------------------
:COMMENT.  Begin TABLES Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(TABLES)
:INSTANCE.
    NAME(AMY.D_CPU)
    DBNAME(AMY_TWH_MART_Target) 
    OWNER(AMY) 
    TABLES(D_CPU) 
    TBLISBIN(N)
    TBLFTYPE(0)
    TBLL1NAM(N)
    CREATYPE(2)
    TABLVIEW(N)
    TABALIAS(N)
    IWHDRATN(Y)
    IWHMAXED(0)
    IWHCREGN(Y)
    IWHCRTAR(N)
    IWHGRANT(Y)
    IDSDIM(N)
    IDSFACT(N)
    IDSREPL(N)
    PARTTBSP(N)
    WEBIMPFL(N)
    WEBIMPID(0)
    WEBSITE(0)
:COMMENT.
:COMMENT.  End TABLES Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(DATABASE) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_MART_Target) DBNAME(TWH_MART) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CPU_TYPE)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(2)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_MART_Target) 
    OWNER(AMY) 
    TABLES(D_CPU) 
    COLUMNS(CPU_TYPE) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(2)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) COLUMNS(CPU_TYPE) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CPU_NM)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(1)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_MART_Target) 
    OWNER(AMY) 
    TABLES(D_CPU) 
    COLUMNS(CPU_NM) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(1)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) COLUMNS(CPU_NM) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CPU_ID)
    DATATYPE(INTEGER)
    LENGTH(0)
    SCALE(0)
    POSNO(3)
    NULLS(N)
    ISTEXT(N)
    DBNAME(AMY_TWH_MART_Target) 
    OWNER(AMY) 
    TABLES(D_CPU) 
    COLUMNS(CPU_ID) 
    NATIVEDT(INTEGER)
    OFFSET(0)
    ORDINAL(3)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) COLUMNS(CPU_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPKEY Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPKEY)
:INSTANCE.
    NAME(SQL030818165410450)
    KEYID(0000005446)
:COMMENT.
:COMMENT.  End IWHPKEY Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHKYMAP Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHKYMAP)
:INSTANCE.
    NAME()
    MAPSEQNO(1)
    MAPID(0000003656)
:COMMENT.
:COMMENT.  End IWHKYMAP Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin MAPPCOL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(MAPPCOL)
:INSTANCE.
    MAPID(0000003656) 
:COMMENT.
:COMMENT.  End MAPPCOL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: MAPPCOL to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(MAPPCOL) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(MAPID(0000003656) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) COLUMNS(CPU_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHKYMAP to MAPPCOL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHKYMAP) TARGETYPE(MAPPCOL)
:INSTANCE.
    SOURCEKEY(MAPID(0000003656) )
    TARGETKEY(MAPID(0000003656) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPKEY to IWHKYMAP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPKEY) TARGETYPE(IWHKYMAP)
:INSTANCE.
    SOURCEKEY(KEYID(0000005446) )
    TARGETKEY(MAPID(0000003656) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to IWHPKEY
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(IWHPKEY)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
    TARGETKEY(KEYID(0000005446) )
:COMMENT.------------------------------
:COMMIT.CHKPID(50)
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(PROCESS) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin DATABASE Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(DATABASE)
:INSTANCE.
    NAME(AMY_TWH_CDW_Source)
    DBNAME(TWH_CDW)
    SHRTDESC(This Warehouse Source is used by the buildStarSchema process to access the Metric Dimension Staging Table and the TEDW Msmt and Comp tables)
    LONGDESC(You must update login informations '('username/password/DSN')' according to your local database settings)
    DBTYPE(60)
    DBETYPE(60)
    ISWH(N)
    USERID(db2admin)
    CONTACT(Default DWC User)
    USEODBC(N)
    CODEPAGE(437)
    SERVER(localhost)
    VERSION(07.02.0004)
    DBMSSERV(DB2     )
    DFLTDEL(")
    WEBDBTYP(-1)
:COMMENT.
:COMMENT.  End DATABASE Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_CDW_Source) DBNAME(TWH_CDW) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHSCGRP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHSCGRP)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_CDW_Source) DBNAME(TWH_CDW) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(60)
:COMMENT.------------------------------
:COMMENT.  Begin TABLES Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(TABLES)
:INSTANCE.
    NAME(TWG.COMP)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    TBLISBIN(N)
    TBLFTYPE(0)
    TBLL1NAM(N)
    CREATYPE(2)
    TABLVIEW(N)
    TABALIAS(N)
    IWHDRATN(N)
    IWHMAXED(0)
    IWHCREGN(Y)
    IWHCRTAR(Y)
    IWHGRANT(Y)
    IDSDIM(N)
    IDSFACT(N)
    IDSREPL(N)
    PARTTBSP(N)
    WEBIMPFL(N)
    WEBIMPID(0)
    WEBSITE(0)
:COMMENT.
:COMMENT.  End TABLES Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(DATABASE) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_CDW_Source) DBNAME(TWH_CDW) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMPTYP_CD)
    DATATYPE(CHAR)
    LENGTH(17)
    SCALE(0)
    POSNO(2)
    NULLS(N)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMPTYP_CD) 
    NATIVEDT(CHAR)
    OFFSET(0)
    ORDINAL(2)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(COMPTYP_CD) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_STRT_DTTM)
    DATATYPE(TIMESTAMP)
    LENGTH(0)
    SCALE(0)
    POSNO(8)
    NULLS(N)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_STRT_DTTM) 
    NATIVEDT(TIMESTAMP)
    OFFSET(0)
    ORDINAL(8)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_STRT_DTTM) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_END_DTTM)
    DATATYPE(TIMESTAMP)
    LENGTH(0)
    SCALE(0)
    POSNO(9)
    NULLS(N)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_END_DTTM) 
    NATIVEDT(TIMESTAMP)
    OFFSET(0)
    ORDINAL(9)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_END_DTTM) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_ID)
    DATATYPE(INTEGER)
    LENGTH(0)
    SCALE(0)
    POSNO(1)
    NULLS(N)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_ID) 
    NATIVEDT(INTEGER)
    OFFSET(0)
    ORDINAL(1)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_CORR_ID)
    DATATYPE(INTEGER)
    LENGTH(0)
    SCALE(0)
    POSNO(5)
    NULLS(Y)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_CORR_ID) 
    NATIVEDT(INTEGER)
    OFFSET(0)
    ORDINAL(5)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_CORR_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_NM)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(6)
    NULLS(N)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_NM) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(6)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_NM) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CUST_ID)
    DATATYPE(INTEGER)
    LENGTH(0)
    SCALE(0)
    POSNO(4)
    NULLS(Y)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(CUST_ID) 
    NATIVEDT(INTEGER)
    OFFSET(0)
    ORDINAL(4)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(CUST_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_DS)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(10)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_DS) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(10)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_DS) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CENTR_CD)
    DATATYPE(CHAR)
    LENGTH(6)
    SCALE(0)
    POSNO(3)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(CENTR_CD) 
    NATIVEDT(CHAR)
    OFFSET(0)
    ORDINAL(3)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(CENTR_CD) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_CORR_VAL)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(7)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Source) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_CORR_VAL) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(7)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_CORR_VAL) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPKEY Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPKEY)
:INSTANCE.
    NAME(XPKCOMP)
    KEYID(0000020390)
:COMMENT.
:COMMENT.  End IWHPKEY Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHKYMAP Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHKYMAP)
:INSTANCE.
    NAME()
    MAPSEQNO(1)
    MAPID(0000018635)
:COMMENT.
:COMMENT.  End IWHKYMAP Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin MAPPCOL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(MAPPCOL)
:INSTANCE.
    MAPID(0000018635) 
:COMMENT.
:COMMENT.  End MAPPCOL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: MAPPCOL to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(MAPPCOL) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(MAPID(0000018635) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHKYMAP to MAPPCOL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHKYMAP) TARGETYPE(MAPPCOL)
:INSTANCE.
    SOURCEKEY(MAPID(0000018635) )
    TARGETKEY(MAPID(0000018635) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPKEY to IWHKYMAP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPKEY) TARGETYPE(IWHKYMAP)
:INSTANCE.
    SOURCEKEY(KEYID(0000020390) )
    TARGETKEY(MAPID(0000018635) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to IWHPKEY
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(IWHPKEY)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(KEYID(0000020390) )
:COMMENT.------------------------------
:COMMIT.CHKPID(70)
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(PROCESS) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin DATABASE Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(DATABASE)
:INSTANCE.
    NAME(AMY_TWH_MART_Source)
    DBNAME(TWH_MART)
    DBTYPE(60)
    DBETYPE(60)
    ISWH(N)
    USERID(db2admin)
    CONTACT(Default DWC User)
    USEODBC(N)
    CODEPAGE(437)
    SERVER(localhost)
    VERSION(07.02.0004)
    DBMSSERV(DB2     )
    DFLTDEL(")
    WEBDBTYP(-1)
:COMMENT.
:COMMENT.  End DATABASE Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_MART_Source) DBNAME(TWH_MART) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHSCGRP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHSCGRP)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_MART_Source) DBNAME(TWH_MART) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(80)
:COMMENT.------------------------------
:COMMENT.  Begin TABLES Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(TABLES)
:INSTANCE.
    NAME(AMY.D_CPU)
    DBNAME(AMY_TWH_MART_Source) 
    OWNER(AMY) 
    TABLES(D_CPU) 
    TBLISBIN(N)
    TBLFTYPE(0)
    TBLL1NAM(N)
    CREATYPE(2)
    TABLVIEW(N)
    TABALIAS(N)
    IWHDRATN(N)
    IWHMAXED(0)
    IWHCREGN(Y)
    IWHCRTAR(Y)
    IWHGRANT(Y)
    IDSDIM(N)
    IDSFACT(N)
    IDSREPL(N)
    PARTTBSP(N)
    WEBIMPFL(N)
    WEBIMPID(0)
    WEBSITE(0)
:COMMENT.
:COMMENT.  End TABLES Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(DATABASE) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_MART_Source) DBNAME(TWH_MART) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CPU_TYPE)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(2)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_MART_Source) 
    OWNER(AMY) 
    TABLES(D_CPU) 
    COLUMNS(CPU_TYPE) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(2)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) COLUMNS(CPU_TYPE) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CPU_NM)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(1)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_MART_Source) 
    OWNER(AMY) 
    TABLES(D_CPU) 
    COLUMNS(CPU_NM) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(1)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) COLUMNS(CPU_NM) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CPU_ID)
    DATATYPE(INTEGER)
    LENGTH(0)
    SCALE(0)
    POSNO(3)
    NULLS(N)
    ISTEXT(N)
    DBNAME(AMY_TWH_MART_Source) 
    OWNER(AMY) 
    TABLES(D_CPU) 
    COLUMNS(CPU_ID) 
    NATIVEDT(INTEGER)
    OFFSET(0)
    ORDINAL(3)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) COLUMNS(CPU_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPKEY Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPKEY)
:INSTANCE.
    NAME(SQL030818165410450)
    KEYID(0000017089)
:COMMENT.
:COMMENT.  End IWHPKEY Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHKYMAP Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHKYMAP)
:INSTANCE.
    NAME()
    MAPSEQNO(1)
    MAPID(0000000872)
:COMMENT.
:COMMENT.  End IWHKYMAP Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin MAPPCOL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(MAPPCOL)
:INSTANCE.
    MAPID(0000000872) 
:COMMENT.
:COMMENT.  End MAPPCOL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: MAPPCOL to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(MAPPCOL) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(MAPID(0000000872) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) COLUMNS(CPU_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHKYMAP to MAPPCOL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHKYMAP) TARGETYPE(MAPPCOL)
:INSTANCE.
    SOURCEKEY(MAPID(0000000872) )
    TARGETKEY(MAPID(0000000872) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPKEY to IWHKYMAP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPKEY) TARGETYPE(IWHKYMAP)
:INSTANCE.
    SOURCEKEY(KEYID(0000017089) )
    TARGETKEY(MAPID(0000000872) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to IWHPKEY
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(IWHPKEY)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
    TARGETKEY(KEYID(0000017089) )
:COMMENT.------------------------------
:COMMIT.CHKPID(90)
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(PROCESS) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin DATABASE Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(DATABASE)
:INSTANCE.
    NAME(AMY_TWH_MD_Target)
    DBNAME(TWH_MD)
    DBTYPE(1)
    DBETYPE(18)
    ISWH(Y)
    USERID(db2admin)
    CONTACT(Default DWC User)
    USEODBC(N)
    CODEPAGE(437)
    SERVER(localhost)
    VERSION(07.02.0004)
    DBMSSERV(DB2     )
    DFLTDEL(")
    WEBDBTYP(-1)
:COMMENT.
:COMMENT.  End DATABASE Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_MD_Target) DBNAME(TWH_MD) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHSCGRP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHSCGRP)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_MD_Target) DBNAME(TWH_MD) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(100)
:COMMENT.------------------------------
:COMMENT.  Begin TABLES Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(TABLES)
:INSTANCE.
    NAME(RPI.SSUPDATED)
    DBNAME(AMY_TWH_MD_Target) 
    OWNER(RPI) 
    TABLES(SSUPDATED) 
    TBLISBIN(N)
    TBLFTYPE(0)
    TBLL1NAM(N)
    CREATYPE(2)
    TABLVIEW(N)
    TABALIAS(N)
    IWHDRATN(Y)
    IWHMAXED(0)
    IWHCREGN(Y)
    IWHCRTAR(N)
    IWHGRANT(Y)
    IDSDIM(N)
    IDSFACT(N)
    IDSREPL(N)
    PARTTBSP(N)
    WEBIMPFL(N)
    WEBIMPID(0)
    WEBSITE(0)
:COMMENT.
:COMMENT.  End TABLES Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(DATABASE) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_MD_Target) DBNAME(TWH_MD) )
    TARGETKEY(DBNAME(AMY_TWH_MD_Target) OWNER(RPI) TABLES(SSUPDATED) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(ID)
    DATATYPE(CHAR)
    LENGTH(10)
    SCALE(0)
    POSNO(1)
    NULLS(N)
    ISTEXT(Y)
    DBNAME(AMY_TWH_MD_Target) 
    OWNER(RPI) 
    TABLES(SSUPDATED) 
    COLUMNS(ID) 
    NATIVEDT(CHAR)
    OFFSET(0)
    ORDINAL(1)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MD_Target) OWNER(RPI) TABLES(SSUPDATED) )
    TARGETKEY(DBNAME(AMY_TWH_MD_Target) OWNER(RPI) TABLES(SSUPDATED) COLUMNS(ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPKEY Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPKEY)
:INSTANCE.
    NAME(SQL030317115254330)
    KEYID(0000002919)
:COMMENT.
:COMMENT.  End IWHPKEY Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHKYMAP Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHKYMAP)
:INSTANCE.
    NAME()
    MAPSEQNO(1)
    MAPID(0000010448)
:COMMENT.
:COMMENT.  End IWHKYMAP Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin MAPPCOL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(MAPPCOL)
:INSTANCE.
    MAPID(0000010448) 
:COMMENT.
:COMMENT.  End MAPPCOL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: MAPPCOL to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(MAPPCOL) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(MAPID(0000010448) )
    TARGETKEY(DBNAME(AMY_TWH_MD_Target) OWNER(RPI) TABLES(SSUPDATED) COLUMNS(ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHKYMAP to MAPPCOL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHKYMAP) TARGETYPE(MAPPCOL)
:INSTANCE.
    SOURCEKEY(MAPID(0000010448) )
    TARGETKEY(MAPID(0000010448) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPKEY to IWHKYMAP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPKEY) TARGETYPE(IWHKYMAP)
:INSTANCE.
    SOURCEKEY(KEYID(0000002919) )
    TARGETKEY(MAPID(0000010448) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to IWHPKEY
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(IWHPKEY)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_MD_Target) OWNER(RPI) TABLES(SSUPDATED) )
    TARGETKEY(KEYID(0000002919) )
:COMMENT.------------------------------
:COMMIT.CHKPID(110)
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(PROCESS) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(DBNAME(AMY_TWH_MD_Target) OWNER(RPI) TABLES(SSUPDATED) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin DATABASE Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(DATABASE)
:INSTANCE.
    NAME(AMY_TWH_CDW_Target)
    DBNAME(TWH_CDW)
    DBTYPE(1)
    DBETYPE(18)
    ISWH(Y)
    USERID(db2admin)
    CONTACT(Default DWC User)
    USEODBC(N)
    CODEPAGE(437)
    SERVER(localhost)
    VERSION(07.02.0004)
    DBMSSERV(DB2     )
    DFLTDEL(")
    WEBDBTYP(-1)
:COMMENT.
:COMMENT.  End DATABASE Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_CDW_Target) DBNAME(TWH_CDW) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to IWHSCGRP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(DATABASE) TARGETYPE(IWHSCGRP)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_CDW_Target) DBNAME(TWH_CDW) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(120)
:COMMENT.------------------------------
:COMMENT.  Begin TABLES Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(TABLES)
:INSTANCE.
    NAME(TWG.COMP)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    TBLISBIN(N)
    TBLFTYPE(0)
    TBLL1NAM(N)
    CREATYPE(2)
    TABLVIEW(N)
    TABALIAS(N)
    IWHDRATN(Y)
    IWHMAXED(0)
    IWHCREGN(Y)
    IWHCRTAR(N)
    IWHGRANT(Y)
    IDSDIM(N)
    IDSFACT(N)
    IDSREPL(N)
    PARTTBSP(N)
    WEBIMPFL(N)
    WEBIMPID(0)
    WEBSITE(0)
:COMMENT.
:COMMENT.  End TABLES Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: DATABASE to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(DATABASE) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_TWH_CDW_Target) DBNAME(TWH_CDW) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_END_DTTM)
    DATATYPE(TIMESTAMP)
    LENGTH(0)
    SCALE(0)
    POSNO(9)
    NULLS(N)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_END_DTTM) 
    NATIVEDT(TIMESTAMP)
    OFFSET(0)
    ORDINAL(9)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_END_DTTM) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_ID)
    DATATYPE(INTEGER)
    LENGTH(0)
    SCALE(0)
    POSNO(1)
    NULLS(N)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_ID) 
    NATIVEDT(INTEGER)
    OFFSET(0)
    ORDINAL(1)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_NM)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(6)
    NULLS(N)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_NM) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(6)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_NM) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_CORR_VAL)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(7)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_CORR_VAL) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(7)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_CORR_VAL) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CENTR_CD)
    DATATYPE(CHAR)
    LENGTH(6)
    SCALE(0)
    POSNO(3)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(CENTR_CD) 
    NATIVEDT(CHAR)
    OFFSET(0)
    ORDINAL(3)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(CENTR_CD) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_CORR_ID)
    DATATYPE(INTEGER)
    LENGTH(0)
    SCALE(0)
    POSNO(5)
    NULLS(Y)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_CORR_ID) 
    NATIVEDT(INTEGER)
    OFFSET(0)
    ORDINAL(5)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_CORR_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_DS)
    DATATYPE(VARCHAR)
    LENGTH(254)
    SCALE(0)
    POSNO(10)
    NULLS(Y)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_DS) 
    NATIVEDT(VARCHAR)
    OFFSET(0)
    ORDINAL(10)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_DS) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMP_STRT_DTTM)
    DATATYPE(TIMESTAMP)
    LENGTH(0)
    SCALE(0)
    POSNO(8)
    NULLS(N)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMP_STRT_DTTM) 
    NATIVEDT(TIMESTAMP)
    OFFSET(0)
    ORDINAL(8)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_STRT_DTTM) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(COMPTYP_CD)
    DATATYPE(CHAR)
    LENGTH(17)
    SCALE(0)
    POSNO(2)
    NULLS(N)
    ISTEXT(Y)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(COMPTYP_CD) 
    NATIVEDT(CHAR)
    OFFSET(0)
    ORDINAL(2)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(COMPTYP_CD) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin COLUMN Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(COLUMN)
:INSTANCE.
    NAME(CUST_ID)
    DATATYPE(INTEGER)
    LENGTH(0)
    SCALE(0)
    POSNO(4)
    NULLS(Y)
    ISTEXT(N)
    DBNAME(AMY_TWH_CDW_Target) 
    OWNER(TWG) 
    TABLES(COMP) 
    COLUMNS(CUST_ID) 
    NATIVEDT(INTEGER)
    OFFSET(0)
    ORDINAL(4)
    EDTNCOL(N)
:COMMENT.
:COMMENT.  End COLUMN Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(CUST_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPKEY Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPKEY)
:INSTANCE.
    NAME(XPKCOMP)
    KEYID(0000011183)
:COMMENT.
:COMMENT.  End IWHPKEY Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHKYMAP Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHKYMAP)
:INSTANCE.
    NAME()
    MAPSEQNO(1)
    MAPID(0000010554)
:COMMENT.
:COMMENT.  End IWHKYMAP Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin MAPPCOL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(MAPPCOL)
:INSTANCE.
    MAPID(0000010554) 
:COMMENT.
:COMMENT.  End MAPPCOL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: MAPPCOL to COLUMN
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(MAPPCOL) TARGETYPE(COLUMN)
:INSTANCE.
    SOURCEKEY(MAPID(0000010554) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) COLUMNS(COMP_ID) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHKYMAP to MAPPCOL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHKYMAP) TARGETYPE(MAPPCOL)
:INSTANCE.
    SOURCEKEY(MAPID(0000010554) )
    TARGETKEY(MAPID(0000010554) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPKEY to IWHKYMAP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPKEY) TARGETYPE(IWHKYMAP)
:INSTANCE.
    SOURCEKEY(KEYID(0000011183) )
    TARGETKEY(MAPID(0000010554) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: TABLES to IWHPKEY
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(TABLES) TARGETYPE(IWHPKEY)
:INSTANCE.
    SOURCEKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
    TARGETKEY(KEYID(0000011183) )
:COMMENT.------------------------------
:COMMIT.CHKPID(130)
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(PROCESS) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHUDPGR Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHUDPGR)
:INSTANCE.
    NAME(Tivoli)
    CONTACT(Default DWC User)
    PGRTYPE(11)
:COMMENT.
:COMMENT.  End IWHUDPGR Instance
:COMMENT.------------------------------
:COMMIT.CHKPID(140)
:COMMENT.------------------------------
:COMMENT.  Begin IWHAGENT Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHAGENT)
:INSTANCE.
    NAME(REE Agent Site)
    CONTACT(Default DWC User)
    AGTOSTYP(1)
    AGTHOST(localhost)
    AGTUSRID(db2admin)
    AGTMODNM(IWH2AGNT)
:COMMENT.
:COMMENT.  End IWHAGENT Instance
:COMMENT.------------------------------
:COMMIT.CHKPID(150)
:COMMENT.------------------------------
:COMMENT.  Begin IWHPROGF Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPROGF)
:INSTANCE.
    NAME(SQLScript)
    PGMNAME(sh)
    PGMTYPE(2)
    PGMCONTA(Default DWC User)
:COMMENT.
:COMMENT.  End IWHPROGF Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target user ID)
    PRMORDER(8)
    PRMDATA(&TUID)
    PRMTYPE(2)
    PRMID(0000000210)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PRMID(0000000210) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target password)
    PRMORDER(9)
    PRMDATA(&TPWD)
    PRMTYPE(2)
    PRMID(0000006853)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PRMID(0000006853) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source password)
    PRMORDER(6)
    PRMDATA(&SPWD)
    PRMTYPE(2)
    PRMID(0000012464)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PRMID(0000012464) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(COMMAND FILE)
    PRMORDER(1)
    PRMDATA(sqlscript.sh)
    PRMTYPE(2)
    PRMID(0000014694)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PRMID(0000014694) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target database name)
    PRMORDER(7)
    PRMDATA(&TDB)
    PRMTYPE(2)
    PRMID(0000018231)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PRMID(0000018231) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(SCRIPTNAME)
    PRMORDER(3)
    PRMDATA()
    PRMTYPE(2)
    PRMID(0000018413)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PRMID(0000018413) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(AVACODE)
    PRMORDER(2)
    PRMDATA()
    PRMTYPE(2)
    PRMID(0000023727)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PRMID(0000023727) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source database name)
    PRMORDER(4)
    PRMDATA(&SDB)
    PRMTYPE(2)
    PRMID(0000027824)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PRMID(0000027824) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source user ID)
    PRMORDER(5)
    PRMDATA(&SUID)
    PRMTYPE(2)
    PRMID(0000028360)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PRMID(0000028360) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHUDPGR to IWHPROGF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHUDPGR) TARGETYPE(IWHPROGF)
:INSTANCE.
    SOURCEKEY(NAME(Tivoli) )
    TARGETKEY(NAME(SQLScript) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(IWHPROGF) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(IWHPROGF) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(NAME(REE Agent Site) )
:COMMENT.------------------------------
:COMMIT.CHKPID(160)
:COMMENT.------------------------------
:COMMENT.  Begin IWHSAVU Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHSAVU)
:INSTANCE.
    NAME(AMY_m05_s005_Mart_Prepare_Stage)
    IWHCMPOS(N)
    IWHRQSCH(Y)
    IWHCONTA(Default DWC User)
    IWHRTRYI(30)
    IWHRTRYC(3)
    IWHSELGN(N)
    IWHSELST()
    IWHEXPOP(N)
    IWHBVTYP(3)
    IWHSQLW(2)
    IWHDIST(N)
    IWHGROUP(N)
    IWHAVING(N)
    IWHRQDAT(0)
    IWHCOMIT(N)
    IWHCROWS(0)
    MULTDRFL(N)
:COMMENT.
:COMMENT.  End IWHSAVU Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(PROCESS) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVTARIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVTARIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVTARIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVTARIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(NAME(AMY_TWH_CDW_Target) DBNAME(TWH_CDW) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVSRCIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVSRCIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVSRCIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVSRCIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(NAME(AMY_TWH_CDW_Source) DBNAME(TWH_CDW) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVINPTBL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVINPTBL)
:INSTANCE.
    NAME(AMY_m05_s005_Mart_Prepare_Stage) 
:COMMENT.
:COMMENT.  End BVINPTBL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVINPTBL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVINPTBL)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVINPTBL to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVINPTBL) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVUDPOUT Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVUDPOUT)
:INSTANCE.
    NAME(AMY_m05_s005_Mart_Prepare_Stage) 
:COMMENT.
:COMMENT.  End BVUDPOUT Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVUDPOUT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVUDPOUT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVUDPOUT to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVUDPOUT) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Target) OWNER(TWG) TABLES(COMP) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHAGGRF Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHAGGRF)
:INSTANCE.
    PGMUNKEY(0000032268AggreFunc)
:COMMENT.
:COMMENT.  End IWHAGGRF Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PGMUNKEY(0000032268AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(PGMUNKEY(0000032268AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(AVACODE)
    PRMORDER(2)
    PRMDATA(amy)
    PRMTYPE(2)
    PRMID(0000003378)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000032268AggreFunc) )
    TARGETKEY(PRMID(0000003378) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target password)
    PRMORDER(9)
    PRMDATA(&TPWD)
    PRMTYPE(2)
    PRMID(0000005482)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000032268AggreFunc) )
    TARGETKEY(PRMID(0000005482) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source password)
    PRMORDER(6)
    PRMDATA(&SPWD)
    PRMTYPE(2)
    PRMID(0000006046)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000032268AggreFunc) )
    TARGETKEY(PRMID(0000006046) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target user ID)
    PRMORDER(8)
    PRMDATA(&TUID)
    PRMTYPE(2)
    PRMID(0000007644)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000032268AggreFunc) )
    TARGETKEY(PRMID(0000007644) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source user ID)
    PRMORDER(5)
    PRMDATA(&SUID)
    PRMTYPE(2)
    PRMID(0000014232)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000032268AggreFunc) )
    TARGETKEY(PRMID(0000014232) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(SCRIPTNAME)
    PRMORDER(3)
    PRMDATA(amy_m05_s005_mart_prepare_stage)
    PRMTYPE(2)
    PRMID(0000019001)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000032268AggreFunc) )
    TARGETKEY(PRMID(0000019001) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(COMMAND FILE)
    PRMORDER(1)
    PRMDATA(sqlscript.sh)
    PRMTYPE(2)
    PRMID(0000026470)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000032268AggreFunc) )
    TARGETKEY(PRMID(0000026470) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source database name)
    PRMORDER(4)
    PRMDATA(&SDB)
    PRMTYPE(2)
    PRMID(0000026553)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000032268AggreFunc) )
    TARGETKEY(PRMID(0000026553) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target database name)
    PRMORDER(7)
    PRMDATA(&TDB)
    PRMTYPE(2)
    PRMID(0000029017)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000032268AggreFunc) )
    TARGETKEY(PRMID(0000029017) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(170)
:COMMENT.------------------------------
:COMMENT.  Begin IWHSAVU Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHSAVU)
:INSTANCE.
    NAME(AMY_m05_s010_Mart_Pre_Extract)
    IWHCMPOS(N)
    IWHRQSCH(Y)
    IWHCONTA(Default DWC User)
    IWHRTRYI(30)
    IWHRTRYC(3)
    IWHSELGN(N)
    IWHSELST()
    IWHEXPOP(N)
    IWHBVTYP(3)
    IWHSQLW(2)
    IWHDIST(N)
    IWHGROUP(N)
    IWHAVING(N)
    IWHRQDAT(0)
    IWHCOMIT(N)
    IWHCROWS(0)
    MULTDRFL(N)
:COMMENT.
:COMMENT.  End IWHSAVU Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(PROCESS) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVTARIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVTARIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVTARIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVTARIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(NAME(AMY_TWH_MART_Target) DBNAME(TWH_MART) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVSRCIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVSRCIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVSRCIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVSRCIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(NAME(AMY_TWH_MART_Source) DBNAME(TWH_MART) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVINPTBL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVINPTBL)
:INSTANCE.
    NAME(AMY_m05_s010_Mart_Pre_Extract) 
:COMMENT.
:COMMENT.  End BVINPTBL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVINPTBL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVINPTBL)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVINPTBL to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVINPTBL) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVUDPOUT Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVUDPOUT)
:INSTANCE.
    NAME(AMY_m05_s010_Mart_Pre_Extract) 
:COMMENT.
:COMMENT.  End BVUDPOUT Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVUDPOUT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVUDPOUT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVUDPOUT to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVUDPOUT) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHAGGRF Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHAGGRF)
:INSTANCE.
    PGMUNKEY(0000000105AggreFunc)
:COMMENT.
:COMMENT.  End IWHAGGRF Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PGMUNKEY(0000000105AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(PGMUNKEY(0000000105AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target password)
    PRMORDER(9)
    PRMDATA(&TPWD)
    PRMTYPE(2)
    PRMID(0000005073)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000000105AggreFunc) )
    TARGETKEY(PRMID(0000005073) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(AVACODE)
    PRMORDER(2)
    PRMDATA(amy)
    PRMTYPE(2)
    PRMID(0000010071)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000000105AggreFunc) )
    TARGETKEY(PRMID(0000010071) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target database name)
    PRMORDER(7)
    PRMDATA(&TDB)
    PRMTYPE(2)
    PRMID(0000012854)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000000105AggreFunc) )
    TARGETKEY(PRMID(0000012854) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(COMMAND FILE)
    PRMORDER(1)
    PRMDATA(sqlscript.sh)
    PRMTYPE(2)
    PRMID(0000012973)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000000105AggreFunc) )
    TARGETKEY(PRMID(0000012973) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source user ID)
    PRMORDER(5)
    PRMDATA(&SUID)
    PRMTYPE(2)
    PRMID(0000018439)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000000105AggreFunc) )
    TARGETKEY(PRMID(0000018439) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target user ID)
    PRMORDER(8)
    PRMDATA(&TUID)
    PRMTYPE(2)
    PRMID(0000020414)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000000105AggreFunc) )
    TARGETKEY(PRMID(0000020414) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source password)
    PRMORDER(6)
    PRMDATA(&SPWD)
    PRMTYPE(2)
    PRMID(0000021707)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000000105AggreFunc) )
    TARGETKEY(PRMID(0000021707) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(SCRIPTNAME)
    PRMORDER(3)
    PRMDATA(amy_m05_s010_mart_pre_extract)
    PRMTYPE(2)
    PRMID(0000024722)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000000105AggreFunc) )
    TARGETKEY(PRMID(0000024722) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source database name)
    PRMORDER(4)
    PRMDATA(&SDB)
    PRMTYPE(2)
    PRMID(0000027015)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000000105AggreFunc) )
    TARGETKEY(PRMID(0000027015) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(180)
:COMMENT.------------------------------
:COMMENT.  Begin IWHSAVU Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHSAVU)
:INSTANCE.
    NAME(AMY_m05_s020_Mart_Extract)
    IWHCMPOS(N)
    IWHRQSCH(Y)
    IWHCONTA(Default DWC User)
    IWHRTRYI(30)
    IWHRTRYC(3)
    IWHSELGN(N)
    IWHSELST()
    IWHEXPOP(N)
    IWHBVTYP(3)
    IWHSQLW(2)
    IWHDIST(N)
    IWHGROUP(N)
    IWHAVING(N)
    IWHRQDAT(0)
    IWHCOMIT(N)
    IWHCROWS(0)
    MULTDRFL(N)
:COMMENT.
:COMMENT.  End IWHSAVU Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(PROCESS) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(NAME(AMY_m05_s020_Mart_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVTARIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVTARIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(NAME(AMY_m05_s020_Mart_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVTARIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVTARIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(NAME(AMY_TWH_MART_Target) DBNAME(TWH_MART) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVSRCIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVSRCIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(NAME(AMY_m05_s020_Mart_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVSRCIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVSRCIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(NAME(AMY_TWH_CDW_Source) DBNAME(TWH_CDW) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVINPTBL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVINPTBL)
:INSTANCE.
    NAME(AMY_m05_s020_Mart_Extract) 
:COMMENT.
:COMMENT.  End BVINPTBL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVINPTBL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVINPTBL)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(NAME(AMY_m05_s020_Mart_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVINPTBL to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVINPTBL) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVUDPOUT Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVUDPOUT)
:INSTANCE.
    NAME(AMY_m05_s020_Mart_Extract) 
:COMMENT.
:COMMENT.  End BVUDPOUT Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVUDPOUT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVUDPOUT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(NAME(AMY_m05_s020_Mart_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVUDPOUT to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVUDPOUT) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHAGGRF Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHAGGRF)
:INSTANCE.
    PGMUNKEY(0000015238AggreFunc)
:COMMENT.
:COMMENT.  End IWHAGGRF Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PGMUNKEY(0000015238AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(PGMUNKEY(0000015238AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target user ID)
    PRMORDER(8)
    PRMDATA(&TUID)
    PRMTYPE(2)
    PRMID(0000000064)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015238AggreFunc) )
    TARGETKEY(PRMID(0000000064) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(AVACODE)
    PRMORDER(2)
    PRMDATA(amy)
    PRMTYPE(2)
    PRMID(0000001747)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015238AggreFunc) )
    TARGETKEY(PRMID(0000001747) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target database name)
    PRMORDER(7)
    PRMDATA(&TDB)
    PRMTYPE(2)
    PRMID(0000007237)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015238AggreFunc) )
    TARGETKEY(PRMID(0000007237) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source database name)
    PRMORDER(4)
    PRMDATA(&SDB)
    PRMTYPE(2)
    PRMID(0000007327)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015238AggreFunc) )
    TARGETKEY(PRMID(0000007327) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source password)
    PRMORDER(6)
    PRMDATA(&SPWD)
    PRMTYPE(2)
    PRMID(0000008980)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015238AggreFunc) )
    TARGETKEY(PRMID(0000008980) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(SCRIPTNAME)
    PRMORDER(3)
    PRMDATA(amy_m05_s020_mart_extract)
    PRMTYPE(2)
    PRMID(0000014397)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015238AggreFunc) )
    TARGETKEY(PRMID(0000014397) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(COMMAND FILE)
    PRMORDER(1)
    PRMDATA(sqlscript.sh)
    PRMTYPE(2)
    PRMID(0000023332)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015238AggreFunc) )
    TARGETKEY(PRMID(0000023332) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target password)
    PRMORDER(9)
    PRMDATA(&TPWD)
    PRMTYPE(2)
    PRMID(0000024962)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015238AggreFunc) )
    TARGETKEY(PRMID(0000024962) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source user ID)
    PRMORDER(5)
    PRMDATA(&SUID)
    PRMTYPE(2)
    PRMID(0000031468)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015238AggreFunc) )
    TARGETKEY(PRMID(0000031468) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(190)
:COMMENT.------------------------------
:COMMENT.  Begin IWHSAVU Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHSAVU)
:INSTANCE.
    NAME(AMY_m05_s030_Mart_Load)
    IWHCMPOS(N)
    IWHRQSCH(Y)
    IWHCONTA(Default DWC User)
    IWHRTRYI(30)
    IWHRTRYC(3)
    IWHSELGN(N)
    IWHSELST()
    IWHEXPOP(N)
    IWHBVTYP(3)
    IWHSQLW(2)
    IWHDIST(N)
    IWHGROUP(N)
    IWHAVING(N)
    IWHRQDAT(0)
    IWHCOMIT(N)
    IWHCROWS(0)
    MULTDRFL(N)
:COMMENT.
:COMMENT.  End IWHSAVU Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(PROCESS) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(NAME(AMY_m05_s030_Mart_Load) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVTARIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVTARIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(NAME(AMY_m05_s030_Mart_Load) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVTARIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVTARIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(NAME(AMY_TWH_MART_Target) DBNAME(TWH_MART) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVSRCIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVSRCIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(NAME(AMY_m05_s030_Mart_Load) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVSRCIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVSRCIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(NAME(AMY_TWH_MART_Source) DBNAME(TWH_MART) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVINPTBL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVINPTBL)
:INSTANCE.
    NAME(AMY_m05_s030_Mart_Load) 
:COMMENT.
:COMMENT.  End BVINPTBL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVINPTBL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVINPTBL)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(NAME(AMY_m05_s030_Mart_Load) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVINPTBL to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVINPTBL) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVUDPOUT Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVUDPOUT)
:INSTANCE.
    NAME(AMY_m05_s030_Mart_Load) 
:COMMENT.
:COMMENT.  End BVUDPOUT Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVUDPOUT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVUDPOUT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(NAME(AMY_m05_s030_Mart_Load) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVUDPOUT to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVUDPOUT) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHAGGRF Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHAGGRF)
:INSTANCE.
    PGMUNKEY(0000021475AggreFunc)
:COMMENT.
:COMMENT.  End IWHAGGRF Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PGMUNKEY(0000021475AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(PGMUNKEY(0000021475AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(COMMAND FILE)
    PRMORDER(1)
    PRMDATA(sqlscript.sh)
    PRMTYPE(2)
    PRMID(0000001697)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000021475AggreFunc) )
    TARGETKEY(PRMID(0000001697) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target user ID)
    PRMORDER(8)
    PRMDATA(&TUID)
    PRMTYPE(2)
    PRMID(0000003299)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000021475AggreFunc) )
    TARGETKEY(PRMID(0000003299) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(SCRIPTNAME)
    PRMORDER(3)
    PRMDATA(amy_m05_s030_mart_load)
    PRMTYPE(2)
    PRMID(0000008728)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000021475AggreFunc) )
    TARGETKEY(PRMID(0000008728) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source database name)
    PRMORDER(4)
    PRMDATA(&SDB)
    PRMTYPE(2)
    PRMID(0000015715)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000021475AggreFunc) )
    TARGETKEY(PRMID(0000015715) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target database name)
    PRMORDER(7)
    PRMDATA(&TDB)
    PRMTYPE(2)
    PRMID(0000016823)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000021475AggreFunc) )
    TARGETKEY(PRMID(0000016823) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target password)
    PRMORDER(9)
    PRMDATA(&TPWD)
    PRMTYPE(2)
    PRMID(0000018464)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000021475AggreFunc) )
    TARGETKEY(PRMID(0000018464) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source user ID)
    PRMORDER(5)
    PRMDATA(&SUID)
    PRMTYPE(2)
    PRMID(0000019267)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000021475AggreFunc) )
    TARGETKEY(PRMID(0000019267) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source password)
    PRMORDER(6)
    PRMDATA(&SPWD)
    PRMTYPE(2)
    PRMID(0000022575)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000021475AggreFunc) )
    TARGETKEY(PRMID(0000022575) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(AVACODE)
    PRMORDER(2)
    PRMDATA(amy)
    PRMTYPE(2)
    PRMID(0000027706)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000021475AggreFunc) )
    TARGETKEY(PRMID(0000027706) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(200)
:COMMENT.------------------------------
:COMMENT.  Begin IWHSAVU Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHSAVU)
:INSTANCE.
    NAME(AMY_m05_s040_Mart_Rollup)
    IWHCMPOS(N)
    IWHRQSCH(Y)
    IWHCONTA(Default DWC User)
    IWHRTRYI(30)
    IWHRTRYC(3)
    IWHSELGN(N)
    IWHSELST()
    IWHEXPOP(N)
    IWHBVTYP(3)
    IWHSQLW(2)
    IWHDIST(N)
    IWHGROUP(N)
    IWHAVING(N)
    IWHRQDAT(0)
    IWHCOMIT(N)
    IWHCROWS(0)
    MULTDRFL(N)
:COMMENT.
:COMMENT.  End IWHSAVU Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(PROCESS) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(NAME(AMY_m05_s040_Mart_Rollup) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVTARIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVTARIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(NAME(AMY_m05_s040_Mart_Rollup) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVTARIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVTARIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(NAME(AMY_TWH_MD_Target) DBNAME(TWH_MD) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVSRCIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVSRCIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(NAME(AMY_m05_s040_Mart_Rollup) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVSRCIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVSRCIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(NAME(AMY_TWH_MART_Source) DBNAME(TWH_MART) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVINPTBL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVINPTBL)
:INSTANCE.
    NAME(AMY_m05_s040_Mart_Rollup) 
:COMMENT.
:COMMENT.  End BVINPTBL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVINPTBL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVINPTBL)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(NAME(AMY_m05_s040_Mart_Rollup) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVINPTBL to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVINPTBL) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVUDPOUT Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVUDPOUT)
:INSTANCE.
    NAME(AMY_m05_s040_Mart_Rollup) 
:COMMENT.
:COMMENT.  End BVUDPOUT Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVUDPOUT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVUDPOUT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(NAME(AMY_m05_s040_Mart_Rollup) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVUDPOUT to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVUDPOUT) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(DBNAME(AMY_TWH_MD_Target) OWNER(RPI) TABLES(SSUPDATED) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHAGGRF Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHAGGRF)
:INSTANCE.
    PGMUNKEY(0000005860AggreFunc)
:COMMENT.
:COMMENT.  End IWHAGGRF Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PGMUNKEY(0000005860AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(PGMUNKEY(0000005860AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(AVACODE)
    PRMORDER(2)
    PRMDATA(amy)
    PRMTYPE(2)
    PRMID(0000004750)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000005860AggreFunc) )
    TARGETKEY(PRMID(0000004750) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(COMMAND FILE)
    PRMORDER(1)
    PRMDATA(amx_rollup.sh)
    PRMTYPE(2)
    PRMID(0000007934)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000005860AggreFunc) )
    TARGETKEY(PRMID(0000007934) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(SCRIPTNAME)
    PRMORDER(3)
    PRMDATA(amy_m05_s040_mart_rollup)
    PRMTYPE(2)
    PRMID(0000014378)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000005860AggreFunc) )
    TARGETKEY(PRMID(0000014378) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source user ID)
    PRMORDER(5)
    PRMDATA(&SUID)
    PRMTYPE(2)
    PRMID(0000022656)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000005860AggreFunc) )
    TARGETKEY(PRMID(0000022656) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target database name)
    PRMORDER(7)
    PRMDATA(&TDB)
    PRMTYPE(2)
    PRMID(0000023616)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000005860AggreFunc) )
    TARGETKEY(PRMID(0000023616) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source database name)
    PRMORDER(4)
    PRMDATA(&SDB)
    PRMTYPE(2)
    PRMID(0000028313)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000005860AggreFunc) )
    TARGETKEY(PRMID(0000028313) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target password)
    PRMORDER(9)
    PRMDATA(&TPWD)
    PRMTYPE(2)
    PRMID(0000031037)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000005860AggreFunc) )
    TARGETKEY(PRMID(0000031037) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target user ID)
    PRMORDER(8)
    PRMDATA(&TUID)
    PRMTYPE(2)
    PRMID(0000032441)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000005860AggreFunc) )
    TARGETKEY(PRMID(0000032441) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source password)
    PRMORDER(6)
    PRMDATA(&SPWD)
    PRMTYPE(2)
    PRMID(0000032645)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000005860AggreFunc) )
    TARGETKEY(PRMID(0000032645) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(210)
:COMMENT.------------------------------
:COMMENT.  Begin IWHSAVU Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHSAVU)
:INSTANCE.
    NAME(AMY_m05_s050_Mart_Prune)
    IWHCMPOS(N)
    IWHRQSCH(Y)
    IWHCONTA(Default DWC User)
    IWHRTRYI(30)
    IWHRTRYC(3)
    IWHSELGN(N)
    IWHSELST()
    IWHEXPOP(N)
    IWHBVTYP(3)
    IWHSQLW(2)
    IWHDIST(N)
    IWHGROUP(N)
    IWHAVING(N)
    IWHRQDAT(0)
    IWHCOMIT(N)
    IWHCROWS(0)
    MULTDRFL(N)
:COMMENT.
:COMMENT.  End IWHSAVU Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(PROCESS) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_ETL2_Process) )
    TARGETKEY(NAME(AMY_m05_s050_Mart_Prune) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVTARIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVTARIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(NAME(AMY_m05_s050_Mart_Prune) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVTARIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVTARIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(NAME(AMY_TWH_MART_Target) DBNAME(TWH_MART) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVSRCIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVSRCIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(NAME(AMY_m05_s050_Mart_Prune) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVSRCIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVSRCIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(NAME(AMY_TWH_MART_Source) DBNAME(TWH_MART) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVINPTBL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVINPTBL)
:INSTANCE.
    NAME(AMY_m05_s050_Mart_Prune) 
:COMMENT.
:COMMENT.  End BVINPTBL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVINPTBL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVINPTBL)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(NAME(AMY_m05_s050_Mart_Prune) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVINPTBL to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVINPTBL) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Source) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVUDPOUT Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVUDPOUT)
:INSTANCE.
    NAME(AMY_m05_s050_Mart_Prune) 
:COMMENT.
:COMMENT.  End BVUDPOUT Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVUDPOUT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVUDPOUT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(NAME(AMY_m05_s050_Mart_Prune) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVUDPOUT to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVUDPOUT) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHAGGRF Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHAGGRF)
:INSTANCE.
    PGMUNKEY(0000015913AggreFunc)
:COMMENT.
:COMMENT.  End IWHAGGRF Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PGMUNKEY(0000015913AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(PGMUNKEY(0000015913AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target user ID)
    PRMORDER(8)
    PRMDATA(&TUID)
    PRMTYPE(2)
    PRMID(0000000251)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015913AggreFunc) )
    TARGETKEY(PRMID(0000000251) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source database name)
    PRMORDER(4)
    PRMDATA(&SDB)
    PRMTYPE(2)
    PRMID(0000003652)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015913AggreFunc) )
    TARGETKEY(PRMID(0000003652) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source user ID)
    PRMORDER(5)
    PRMDATA(&SUID)
    PRMTYPE(2)
    PRMID(0000004728)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015913AggreFunc) )
    TARGETKEY(PRMID(0000004728) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target password)
    PRMORDER(9)
    PRMDATA(&TPWD)
    PRMTYPE(2)
    PRMID(0000005160)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015913AggreFunc) )
    TARGETKEY(PRMID(0000005160) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(AVACODE)
    PRMORDER(2)
    PRMDATA(amy)
    PRMTYPE(2)
    PRMID(0000006970)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015913AggreFunc) )
    TARGETKEY(PRMID(0000006970) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(SCRIPTNAME)
    PRMORDER(3)
    PRMDATA(amy_m05_s050_mart_prune)
    PRMTYPE(2)
    PRMID(0000012788)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015913AggreFunc) )
    TARGETKEY(PRMID(0000012788) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(COMMAND FILE)
    PRMORDER(1)
    PRMDATA(sqlscript.sh)
    PRMTYPE(2)
    PRMID(0000014847)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015913AggreFunc) )
    TARGETKEY(PRMID(0000014847) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target database name)
    PRMORDER(7)
    PRMDATA(&TDB)
    PRMTYPE(2)
    PRMID(0000028013)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015913AggreFunc) )
    TARGETKEY(PRMID(0000028013) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source password)
    PRMORDER(6)
    PRMDATA(&SPWD)
    PRMTYPE(2)
    PRMID(0000032646)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000015913AggreFunc) )
    TARGETKEY(PRMID(0000032646) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s050_Mart_Prune) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(220)
:COMMIT.CHKPID(230)
:COMMENT. Exporting Process AMY_m10_Reset_ETL2_Process
:COMMENT.------------------------------
:COMMENT.  Begin PROCESS Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(PROCESS)
:INSTANCE.
    NAME(AMY_m10_Reset_ETL2_Process)
    SHRTDESC(This process must only be used to reset the OS Star Schemas. Running this process will delete all the data in the AMY dimension and fact tables.)
    LONGDESC(This process has a shortcut to the AMY_m05_ETL2_Process.)
    CONTACT(Default DWC User)
    PRCTYPE(1)
:COMMENT.
:COMMENT.  End PROCESS Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: INFOGRPS to PROCESS
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(INFOGRPS) TARGETYPE(PROCESS)
:INSTANCE.
    SOURCEKEY(NAME(AMY_Operating_Systems_PAC_v1.1.0_Subject_Area) )
    TARGETKEY(NAME(AMY_m10_Reset_ETL2_Process) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to IWHSCGRP
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(PROCESS) TARGETYPE(IWHSCGRP)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_Reset_ETL2_Process) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(PROCESS) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_Reset_ETL2_Process) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(PROCESS) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_Reset_ETL2_Process) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHSAVU Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHSAVU)
:INSTANCE.
    NAME(AMY_m10_s010_Reset_OS_Data_Mart)
    IWHCMPOS(N)
    IWHRQSCH(Y)
    IWHCONTA(Default DWC User)
    IWHRTRYI(30)
    IWHRTRYC(3)
    IWHSELGN(N)
    IWHSELST()
    IWHEXPOP(N)
    IWHBVTYP(3)
    IWHSQLW(2)
    IWHDIST(N)
    IWHGROUP(N)
    IWHAVING(N)
    IWHRQDAT(0)
    IWHCOMIT(N)
    IWHCROWS(0)
    MULTDRFL(N)
:COMMENT.
:COMMENT.  End IWHSAVU Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: PROCESS to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(PROCESS) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_Reset_ETL2_Process) )
    TARGETKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVTARIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVTARIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVTARIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVTARIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(NAME(AMY_TWH_MART_Target) DBNAME(TWH_MART) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVSRCIR
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVSRCIR)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVSRCIR to DATABASE
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVSRCIR) TARGETYPE(DATABASE)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(NAME(AMY_TWH_CDW_Source) DBNAME(TWH_CDW) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVINPTBL Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVINPTBL)
:INSTANCE.
    NAME(AMY_m10_s010_Reset_OS_Data_Mart) 
:COMMENT.
:COMMENT.  End BVINPTBL Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVINPTBL
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVINPTBL)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVINPTBL to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVINPTBL) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(DBNAME(AMY_TWH_CDW_Source) OWNER(TWG) TABLES(COMP) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin BVUDPOUT Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVUDPOUT)
:INSTANCE.
    NAME(AMY_m10_s010_Reset_OS_Data_Mart) 
:COMMENT.
:COMMENT.  End BVUDPOUT Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVUDPOUT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVUDPOUT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVUDPOUT to TABLES
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVUDPOUT) TARGETYPE(TABLES)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(DBNAME(AMY_TWH_MART_Target) OWNER(AMY) TABLES(D_CPU) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHAGGRF Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHAGGRF)
:INSTANCE.
    PGMUNKEY(0000030090AggreFunc)
:COMMENT.
:COMMENT.  End IWHAGGRF Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHPROGF to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHPROGF) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(SQLScript) )
    TARGETKEY(PGMUNKEY(0000030090AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGGRF
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGGRF)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(PGMUNKEY(0000030090AggreFunc) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target password)
    PRMORDER(9)
    PRMDATA(&TPWD)
    PRMTYPE(2)
    PRMID(0000000502)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000030090AggreFunc) )
    TARGETKEY(PRMID(0000000502) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target user ID)
    PRMORDER(8)
    PRMDATA(&TUID)
    PRMTYPE(2)
    PRMID(0000006671)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000030090AggreFunc) )
    TARGETKEY(PRMID(0000006671) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(COMMAND FILE)
    PRMORDER(1)
    PRMDATA(sqlscript.sh)
    PRMTYPE(2)
    PRMID(0000010411)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000030090AggreFunc) )
    TARGETKEY(PRMID(0000010411) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source password)
    PRMORDER(6)
    PRMDATA(&SPWD)
    PRMTYPE(2)
    PRMID(0000014863)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000030090AggreFunc) )
    TARGETKEY(PRMID(0000014863) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(AVACODE)
    PRMORDER(2)
    PRMDATA(amy)
    PRMTYPE(2)
    PRMID(0000015478)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000030090AggreFunc) )
    TARGETKEY(PRMID(0000015478) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source database name)
    PRMORDER(4)
    PRMDATA(&SDB)
    PRMTYPE(2)
    PRMID(0000023236)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000030090AggreFunc) )
    TARGETKEY(PRMID(0000023236) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(SCRIPTNAME)
    PRMORDER(3)
    PRMDATA(amy_m10_s010_reset_os_data_mart)
    PRMTYPE(2)
    PRMID(0000023396)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000030090AggreFunc) )
    TARGETKEY(PRMID(0000023396) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse target database name)
    PRMORDER(7)
    PRMDATA(&TDB)
    PRMTYPE(2)
    PRMID(0000026637)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000030090AggreFunc) )
    TARGETKEY(PRMID(0000026637) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Begin IWHPARM Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(IWHPARM)
:INSTANCE.
    NAME(Warehouse source user ID)
    PRMORDER(5)
    PRMDATA(&SUID)
    PRMTYPE(2)
    PRMID(0000030797)
:COMMENT.
:COMMENT.  End IWHPARM Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHAGGRF to IWHPARM
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHAGGRF) TARGETYPE(IWHPARM)
:INSTANCE.
    SOURCEKEY(PGMUNKEY(0000030090AggreFunc) )
    TARGETKEY(PRMID(0000030797) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to IWHAGENT
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(LINK) SOURCETYPE(IWHSAVU) TARGETYPE(IWHAGENT)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m10_s010_Reset_OS_Data_Mart) )
    TARGETKEY(NAME(-99999) )
:COMMENT.------------------------------
:COMMIT.CHKPID(240)
:COMMIT.CHKPID(250)
:COMMENT. Start IR export
:COMMENT. Start Star Schema export
:COMMENT. Start UDP export
:COMMENT.------------------------------
:COMMENT.  Begin BVPOSTBV Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVPOSTBV)
:INSTANCE.
    NAME(AMY_m05_s005_Mart_Prepare_Stage) 
:COMMENT.
:COMMENT.  End BVPOSTBV Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVPOSTBV
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVPOSTBV)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVPOSTBV to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVPOSTBV) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s005_Mart_Prepare_Stage) )
    TARGETKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
:COMMENT.------------------------------
:COMMIT.CHKPID(260)
:COMMENT.------------------------------
:COMMENT.  Begin BVPOSTBV Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVPOSTBV)
:INSTANCE.
    NAME(AMY_m05_s010_Mart_Pre_Extract) 
:COMMENT.
:COMMENT.  End BVPOSTBV Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVPOSTBV
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVPOSTBV)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVPOSTBV to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVPOSTBV) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s010_Mart_Pre_Extract) )
    TARGETKEY(NAME(AMY_m05_s020_Mart_Extract) )
:COMMENT.------------------------------
:COMMIT.CHKPID(270)
:COMMENT.------------------------------
:COMMENT.  Begin BVPOSTBV Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVPOSTBV)
:INSTANCE.
    NAME(AMY_m05_s020_Mart_Extract) 
:COMMENT.
:COMMENT.  End BVPOSTBV Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVPOSTBV
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVPOSTBV)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(NAME(AMY_m05_s020_Mart_Extract) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVPOSTBV to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVPOSTBV) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s020_Mart_Extract) )
    TARGETKEY(NAME(AMY_m05_s030_Mart_Load) )
:COMMENT.------------------------------
:COMMIT.CHKPID(280)
:COMMENT.------------------------------
:COMMENT.  Begin BVPOSTBV Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVPOSTBV)
:INSTANCE.
    NAME(AMY_m05_s030_Mart_Load) 
:COMMENT.
:COMMENT.  End BVPOSTBV Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVPOSTBV
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVPOSTBV)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(NAME(AMY_m05_s030_Mart_Load) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVPOSTBV to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVPOSTBV) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s030_Mart_Load) )
    TARGETKEY(NAME(AMY_m05_s040_Mart_Rollup) )
:COMMENT.------------------------------
:COMMIT.CHKPID(290)
:COMMENT.------------------------------
:COMMENT.  Begin BVPOSTBV Instance
:COMMENT.
:ACTION.OBJINST(MERGE)
:OBJECT.TYPE(BVPOSTBV)
:INSTANCE.
    NAME(AMY_m05_s040_Mart_Rollup) 
:COMMENT.
:COMMENT.  End BVPOSTBV Instance
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: IWHSAVU to BVPOSTBV
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(IWHSAVU) TARGETYPE(BVPOSTBV)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(NAME(AMY_m05_s040_Mart_Rollup) )
:COMMENT.------------------------------
:COMMENT.------------------------------
:COMMENT.  Relation: BVPOSTBV to IWHSAVU
:COMMENT.
:ACTION.RELATION(ADD)
:RELTYPE.TYPE(CONTAIN) SOURCETYPE(BVPOSTBV) TARGETYPE(IWHSAVU)
:INSTANCE.
    SOURCEKEY(NAME(AMY_m05_s040_Mart_Rollup) )
    TARGETKEY(NAME(AMY_m05_s050_Mart_Prune) )
:COMMENT.------------------------------
:COMMIT.CHKPID(300)
:COMMENT. Exporting Foreign Keys
:COMMENT.------------------------------
:COMMENT. End of Tag file: C:\amy_ETL2_Process_dwc_data.tag
:COMMENT. Time:  04/20/04 12:58:12
:COMMENT.------------------------------
