-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amy/fixpack5/etl/sql/amy_m05_s010_mart_pre_extract.db2, tmnt_etl, tmnt_5.1.1_FP06
-- #   Revision: 1.4
-- #   Date: 1/30/04 09:33:56
-- ############################################################################

----------------------
-- AMY_HOST_IP
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_HOST_IP;

create table AMY.STG_T_HOST_IP
(
 orig_host_id        integer       not null,
 host_id             integer,
 cdw_id              integer       not null,
 hostname            varchar(254)  not null,
 NETWORK_DOMAIN      VARCHAR(120),
 NETWORK_SUBDOMAIN   VARCHAR(120),
 NETWORK_SUBDOMAIN2  VARCHAR(120),
 SHORT_HOSTNAME      VARCHAR(64)   not null,
 CUSTOMER_NAME       varchar(120), 
 CENTER_NAME         varchar(120),
   primary key (orig_host_id, cdw_id)
);

----------------------
-- AMY_CPU
----------------------

--#IGNORE_ERROR
drop table AMY.STG_T_CPU_metric;

create table AMY.STG_T_CPU_metric (
 orig_metric_id    integer        not null,
 metric_id         integer        not null,
 cdw_id            integer        not null,
 met_category      varchar(254),
 met_desc          varchar(254),
 met_name          varchar(254)   not null,
 met_units         varchar(254),
 min_exists        char(1)        not null,
 max_exists        char(1)        not null,
 avg_exists        char(1)        not null,
 total_exists      char(1)        not null,
 msrc_nm           varchar(254),
   primary key (orig_metric_id, cdw_id)
);

--#IGNORE_ERROR
drop table AMY.STG_T_CPU;

create table AMY.STG_T_CPU (
 CPU_Nm varchar(254), 
 CPU_Type   varchar(254), 
 orig_CPU_id       integer         not null, 
 cdw_id            integer         not null, 
 CPU_id            integer         not null,
   primary key (orig_CPU_id, cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_CPU_HR; 
 
create table AMY.STG_CPU_HR 
( 
 msmt_id integer not null,
 orig_CPU_id       integer         not null, 
 CPU_id            integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_CPU_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_FILE
----------------------

--#IGNORE_ERROR
drop table AMY.STG_T_FILE;

create table AMY.STG_T_FILE (
 FILE_Nm           varchar(254), 
 orig_FILE_id      integer         not null, 
 cdw_id            integer         not null, 
 FILE_id           integer         not null,
   primary key (orig_FILE_id, cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_FILE_HR; 
 
create table AMY.STG_FILE_HR 
( 
 cdw_id            integer         not null,
 msmt_id           integer         not null,
 orig_FILE_id      integer         not null, 
 FILE_id           integer         not null, 
 FMode             varchar(120)    not null,
 FOwner            varchar(120)    not null,
 FGroup            varchar(120)    not null,
 FAttribute_id     integer         not null,
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_FILE_id, FMode, FOwner, FGroup, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 


----------------------
-- AMY_FS
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_FS_METRIC;

create table AMY.STG_T_FS_METRIC (
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 met_category      varchar(254),
 met_desc          varchar(254),
 met_name          varchar(254)    not null,
 met_units         varchar(254),
 min_exists        char(1)         not null,
 max_exists        char(1)         not null,
 avg_exists        char(1)         not null,
 total_exists      char(1)         not null,
 msrc_nm           varchar(254),
   primary key (orig_metric_id, cdw_id)
);

--#IGNORE_ERROR 
drop table AMY.STG_T_FS;

create table AMY.STG_T_FS (
 FS_Nm             varchar(254), 
 orig_FS_id        integer         not null, 
 cdw_id            integer         not null, 
 FS_id             integer         not null,
   primary key (orig_FS_id,cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_FS_HR; 
 
create table AMY.STG_FS_HR 
( 
 msmt_id           integer         not null,
 orig_FS_id        integer         not null, 
 FS_id             integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
 primary key (orig_FS_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_IP
----------------------

----------------------
-- AMY_LDISK
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_IO_METRIC;

create table AMY.STG_T_IO_METRIC (
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 met_category      varchar(254),
 met_desc          varchar(254),
 met_name          varchar(254)    not null,
 met_units         varchar(254),
 min_exists        char(1)         not null,
 max_exists        char(1)         not null,
 avg_exists        char(1)         not null,
 total_exists      char(1)         not null,
 msrc_nm           varchar(254),
   primary key (orig_metric_id, cdw_id)
);

--#IGNORE_ERROR 
drop table AMY.STG_T_LDISK;

create table AMY.STG_T_LDISK (
 LDISK_Nm          varchar(254), 
 orig_LDISK_id     integer         not null, 
 cdw_id            integer         not null, 
 LDISK_id          integer         not null,
   primary key (orig_LDISK_id,cdw_id)
);

--#IGNORE_ERROR 
drop table AMY.STG_LDISK_HR; 
 
create table AMY.STG_LDISK_HR 
( 
 msmt_id           integer         not null,
 orig_LDISK_id     integer         not null, 
 LDISK_id          integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_LDISK_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_MEMORY
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_MEM_METRIC;

create table AMY.STG_T_MEM_METRIC (
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 met_category      varchar(254),
 met_desc          varchar(254),
 met_name          varchar(254)    not null,
 met_units         varchar(254),
 min_exists        char(1)         not null,
 max_exists        char(1)         not null,
 avg_exists        char(1)         not null,
 total_exists      char(1)         not null,
 msrc_nm           varchar(254),
   primary key (orig_metric_id, cdw_id)
);

--#IGNORE_ERROR 
drop table AMY.STG_T_MEMORY;

create table AMY.STG_T_MEMORY (
 MEMORY_Nm         varchar(254), 
 MEMORY_Type       varchar(254), 
 orig_MEMORY_id    integer         not null, 
 cdw_id            integer         not null, 
 MEMORY_id         integer         not null,
   primary key (orig_MEMORY_id, cdw_id)
);

--#IGNORE_ERROR 
drop table AMY.STG_MEMORY_HR; 
 
create table AMY.STG_MEMORY_HR 
( 
 msmt_id           integer         not null,
 orig_MEMORY_id    integer         not null, 
 MEMORY_id         integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_MEMORY_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_NETSEG
----------------------

----------------------
-- AMY_NETWORK
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_NET_METRIC; 

create table AMY.STG_T_NET_METRIC (
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 met_category      varchar(254),
 met_desc          varchar(254),
 met_name          varchar(254)    not null,
 met_units         varchar(254),
 min_exists        char(1)         not null,
 max_exists        char(1)         not null,
 avg_exists        char(1)         not null,
 total_exists      char(1)         not null,
 msrc_nm           varchar(254),
   primary key (orig_metric_id, cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_T_NETWORK;

create table AMY.STG_T_NETWORK (
 NET_Nm varchar(254), 
 NET_Type varchar(254),
 orig_NET_id       integer         not null, 
 cdw_id            integer         not null, 
 NET_id            integer         not null,
   primary key (orig_NET_id,cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_NETWORK_HR; 
 
create table AMY.STG_NETWORK_HR 
( 
 msmt_id           integer         not null,
 orig_NET_id       integer         not null, 
 NET_id            integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_NET_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_NFS
----------------------

----------------------
-- AMY_OS400ASP
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_OS400ASP;

create table AMY.STG_T_OS400ASP (
 OS4KASP_Nm        varchar(254), 
 orig_OS400ASP_id  integer         not null, 
 cdw_id            integer         not null, 
 OS400ASP_id       integer         not null,
   primary key (orig_OS400ASP_id,cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_OS400ASP_HR; 
 
create table AMY.STG_OS400ASP_HR 
( 
 msmt_id           integer         not null,
 orig_OS400ASP_id  integer         not null, 
 OS400ASP_id       integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_OS400ASP_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_OS400BCPU
----------------------

----------------------
-- AMY_OS400DBCPU
----------------------

----------------------
-- AMY_OS400DISK
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_OS4KDISK;

create table AMY.STG_T_OS4KDISK (
 OS4KDISK_Nm       varchar(254), 
 orig_OS4KDISK_id  integer         not null, 
 cdw_id            integer         not null, 
 OS4KDISK_id       integer         not null,
   primary key (orig_OS4KDISK_id, cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_OS4KDISK_HR; 
 
create table AMY.STG_OS4KDISK_HR 
( 
 msmt_id           integer         not null,
 orig_OS4KDISK_id  integer         not null, 
 OS4KDISK_id       integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_OS4KDISK_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_OS400ICPU
----------------------

----------------------
-- AMY_OS400IFCPU
----------------------

----------------------
-- AMY_OS400SPOOL
----------------------

----------------------
-- AMY_PDISK
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_PDISK;

create table AMY.STG_T_PDISK (
 PDISK_Nm          varchar(254), 
 orig_PDISK_id     integer         not null, 
 cdw_id            integer         not null, 
 PDISK_id          integer         not null,
   primary key (orig_PDISK_id,cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_PDISK_HR; 
 
create table AMY.STG_PDISK_HR 
( 
 msmt_id           integer         not null,
 orig_PDISK_id     integer         not null, 
 PDISK_id          integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_PDISK_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_PORT
----------------------

----------------------
-- AMY_PRNQUEUE
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_PRN_METRIC;

create table AMY.STG_T_PRN_METRIC (
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 met_category      varchar(254),
 met_desc          varchar(254),
 met_name          varchar(254)    not null,
 met_units         varchar(254),
 min_exists        char(1)         not null,
 max_exists        char(1)         not null,
 avg_exists        char(1)         not null,
 total_exists      char(1)         not null,
 msrc_nm           varchar(254),
   primary key (orig_metric_id, cdw_id)
);

--#IGNORE_ERROR 
drop table AMY.STG_T_PRINTER;

create table AMY.STG_T_PRINTER (
 PRN_Nm            varchar(254), 
 orig_PRN_id       integer         not null, 
 cdw_id            integer         not null, 
 PRN_id            integer         not null,
   primary key (orig_PRN_id, cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_PRN_HR; 
 
create table AMY.STG_PRN_HR 
( 
 msmt_id           integer         not null,
 orig_PRN_id       integer         not null, 
 PRN_id            integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_PRN_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_PROCESS
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_PROCESS;

create table AMY.STG_T_PROCESS (
 PROC_Nm           varchar(254),
 PROC_Ds           varchar(254),
 orig_PROCESS_id   integer         not null, 
 cdw_id            integer         not null, 
 PROCESS_id        integer         not null,
   primary key (orig_PROCESS_id, cdw_id)
);

--#IGNORE_ERROR 
drop table AMY.STG_PROCESS_HR; 
 
create table AMY.STG_PROCESS_HR 
( 
 msmt_id           integer         not null,
 orig_PROCESS_id   integer         not null, 
 PROCESS_id        integer         not null,
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_PROCESS_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_REDIR
----------------------

----------------------
-- AMY_RPC
----------------------

----------------------
-- AMY_SERVER
----------------------

--#IGNORE_ERROR  
drop table AMY.STG_T_SVR_METRIC;

create table AMY.STG_T_SVR_METRIC (
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 met_category      varchar(254),
 met_desc          varchar(254),
 met_name          varchar(254)    not null,
 met_units         varchar(254),
 min_exists        char(1)         not null,
 max_exists        char(1)         not null,
 avg_exists        char(1)         not null,
 total_exists      char(1)         not null,
 msrc_nm           varchar(254),
   primary key (orig_metric_id, cdw_id)
);

--#IGNORE_ERROR
drop table AMY.STG_T_SERVER;

create table AMY.STG_T_SERVER (
 SERVER_Nm         varchar(254), 
 orig_SERVER_id    integer         not null, 
 cdw_id            integer         not null, 
 SERVER_id         integer         not null,
   primary key (orig_SERVER_id, cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_SERVER_HR; 
 
create table AMY.STG_SERVER_HR 
( 
 msmt_id           integer         not null,
 orig_SERVER_id    integer         not null, 
 SERVER_id         integer         not null, 
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_SERVER_id, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_SERVICE
----------------------

----------------------
-- AMY_TCPIP
----------------------

----------------------
-- AMY_USER
----------------------

--#IGNORE_ERROR 
drop table AMY.STG_T_USER_METRIC;

create table AMY.STG_T_USER_METRIC (
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 met_category      varchar(254),
 met_desc          varchar(254),
 met_name          varchar(254)    not null,
 met_units         varchar(254),
 min_exists        char(1)         not null,
 max_exists        char(1)         not null,
 avg_exists        char(1)         not null,
 total_exists      char(1)         not null,
 msrc_nm           varchar(254),
   primary key (orig_metric_id, cdw_id)
);

--#IGNORE_ERROR
drop table AMY.STG_T_USER;

create table AMY.STG_T_USER (
 USER_Nm           varchar(254), 
 orig_USER_id      integer         not null, 
 cdw_id            integer         not null, 
 USER_id           integer         not null,
   primary key (orig_USER_id, cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_USER_HR; 
 
create table AMY.STG_USER_HR 
( 
 msmt_id           integer         not null,
 orig_USER_id      integer         not null, 
 USER_id           integer         not null, 
 UserId            varchar(254)    not null,
 UserId_id         integer         not null,
 orig_host_id      integer         not null,
 host_id           integer         not null,
 Host_ip_ad        varchar(254)    not null,
 Host_ip_ad_id     integer         not null,
 orig_metric_id    integer         not null,
 metric_id         integer         not null,
 cdw_id            integer         not null,
 meas_hour         timestamp       not null,
 row_exists        char(1)         not null,
 min_value         double,
 max_value         double,
 avg_value         double,
 total_value       double,
 sample_count      double,
   primary key (orig_USER_id, UserId, orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 

----------------------
-- AMY_SYSTEM
----------------------

--#IGNORE_ERROR
drop table AMY.STG_T_SYSTEM_metric;

create table AMY.STG_T_SYSTEM_metric (
  orig_metric_id   integer         not null,
  metric_id        integer         not null,
  cdw_id           integer         not null,
  met_category     varchar(254),
  met_desc         varchar(254),
  met_name         varchar(254)    not null,
  met_units        varchar(254),
  min_exists       char(1)         not null,
  max_exists       char(1)         not null,
  avg_exists       char(1)         not null,
  total_exists     char(1)         not null,
  msrc_nm          varchar(254),
    primary key (orig_metric_id, cdw_id)
);

--#IGNORE_ERROR
drop table AMY.STG_T_SYSTEM;

create table AMY.STG_T_SYSTEM (
 SYSTEM_Nm          varchar(254), 
 SYSTEM_Type        varchar(254), 
 orig_SYSTEM_id     integer        not null, 
 cdw_id             integer        not null, 
 SYSTEM_id          integer        not null,
   primary key (orig_SYSTEM_id,cdw_id)
);
      
--#IGNORE_ERROR 
drop table AMY.STG_SYSTEM_HR; 
 
create table AMY.STG_SYSTEM_HR 
( 
    msmt_id         integer        not null,
    orig_SYSTEM_id  integer        not null, 
    SYSTEM_id       integer        not null, 
    orig_host_id    integer        not null,
    host_id         integer        not null,
    Host_ip_ad      varchar(254)   not null,
    Host_ip_ad_id   integer        not null,
    orig_metric_id  integer        not null,
    metric_id       integer        not null,
    cdw_id          integer        not null,
    meas_hour       timestamp      not null,
    row_exists      char(1)        not null,
    min_value       double,
    max_value       double,
    avg_value       double,
    total_value     double,
    sample_count    double,
    primary key (orig_SYSTEM_id,  orig_host_id, Host_ip_ad, orig_metric_id, cdw_id, meas_hour)
); 
