-- ############################################################################
-- #
-- #  licensed materials - property of ibm
-- #  5724-c01
-- #
-- #  (c) copyright ibm corp. 2002.  all rights reserved.
-- #
-- #  us government users restricted rights - use, duplication or
-- #  disclosure restricted by gsa adp schedule contract with
-- #  ibm corp.
-- #
-- #   File Information: Common/src/tedw_app/amy/fixpack5/etl/sql/amy_m05_s030_mart_load.db2, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
-- #   Revision: 1.7
-- #   Date: 1/30/04 09:34:00
-- ############################################################################

--#VERSION 1.1.0.1.0

----------------------
--  HOST
----------------------

insert into AMY.T_HOST_IP
select
 orig_host_id,
 host_id,
 cdw_id,
 hostname,
 NETWORK_DOMAIN,
 NETWORK_SUBDOMAIN,
 NETWORK_SUBDOMAIN2,
 SHORT_HOSTNAME,
 CUSTOMER_NAME,
 CENTER_NAME
from
 AMY.STG_T_HOST_IP a
where
not exists (
 select 1
 from
  AMY.T_HOST_IP b
 where
  a.orig_host_id=b.orig_host_id and
  a.cdw_id=b.cdw_id
  )
;

insert into AMY.D_HOST_IP
(host_id,
 hostname,
 NETWORK_DOMAIN,
 NETWORK_SUBDOMAIN,
 NETWORK_SUBDOMAIN2,
 SHORT_HOSTNAME,
 CUSTOMER_NAME,
 CENTER_NAME)
select
 0,
 hostname,
 NETWORK_DOMAIN,
 NETWORK_SUBDOMAIN,
 NETWORK_SUBDOMAIN2,
 SHORT_HOSTNAME,
 CUSTOMER_NAME,
 CENTER_NAME
from
 AMY.T_HOST_IP b
where
not exists  (
  select 1
  from
   AMY.D_HOST_IP a
  where
   a.CENTER_NAME=b.CENTER_NAME and
   a.CUSTOMER_NAME=b.CUSTOMER_NAME and
   a.hostname=b.hostname and
   a.NETWORK_DOMAIN = b.NETWORK_DOMAIN and
   a.NETWORK_SUBDOMAIN = b.NETWORK_SUBDOMAIN and
   a.NETWORK_SUBDOMAIN2 = b.NETWORK_SUBDOMAIN2 and
   a.SHORT_HOSTNAME = b.SHORT_HOSTNAME )
group by
 hostname,
 NETWORK_DOMAIN,
 NETWORK_SUBDOMAIN,
 NETWORK_SUBDOMAIN2,
 SHORT_HOSTNAME,
 CUSTOMER_NAME,
 CENTER_NAME
;

update AMY.T_HOST_IP s1 set host_id =
(
select
 d1.host_id
from
 AMY.D_HOST_IP d1
where
 s1.CENTER_NAME=d1.CENTER_NAME and
 s1.CUSTOMER_NAME=d1.CUSTOMER_NAME and
 s1.hostname = d1.hostname and
 s1.NETWORK_DOMAIN = d1.NETWORK_DOMAIN and
 s1.NETWORK_SUBDOMAIN = d1.NETWORK_SUBDOMAIN and
 s1.NETWORK_SUBDOMAIN2 = d1.NETWORK_SUBDOMAIN2 and
 s1.SHORT_HOSTNAME = d1.SHORT_HOSTNAME
);

-- insert into a slowly changing dimension table from
-- the fact staging table

-- Hosts which are parent of AMY_PROCESS

insert into AMY.D_HOST_IP_AD
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_PROCESS_HR s
where not exists (
select 1 from
 AMY.D_HOST_IP_AD d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_SERVER

insert into AMY.D_HOST_IP_AD
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_SERVER_HR s
where not exists (
select 1 from
 AMY.D_HOST_IP_AD d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_CPU

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
distinct
 0,
 Host_Ip_Ad
from
 AMY.STG_CPU_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
;

-- Hosts which are parent of AMY_MEMORY

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_MEMORY_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_LDISK

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_LDISK_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_PDISK

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_PDISK_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_OS4KDISK

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_OS4KDISK_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_OS400ASP

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_OS400ASP_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_USER

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_USER_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_FILE

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_FILE_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_FS

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_FS_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_NETWORK

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_NETWORK_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_SYSTEM

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_SYSTEM_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

-- Hosts which are parent of AMY_PRNQUEUE

insert into AMY.D_Host_Ip_Ad
(Host_Ip_Ad_id,
 Host_Ip_Ad)
select
 0,
 Host_Ip_Ad
from
 AMY.STG_PRN_HR s
where not exists (
select 1 from
 AMY.D_Host_Ip_Ad d
where
 d.Host_Ip_Ad=s.Host_Ip_Ad)
group by
 Host_Ip_Ad
;

----------------------
-- AMY_CPU
---------------------

insert into AMY.T_CPU_METRIC
select
 a.orig_metric_id,
 a.metric_id,
 a.cdw_id,
 a.met_category,
 a.met_desc,
 a.met_name,
 a.met_units,
 a.min_exists,
 a.max_exists,
 a.avg_exists,
 a.total_exists,
 a.msrc_nm
from
 AMY.STG_T_CPU_METRIC a
where
not exists (
select 1
from
 AMY.T_CPU_METRIC b
where
 a.orig_metric_id=b.orig_metric_id and
 a.cdw_id=b.cdw_id
);

insert into AMY.D_CPU_METRIC
(metric_id,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 max_exists,
 avg_exists,
 total_exists,
 msrc_nm)
select
    0,
    met_category,
    met_desc,
    met_name,
    met_units,
    min_exists,
    max_exists,
    avg_exists,
    total_exists,
    msrc_nm
from
AMY.T_CPU_METRIC b
where
not exists  (
   select 1 from AMY.D_CPU_METRIC a
    where
    a.avg_exists=b.avg_exists and
    a.max_exists=b.max_exists and
    a.met_category=b.met_category and
    a.met_desc=b.met_desc and
    a.met_name=b.met_name and
    a.met_units=b.met_units and
    a.min_exists=b.min_exists and
    a.msrc_nm=b.msrc_nm and
    a.total_exists=b.total_exists)
group by
 avg_exists,
 max_exists,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 msrc_nm,
 total_exists;

insert into AMY.T_CPU
select
 a.CPU_Nm,
 a.CPU_Type,
 a.orig_CPU_id,
 a.cdw_id,
 a.CPU_id
from
 AMY.STG_T_CPU a
where
not exists (
select 1
from
 AMY.T_CPU b
where
 b.orig_CPU_id=a.orig_CPU_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_CPU
(
 CPU_id,
 CPU_Nm,
 CPU_Type
)
select
 0,
 CPU_Nm,
 CPU_Type
from
 AMY.T_CPU b
where
not exists  (
   select 1 from AMY.D_CPU a
    where
    a.CPU_Nm = b.CPU_Nm  and
    a.CPU_Type = b.CPU_Type
            )
group by
 CPU_Nm,
 CPU_Type
;

update AMY.T_CPU_metric s1 set metric_id =
(
select
 d1.metric_id
from
 AMY.D_CPU_METRIC d1
where
 s1.met_name = d1.met_name and
 s1.met_units = d1.met_units and
 s1.msrc_nm = d1.msrc_nm
);

update AMY.T_CPU s1 set CPU_id =
(
select
 d1.CPU_id
from
 AMY.D_CPU d1
where
 s1.CPU_Nm = d1.CPU_Nm  and
 s1.CPU_Type = d1.CPU_Type
);


-- set ids    
update AMY.STG_CPU_HR s set 
cpu_id = ( select cpu_id from AMY.T_CPU t
   where t.orig_cpu_id = s.orig_cpu_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_CPU_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_CPU_HR s set 
row_exists = 'Y' where exists ( select 1 from amy.f_cpu_hour f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.cpu_id = f.cpu_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_CPU_HOUR ( metric_id, host_id, host_ip_ad_id, cpu_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.cpu_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_CPU_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.cpu_id, s.meas_hour;


----------------------
-- AMY_FS
---------------------

insert into AMY.T_FS_METRIC
select
 a.orig_metric_id,
 a.metric_id,
 a.cdw_id,
 a.met_category,
 a.met_desc,
 a.met_name,
 a.met_units,
 a.min_exists,
 a.max_exists,
 a.avg_exists,
 a.total_exists,
 a.msrc_nm
from
 AMY.STG_T_FS_METRIC a
where
not exists (
select 1
from
 AMY.T_FS_METRIC b
where
 a.orig_metric_id=b.orig_metric_id and
 a.cdw_id=b.cdw_id
);

insert into AMY.D_FS_METRIC
(metric_id,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 max_exists,
 avg_exists,
 total_exists,
 msrc_nm)
select
    0,
    met_category,
    met_desc,
    met_name,
    met_units,
    min_exists,
    max_exists,
    avg_exists,
    total_exists,
    msrc_nm
from
AMY.T_FS_METRIC b
where
not exists  (
   select 1 from AMY.D_FS_METRIC a
    where
    a.avg_exists=b.avg_exists and
    a.max_exists=b.max_exists and
    a.met_category=b.met_category and
    a.met_desc=b.met_desc and
    a.met_name=b.met_name and
    a.met_units=b.met_units and
    a.min_exists=b.min_exists and
    a.msrc_nm=b.msrc_nm and
    a.total_exists=b.total_exists)
group by
 avg_exists,
 max_exists,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 msrc_nm,
 total_exists
;

insert into AMY.T_FS
select
 a.FS_Nm,
 a.orig_FS_id,
 a.cdw_id,
 a.FS_id
from
 AMY.STG_T_FS a
where
not exists (
select 1
from
 AMY.T_FS b
where
 b.orig_FS_id=a.orig_FS_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_FS
(
 FS_id,
 FS_Nm
)
select
 0,
 FS_Nm
from
 AMY.T_FS b
where
not exists  (
   select 1 from AMY.D_FS a
    where
    a.FS_Nm = b.FS_Nm
            )
group by
 FS_Nm
;

update AMY.T_FS_metric s1 set metric_id =
(
select
 d1.metric_id
from
 AMY.D_FS_METRIC d1
where
 s1.met_name = d1.met_name and
 s1.met_units = d1.met_units and
 s1.msrc_nm = d1.msrc_nm
);

update AMY.T_FS s1 set FS_id =
(
select
 d1.FS_id
from
 AMY.D_FS d1
where
 s1.FS_Nm = d1.FS_Nm
);

-- set ids    
update AMY.STG_FS_HR s set 
FS_id = ( select FS_id from amy.t_FS t
   where t.orig_FS_id = s.orig_FS_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from amy.t_host_ip t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from amy.t_FS_metric t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from amy.d_host_ip_ad t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_FS_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_FS_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.FS_id = f.FS_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_FS_HOUR ( metric_id, host_id, host_ip_ad_id, FS_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.FS_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_FS_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.FS_id, s.meas_hour;


----------------------
-- AMY_FILE
---------------------

insert into AMY.T_FILE
select
 a.FILE_Nm,
 a.orig_FILE_id,
 a.cdw_id,
 a.FILE_id
from
 AMY.STG_T_FILE a
where
not exists (
select 1
from
 AMY.T_FILE b
where
 b.orig_FILE_id=a.orig_FILE_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_FILE
(
 FILE_id,
 FILE_Nm
)
select
 0,
 FILE_Nm
from
 AMY.T_FILE b
where
not exists  (
   select 1 from AMY.D_FILE a
    where
    a.FILE_Nm = b.FILE_Nm
            )
group by
 FILE_Nm
;

update AMY.T_FILE s1 set FILE_id =
(
select
 d1.FILE_id
from
 AMY.D_FILE d1
where
 s1.FILE_Nm = d1.FILE_Nm
);


-- insert into a slowly changing dimension table from
-- the fact staging table
insert into AMY.D_FAttribute
(FAttribute_id,
 FMode,
 FOwner,
 FGroup)
select
 0,
 FMode,
 FOwner,
 FGroup
from
 AMY.STG_FILE_HR s
where not exists (
select 1 from
 AMY.D_FAttribute d
where
 d.FMode=s.FMode and
 d.FOwner=s.FOwner and
 d.FGroup=s.FGroup)
group by
 FMode,
 FOwner,
 FGroup
;

-- set ids    
update AMY.STG_FILE_HR s set 
FILE_id = ( select FILE_id from AMY.T_FILE t
   where t.orig_FILE_id = s.orig_FILE_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_FS_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad ),
FAttribute_id = ( select FAttribute_id from AMY.D_FATTRIBUTE t
   where  t.FMode=s.FMode and t.FOwner=s.FOwner and t.FGroup=s.FGroup)  ; 

-- set row_exists 
update AMY.STG_FILE_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_FILE_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.FILE_id = f.FILE_id   and s.FAttribute_id = f.FAttribute_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_FILE_HOUR ( metric_id, host_id, host_ip_ad_id, FILE_id, FAttribute_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.FILE_id, s.FAttribute_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_FILE_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.FILE_id, s.FAttribute_id, s.meas_hour;

----------------------
-- AMY_IP
---------------------

----------------------
-- AMY_LDISK
---------------------

insert into AMY.T_IO_METRIC
select
 a.orig_metric_id,
 a.metric_id,
 a.cdw_id,
 a.met_category,
 a.met_desc,
 a.met_name,
 a.met_units,
 a.min_exists,
 a.max_exists,
 a.avg_exists,
 a.total_exists,
 a.msrc_nm
from
 AMY.STG_T_IO_METRIC a
where
not exists (
select 1
from
 AMY.T_IO_METRIC b
where
 a.orig_metric_id=b.orig_metric_id and
 a.cdw_id=b.cdw_id
);

insert into AMY.D_IO_METRIC
(metric_id,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 max_exists,
 avg_exists,
 total_exists,
 msrc_nm)
select
    0,
    met_category,
    met_desc,
    met_name,
    met_units,
    min_exists,
    max_exists,
    avg_exists,
    total_exists,
    msrc_nm
from
AMY.T_IO_METRIC b
where
not exists  (
   select 1 from AMY.D_IO_METRIC a
    where
    a.avg_exists=b.avg_exists and
    a.max_exists=b.max_exists and
    a.met_category=b.met_category and
    a.met_desc=b.met_desc and
    a.met_name=b.met_name and
    a.met_units=b.met_units and
    a.min_exists=b.min_exists and
    a.msrc_nm=b.msrc_nm and
    a.total_exists=b.total_exists)
group by
 avg_exists,
 max_exists,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 msrc_nm,
 total_exists
;

insert into AMY.T_LDISK
select
 a.LDISK_Nm,
 a.orig_LDISK_id,
 a.cdw_id,
 a.LDISK_id
from
 AMY.STG_T_LDISK a
where
not exists (
select 1
from
 AMY.T_LDISK b
where
 b.orig_LDISK_id=a.orig_LDISK_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_LDISK
(
 LDISK_id,
 LDISK_Nm
)
select
 0,
 LDISK_Nm
from
 AMY.T_LDISK b
where
not exists  (
   select 1 from AMY.D_LDISK a
    where
    a.LDISK_Nm = b.LDISK_Nm
            )
group by
 LDISK_Nm
;

update AMY.T_IO_metric s1 set metric_id =
(
select
 d1.metric_id
from
 AMY.D_IO_METRIC d1
where
 s1.met_name = d1.met_name and
 s1.met_units = d1.met_units and
 s1.msrc_nm = d1.msrc_nm
);

update AMY.T_LDISK s1 set LDISK_id =
(
select
 d1.LDISK_id
from
 AMY.D_LDISK d1
where
 s1.LDISK_Nm = d1.LDISK_Nm
);

-- set ids    
update AMY.STG_LDISK_HR s set 
LDISK_id = ( select LDISK_id from AMY.T_LDISK t
   where t.orig_LDISK_id = s.orig_LDISK_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_IO_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_LDISK_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_LDISK_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.LDISK_id = f.LDISK_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_LDISK_HOUR ( metric_id, host_id, host_ip_ad_id, LDISK_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.LDISK_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_LDISK_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.LDISK_id, s.meas_hour;


----------------------
-- AMY_MEMORY
---------------------

insert into AMY.T_MEM_METRIC
select
 a.orig_metric_id,
 a.metric_id,
 a.cdw_id,
 a.met_category,
 a.met_desc,
 a.met_name,
 a.met_units,
 a.min_exists,
 a.max_exists,
 a.avg_exists,
 a.total_exists,
 a.msrc_nm
from
 AMY.STG_T_MEM_METRIC a
where
not exists (
select 1
from
 AMY.T_MEM_METRIC b
where
 a.orig_metric_id=b.orig_metric_id and
 a.cdw_id=b.cdw_id
);

insert into AMY.D_MEM_METRIC
(metric_id,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 max_exists,
 avg_exists,
 total_exists,
 msrc_nm)
select
    0,
    met_category,
    met_desc,
    met_name,
    met_units,
    min_exists,
    max_exists,
    avg_exists,
    total_exists,
    msrc_nm
from
AMY.T_MEM_METRIC b
where
not exists  (
   select 1 from AMY.D_MEM_METRIC a
    where
    a.avg_exists=b.avg_exists and
    a.max_exists=b.max_exists and
    a.met_category=b.met_category and
    a.met_desc=b.met_desc and
    a.met_name=b.met_name and
    a.met_units=b.met_units and
    a.min_exists=b.min_exists and
    a.msrc_nm=b.msrc_nm and
    a.total_exists=b.total_exists)
group by
 avg_exists,
 max_exists,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 msrc_nm,
 total_exists
;

insert into AMY.T_MEMORY
select
 a.MEMORY_Nm,
 a.MEMORY_Type,
 a.orig_MEMORY_id,
 a.cdw_id,
 a.MEMORY_id
from
 AMY.STG_T_MEMORY a
where
not exists (
select 1
from
 AMY.T_MEMORY b
where
 b.orig_MEMORY_id=a.orig_MEMORY_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_MEMORY
(
 MEMORY_id,
 MEMORY_Nm,
 MEMORY_Type
)
select
 0,
 MEMORY_Nm,
 MEMORY_Type
from
 AMY.T_MEMORY b
where
not exists  (
   select 1 from AMY.D_MEMORY a
    where
    a.MEMORY_Nm = b.MEMORY_Nm and
    a.MEMORY_Type = b.MEMORY_Type
            )
group by
 MEMORY_Nm ,
 MEMORY_Type
;

update AMY.T_MEM_metric s1 set metric_id =
(
select
 d1.metric_id
from
 AMY.D_MEM_METRIC d1
where
 s1.met_name = d1.met_name and
 s1.met_units = d1.met_units and
 s1.msrc_nm = d1.msrc_nm
);

update AMY.T_MEMORY s1 set MEMORY_id =
(
select
 d1.MEMORY_id
from
 AMY.D_MEMORY d1
where
 s1.MEMORY_Nm = d1.MEMORY_Nm and
 s1.MEMORY_Type = d1.MEMORY_Type
);

-- set ids    
update AMY.STG_MEMORY_HR s set 
MEMORY_id = ( select MEMORY_id from AMY.T_MEMORY t
   where t.orig_MEMORY_id = s.orig_MEMORY_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_MEM_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_MEMORY_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_MEMORY_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.MEMORY_id = f.MEMORY_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_MEMORY_HOUR ( metric_id, host_id, host_ip_ad_id, MEMORY_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.MEMORY_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_MEMORY_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.MEMORY_id, s.meas_hour;



----------------------
-- AMY_NETSEG
---------------------

----------------------
-- AMY_NETWORK
---------------------

insert into AMY.T_NET_METRIC
select
 a.orig_metric_id,
 a.metric_id,
 a.cdw_id,
 a.met_category,
 a.met_desc,
 a.met_name,
 a.met_units,    
 a.min_exists,
 a.max_exists,
 a.avg_exists,
 a.total_exists,
 a.msrc_nm
from
 AMY.STG_T_NET_METRIC a
where
not exists (
select 1
from
 AMY.T_NET_METRIC b
where
 a.orig_metric_id=b.orig_metric_id and
 a.cdw_id=b.cdw_id
);

insert into AMY.D_NET_METRIC
(metric_id,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 max_exists,
 avg_exists,
 total_exists,
 msrc_nm)
select
    0,
    met_category,
    met_desc,
    met_name,
    met_units,
    min_exists,
    max_exists,
    avg_exists,
    total_exists,
    msrc_nm
from
AMY.T_NET_METRIC b
where
not exists  (
   select 1 from AMY.D_NET_METRIC a
    where
    a.avg_exists=b.avg_exists and
    a.max_exists=b.max_exists and
    a.met_category=b.met_category and
    a.met_desc=b.met_desc and
    a.met_name=b.met_name and
    a.met_units=b.met_units and
    a.min_exists=b.min_exists and
    a.msrc_nm=b.msrc_nm and
    a.total_exists=b.total_exists)
group by
 avg_exists,
 max_exists,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 msrc_nm,
 total_exists
;

insert into AMY.T_NETWORK
select
 a.NET_Nm,
 a.NET_Type,
 a.orig_NET_id,
 a.cdw_id,
 a.NET_id
from
 AMY.STG_T_NETWORK a
where
not exists (
select 1
from
 AMY.T_NETWORK b
where
 b.orig_NET_id=a.orig_NET_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_NETWORK
(
 NET_id,
 NET_Nm,
 NET_Type
)
select
 0,
 NET_Nm,
 NET_Type
from
 AMY.T_NETWORK b
where
not exists  (
   select 1 from AMY.D_NETWORK a
    where
    a.NET_Nm = b.NET_Nm and
    a.NET_Type = b.NET_Type
            )
group by
 NET_Nm,
 NET_Type
;

update AMY.T_NET_metric s1 set metric_id =
(
select
 d1.metric_id
from
 AMY.D_NET_METRIC d1
where
 s1.met_name = d1.met_name and
 s1.met_units = d1.met_units and
 s1.msrc_nm = d1.msrc_nm
);

update AMY.T_NETWORK s1 set NET_id =
(
select
 d1.NET_id
from
 AMY.D_NETWORK d1
where
 s1.NET_Nm = d1.NET_Nm and
 s1.NET_Type = d1.NET_Type
);

-- set ids    
update AMY.STG_NETWORK_HR s set 
NET_id = ( select NET_id from AMY.T_NETWORK t
   where t.orig_NET_id = s.orig_NET_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_NET_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_NETWORK_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_NETWORK_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.NET_id = f.NET_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_NETWORK_HOUR ( metric_id, host_id, host_ip_ad_id, NET_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.NET_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_NETWORK_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.NET_id, s.meas_hour;


----------------------
-- AMY_NFS
---------------------

----------------------
-- AMY_OS400ASP
---------------------

insert into AMY.T_OS400ASP
select
 a.OS4KASP_Nm,
 a.orig_OS400ASP_id,
 a.cdw_id,
 a.OS400ASP_id
from
 AMY.STG_T_OS400ASP a
where
not exists (
select 1
from
 AMY.T_OS400ASP b
where
 b.orig_OS400ASP_id=a.orig_OS400ASP_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_OS400ASP
(
 OS400ASP_id,
 OS4KASP_Nm
)
select
 0,
 OS4KASP_Nm
from
 AMY.T_OS400ASP b
where
not exists  (
   select 1 from AMY.D_OS400ASP a
    where
    a.OS4KASP_Nm = b.OS4KASP_Nm
            )
group by
 OS4KASP_Nm
;

update AMY.T_OS400ASP s1 set OS400ASP_id =
(
select
 d1.OS400ASP_id
from
 AMY.D_OS400ASP d1
where
 s1.OS4KASP_Nm = d1.OS4KASP_Nm
);

-- set ids    
update AMY.STG_OS400ASP_HR s set 
OS400ASP_id = ( select OS400ASP_id from AMY.T_OS400ASP t
   where t.orig_OS400ASP_id = s.orig_OS400ASP_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_FS_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_OS400ASP_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_OS400ASP_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.OS400ASP_id = f.OS400ASP_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_OS400ASP_HOUR ( metric_id, host_id, host_ip_ad_id, OS400ASP_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.OS400ASP_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_OS400ASP_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.OS400ASP_id, s.meas_hour;


----------------------
-- AMY_OS400BCPU
---------------------

----------------------
-- AMY_OS400DBCPU
---------------------

----------------------
-- AMY_OS400DISK
---------------------

insert into AMY.T_OS4KDISK
select
 a.OS4KDISK_Nm,
 a.orig_OS4KDISK_id,
 a.cdw_id,
 a.OS4KDISK_id
from
 AMY.STG_T_OS4KDISK  a
where
not exists (
select 1
from
 AMY.T_OS4KDISK  b
where
 b.orig_OS4KDISK_id=a.orig_OS4KDISK_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_OS4KDISK
(
 OS4KDISK_id,
 OS4KDISK_Nm
)
select
 0,
 OS4KDISK_Nm
from
 AMY.T_OS4KDISK b
where
not exists  (
   select 1 from AMY.D_OS4KDISK a
    where
    a.OS4KDISK_Nm = b.OS4KDISK_Nm
            )
group by
 OS4KDISK_Nm
;

update AMY.T_OS4KDISK s1 set OS4KDISK_id =
(
select
 d1.OS4KDISK_id
from
 AMY.D_OS4KDISK d1
where
 s1.OS4KDISK_Nm = d1.OS4KDISK_Nm
);

-- set ids    
update AMY.STG_OS4KDISK_HR s set 
OS4KDISK_id = ( select OS4KDISK_id from AMY.T_OS4KDISK t
   where t.orig_OS4KDISK_id = s.orig_OS4KDISK_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_IO_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_OS4KDISK_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_OS4KDISK_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.OS4KDISK_id = f.OS4KDISK_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_OS4KDISK_HOUR ( metric_id, host_id, host_ip_ad_id, OS4KDISK_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.OS4KDISK_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_OS4KDISK_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.OS4KDISK_id, s.meas_hour;


----------------------
-- AMY_OS400ICPU
---------------------

----------------------
-- AMY_OS400IFCPU
---------------------

----------------------
-- AMY_OS400SPOOL
---------------------

----------------------
-- AMY_PDISK
---------------------

insert into AMY.T_PDISK
select
 a.PDISK_Nm,
 a.orig_PDISK_id,
 a.cdw_id,
 a.PDISK_id
from
 AMY.STG_T_PDISK a
where
not exists (
select 1
from
 AMY.T_PDISK b
where
 b.orig_PDISK_id=a.orig_PDISK_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_PDISK
(
 PDISK_id,
 PDISK_Nm
)
select
 0,
 PDISK_Nm
from
 AMY.T_PDISK b
where
not exists  (
   select 1 from AMY.D_PDISK a
    where
    a.PDISK_Nm = b.PDISK_Nm
            )
group by
 PDISK_Nm
;

update AMY.T_PDISK s1 set PDISK_id =
(
select
 d1.PDISK_id
from
 AMY.D_PDISK d1
where
 s1.PDISK_Nm = d1.PDISK_Nm
);

-- set ids    
update AMY.STG_PDISK_HR s set 
PDISK_id = ( select PDISK_id from AMY.T_PDISK t
   where t.orig_PDISK_id = s.orig_PDISK_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_IO_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_PDISK_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_PDISK_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.PDISK_id = f.PDISK_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_PDISK_HOUR ( metric_id, host_id, host_ip_ad_id, PDISK_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.PDISK_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_PDISK_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.PDISK_id, s.meas_hour;


----------------------
-- AMY_PORT
---------------------

----------------------
-- AMY_PRNQUEUE
---------------------

insert into AMY.T_PRN_METRIC
select
 a.orig_metric_id,
 a.metric_id,
 a.cdw_id,
 a.met_category,
 a.met_desc,
 a.met_name,
 a.met_units,
 a.min_exists,
 a.max_exists,
 a.avg_exists,
 a.total_exists,
 a.msrc_nm
from
 AMY.STG_T_PRN_METRIC a
where
not exists (
select 1
from
 AMY.T_PRN_METRIC b
where
 a.orig_metric_id=b.orig_metric_id and
 a.cdw_id=b.cdw_id
);

insert into AMY.D_PRN_METRIC
(metric_id,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 max_exists,
 avg_exists,
 total_exists,
 msrc_nm)
select
    0,
    met_category,
    met_desc,
    met_name,
    met_units,
    min_exists,
    max_exists,
    avg_exists,
    total_exists,
    msrc_nm
from
AMY.T_PRN_METRIC b
where
not exists  (
   select 1 from AMY.D_PRN_METRIC a
    where
    a.avg_exists=b.avg_exists and
    a.max_exists=b.max_exists and
    a.met_category=b.met_category and
    a.met_desc=b.met_desc and
    a.met_name=b.met_name and
    a.met_units=b.met_units and
    a.min_exists=b.min_exists and
    a.msrc_nm=b.msrc_nm and
    a.total_exists=b.total_exists)
group by
 avg_exists,
 max_exists,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 msrc_nm,
 total_exists
;

insert into AMY.T_PRINTER
select
 a.PRN_Nm,
 a.orig_PRN_id,
 a.cdw_id,
 a.PRN_id
from
 AMY.STG_T_PRINTER  a
where
not exists (
select 1
from
 AMY.T_PRINTER  b
where
 b.orig_PRN_id=a.orig_PRN_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_PRINTER
(
 PRN_id,
 PRN_Nm
)
select
 0,
 PRN_Nm
from
 AMY.T_PRINTER b
where
not exists  (
   select 1 from AMY.D_PRINTER a
    where
    a.PRN_Nm = b.PRN_Nm
            )
group by
 PRN_Nm
;

update AMY.T_PRN_metric s1 set metric_id =
(
select
 d1.metric_id
from
 AMY.D_PRN_METRIC d1
where
 s1.met_name = d1.met_name and
 s1.met_units = d1.met_units and
 s1.msrc_nm = d1.msrc_nm
);

update AMY.T_PRINTER s1 set PRN_id =
(
select
 d1.PRN_id
from
 AMY.D_PRINTER d1
where
 s1.PRN_Nm = d1.PRN_Nm
);

-- set ids    
update AMY.STG_PRN_HR s set 
PRN_id = ( select PRN_id from AMY.T_PRINTER t
   where t.orig_PRN_id = s.orig_PRN_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_PRN_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_PRN_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_PRN_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.PRN_id = f.PRN_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_PRN_HOUR ( metric_id, host_id, host_ip_ad_id, PRN_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.PRN_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_PRN_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.PRN_id, s.meas_hour;


----------------------
-- AMY_PROCESS
---------------------

insert into AMY.T_PROCESS
select
 a.PROC_Nm,
 a.orig_PROCESS_id,
 a.cdw_id,
 a.PROCESS_id
from
 AMY.STG_T_PROCESS  a
where
not exists (
select 1
from
 AMY.T_PROCESS  b
where
 b.orig_PROCESS_id=a.orig_PROCESS_id and
 b.cdw_id=a.cdw_id
)
;

insert into AMY.D_PROCESS
(
 PROCESS_id,
 PROC_Nm
)
select
 0,
 PROC_Nm
from
 AMY.T_PROCESS b
where
not exists  (
   select 1 from AMY.D_PROCESS a
    where
    a.PROC_Nm = b.PROC_Nm
            )
group by
 PROC_Nm
;

update AMY.T_PROCESS s1 set PROCESS_id =
(
select
 d1.PROCESS_id
from
 AMY.D_PROCESS d1
where
 s1.PROC_Nm = d1.PROC_Nm
);

-- set ids    
update AMY.STG_PROCESS_HR s set 
PROCESS_id = ( select PROCESS_id from AMY.T_PROCESS t
   where t.orig_PROCESS_id = s.orig_PROCESS_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_CPU_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_PROCESS_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_PROCESS_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.PROCESS_id = f.PROCESS_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_PROCESS_HOUR ( metric_id, host_id, host_ip_ad_id, PROCESS_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.PROCESS_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_PROCESS_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.PROCESS_id, s.meas_hour;


----------------------
-- AMY_REDIR
---------------------

----------------------
-- AMY_RPC
---------------------

----------------------
-- AMY_SERVER
---------------------

insert into AMY.T_SERVER_METRIC
select
 a.orig_metric_id,
 a.metric_id,
 a.cdw_id,
 a.met_category,
 a.met_desc,
 a.met_name,
 a.met_units,
 a.min_exists,
 a.max_exists,
 a.avg_exists,
 a.total_exists,
 a.msrc_nm
from
 AMY.STG_T_SVR_METRIC a
where
not exists (
select 1
from
 AMY.T_SERVER_METRIC b
where
 a.orig_metric_id=b.orig_metric_id and
 a.cdw_id=b.cdw_id
);

insert into AMY.D_SERVER_METRIC
(metric_id,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 max_exists,
 avg_exists,
 total_exists,
 msrc_nm)
select
    0,
    met_category,
    met_desc,
    met_name,
    met_units,
    min_exists,
    max_exists,
    avg_exists,
    total_exists,
    msrc_nm
from
AMY.T_SERVER_METRIC b
where
not exists  (
   select 1 from AMY.D_SERVER_METRIC a
    where
    a.avg_exists=b.avg_exists and
    a.max_exists=b.max_exists and
    a.met_category=b.met_category and
    a.met_desc=b.met_desc and
    a.met_name=b.met_name and
    a.met_units=b.met_units and
    a.min_exists=b.min_exists and
    a.msrc_nm=b.msrc_nm and
    a.total_exists=b.total_exists)
group by
 avg_exists,
 max_exists,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 msrc_nm,
 total_exists
;

insert into AMY.T_SERVER
select
 a.SERVER_Nm,
 a.orig_SERVER_id,
 a.cdw_id,
 a.SERVER_id
from
 AMY.STG_T_SERVER  a
where
not exists (
select 1
from
 AMY.T_SERVER b
where
 b.orig_SERVER_id=a.orig_SERVER_id and
 b.cdw_id=a.cdw_id
)
;


insert into AMY.D_SERVER
(
 SERVER_id,
 SERVER_Nm
)
select
 0,
 SERVER_Nm
from
 AMY.T_SERVER b
where
not exists  (
   select 1 from AMY.D_SERVER a
    where
    a.SERVER_Nm = b.SERVER_Nm
            )
group by
 SERVER_Nm
;

update AMY.T_SERVER_metric s1 set metric_id =
(
select
 d1.metric_id
from
 AMY.D_SERVER_METRIC d1
where
 s1.met_name = d1.met_name and
 s1.met_units = d1.met_units and
 s1.msrc_nm = d1.msrc_nm
);

update AMY.T_SERVER s1 set SERVER_id =
(
select
 d1.SERVER_id
from
 AMY.D_SERVER d1
where
 s1.SERVER_Nm = d1.SERVER_Nm
);

-- set ids    
update AMY.STG_SERVER_HR s set 
SERVER_id = ( select SERVER_id from AMY.T_SERVER t
   where t.orig_SERVER_id = s.orig_SERVER_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_SERVER_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_SERVER_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_SERVER_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.SERVER_id = f.SERVER_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_SERVER_HOUR ( metric_id, host_id, host_ip_ad_id, SERVER_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.SERVER_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_SERVER_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.SERVER_id, s.meas_hour;


----------------------
-- AMY_SERVICE
---------------------

----------------------
-- AMY_TCPIP
---------------------

----------------------
-- AMY_USER
---------------------

insert into AMY.T_USER_METRIC
select
 a.orig_metric_id,
 a.metric_id,
 a.cdw_id,
 a.met_category,
 a.met_desc,
 a.met_name,
 a.met_units,
 a.min_exists,
 a.max_exists,
 a.avg_exists,
 a.total_exists,
 a.msrc_nm
from
 AMY.STG_T_USER_METRIC a
where
not exists (
select 1
from
 AMY.T_USER_METRIC b
where
 a.orig_metric_id=b.orig_metric_id and
 a.cdw_id=b.cdw_id
);

insert into AMY.D_USER_METRIC
(metric_id,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 max_exists,
 avg_exists,
 total_exists,
 msrc_nm)
select
    0,
    met_category,
    met_desc,
    met_name,
    met_units,
    min_exists,
    max_exists,
    avg_exists,
    total_exists,
    msrc_nm
from
AMY.T_USER_METRIC b
where
not exists  (
   select 1 from AMY.D_USER_METRIC a
    where
    a.avg_exists=b.avg_exists and
    a.max_exists=b.max_exists and
    a.met_category=b.met_category and
    a.met_desc=b.met_desc and
    a.met_name=b.met_name and
    a.met_units=b.met_units and
    a.min_exists=b.min_exists and
    a.msrc_nm=b.msrc_nm and
    a.total_exists=b.total_exists)
group by
 avg_exists,
 max_exists,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 msrc_nm,
 total_exists
;

insert into AMY.T_USER
select
 a.USER_Nm,
 a.orig_USER_id,
 a.cdw_id,
 a.USER_id
from
 AMY.STG_T_USER  a
where
not exists (
select 1
from
 AMY.T_USER b
where
 b.orig_USER_id=a.orig_USER_id and
 b.cdw_id=a.cdw_id
)
;


insert into AMY.D_USER
(
 USER_id,
 USER_Nm
)
select
 0,
 USER_Nm
from
 AMY.T_USER b
where
not exists  (
   select 1 from AMY.D_USER a
    where
    a.USER_Nm = b.USER_Nm
            )
group by
 USER_Nm
;

update AMY.T_USER_metric s1 set metric_id =
(
select
 d1.metric_id
from
 AMY.D_USER_METRIC d1
where
 s1.met_name = d1.met_name and
 s1.met_units = d1.met_units and
 s1.msrc_nm = d1.msrc_nm
);

update AMY.T_USER s1 set USER_id =
(
select
 d1.USER_id
from
 AMY.D_USER d1
where
 s1.USER_Nm = d1.USER_Nm
);

-- insert into a slowly changing dimension table from
-- the fact staging table
insert into AMY.D_UserId
(UserId_id,
 UserId)
select
 0,
 UserId
from
 AMY.STG_USER_HR s
where not exists (
select 1 from
 AMY.D_UserId d
where
 d.UserId=s.UserId)
group by
 UserId
;

-- set ids    
update AMY.STG_USER_HR s set 
USER_id = ( select USER_id from AMY.T_USER t
   where t.orig_USER_id = s.orig_USER_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_USER_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad ),
UserID_id = ( select UserID_id from AMY.D_USERID t
   where  t.UserId=s.UserId)  ; 

-- set row_exists 
update AMY.STG_USER_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_USER_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.USER_id = f.USER_id   and s.UserId_id = f.UserId_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_USER_HOUR ( metric_id, host_id, host_ip_ad_id, USER_id, UserId_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.USER_id, s.UserId_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_USER_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.USER_id, s.UserId_id, s.meas_hour;

----------------------
-- AMY_SYSTEM
---------------------

insert into AMY.T_SYSTEM_METRIC
select
 a.orig_metric_id,
 a.metric_id,
 a.cdw_id,
 a.met_category,
 a.met_desc,
 a.met_name,
 a.met_units,
 a.min_exists,
 a.max_exists,
 a.avg_exists,
 a.total_exists,
 a.msrc_nm
from
 AMY.STG_T_SYSTEM_METRIC a
where
not exists (
select 1
from
 AMY.T_SYSTEM_METRIC b
where
 a.orig_metric_id=b.orig_metric_id and
 a.cdw_id=b.cdw_id
);

insert into AMY.D_SYSTEM_METRIC
(metric_id,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 max_exists,
 avg_exists,
 total_exists,
 msrc_nm)
select
    0,
    met_category,
    met_desc,
    met_name,
    met_units,
    min_exists,
    max_exists,
    avg_exists,
    total_exists,
    msrc_nm
from
AMY.T_SYSTEM_METRIC b
where
not exists  (
   select 1 from AMY.D_SYSTEM_METRIC a
    where
    a.avg_exists=b.avg_exists and
    a.max_exists=b.max_exists and
    a.met_category=b.met_category and
    a.met_desc=b.met_desc and
    a.met_name=b.met_name and
    a.met_units=b.met_units and
    a.min_exists=b.min_exists and
    a.msrc_nm=b.msrc_nm and
    a.total_exists=b.total_exists)
group by
 avg_exists,
 max_exists,
 met_category,
 met_desc,
 met_name,
 met_units,
 min_exists,
 msrc_nm,
 total_exists;

insert into AMY.T_SYSTEM
select
 a.SYSTEM_Nm,
 a.SYSTEM_Type,
 a.orig_SYSTEM_id,
 a.cdw_id,
 a.SYSTEM_id
from
 AMY.STG_T_SYSTEM a
where
not exists (
select 1
from
 AMY.T_SYSTEM b
where
 b.orig_SYSTEM_id=a.orig_SYSTEM_id and
 b.cdw_id=a.cdw_id
)
;


insert into AMY.D_SYSTEM
(
 SYSTEM_id,
 SYSTEM_Nm,
 SYSTEM_Type
)
select
 0,
 SYSTEM_Nm,
 SYSTEM_Type
from
 AMY.T_SYSTEM b
where
not exists  (
   select 1 from AMY.D_SYSTEM a
    where
    a.SYSTEM_Nm = b.SYSTEM_Nm  and
    a.SYSTEM_Type = b.SYSTEM_Type
            )
group by
 SYSTEM_Nm,
 SYSTEM_Type
 ;

update AMY.T_SYSTEM_metric s1 set metric_id =
(
select
 d1.metric_id
from
 AMY.D_SYSTEM_METRIC d1
where
 s1.met_name = d1.met_name and
 s1.met_units = d1.met_units and
 s1.msrc_nm = d1.msrc_nm
);

update AMY.T_SYSTEM s1 set SYSTEM_id =
(
select
 d1.SYSTEM_id
from
 AMY.D_SYSTEM d1
where
 s1.SYSTEM_Nm = d1.SYSTEM_Nm  and
 s1.SYSTEM_Type = d1.SYSTEM_Type
);

-- set ids    
update AMY.STG_SYSTEM_HR s set 
SYSTEM_id = ( select SYSTEM_id from AMY.T_SYSTEM t
   where t.orig_SYSTEM_id = s.orig_SYSTEM_id 
   and   t.cdw_id = s.cdw_id),
host_id = ( select host_id from AMY.T_HOST_IP t
   where t.orig_host_id = s.orig_host_id 
   and   t.cdw_id = s.cdw_id),
metric_id = ( select metric_id from AMY.T_SYSTEM_METRIC t
   where t.orig_metric_id = s.orig_metric_id 
   and   t.cdw_id = s.cdw_id),
host_ip_ad_id = ( select host_ip_ad_id from AMY.D_HOST_IP_AD t
   where t.host_ip_ad = s.host_ip_ad );

-- set row_exists 
update AMY.STG_SYSTEM_HR s set 
row_exists = 'Y' where exists ( select 1 from AMY.F_SYSTEM_HOUR f where
  s.metric_id = f.metric_id and s.host_id = f.host_id and s.host_ip_ad_id = f.host_ip_ad_id and
  s.SYSTEM_id = f.SYSTEM_id and s.meas_hour = f.meas_hour )
;

-- insert into fact table where not exists
insert into AMY.F_SYSTEM_HOUR ( metric_id, host_id, host_ip_ad_id, SYSTEM_id, meas_hour,
    min_value, max_value, avg_value, total_value, sample_count)
select
 s.metric_id, s.host_id, s.host_ip_ad_id, s.SYSTEM_id, s.meas_hour,
 min(s.min_value), max(s.max_value), avg(s.avg_value), avg(s.total_value), avg(s.sample_count)
from
 AMY.STG_SYSTEM_HR s
where s.row_exists = 'N'
group by s.metric_id, s.host_id, s.host_ip_ad_id, s.SYSTEM_id, s.meas_hour;

