-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amy/fixpack5/etl/sql/amy_m05_s050_mart_prune.db2, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
-- #   Revision: 1.2
-- #   Date: 1/30/04 09:34:01
-- ############################################################################

--------------------------------
-- AMY_CPU
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_CPU_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_CPU_HOUR'), 
(select count(*) from  
AMY.f_CPU_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_CPU_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_CPU_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_CPU_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_CPU_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name ='AMY.F_CPU_DAY'), 
(select count(*) from  
AMY.f_CPU_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_CPU_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_CPU_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_CPU_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_CPU_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_CPU_WEEK'), 
(select count(*) from  
AMY.f_CPU_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_CPU_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_CPU_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_CPU_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_CPU_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_CPU_MONTH'), 
(select count(*) from  
AMY.f_CPU_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_CPU_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_CPU_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_CPU_MONTH') 
;

--------------------------------
-- AMY_FILE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_FILE_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_FILE_HOUR'), 
(select count(*) from  
AMY.f_FILE_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_FILE_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_FILE_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_FILE_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_FILE_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_FILE_DAY'), 
(select count(*) from  
AMY.f_FILE_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_FILE_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_FILE_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_FILE_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_FILE_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_FILE_WEEK'), 
(select count(*) from  
AMY.f_FILE_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_FILE_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_FILE_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_FILE_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_FILE_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_FILE_MONTH'), 
(select count(*) from  
AMY.f_FILE_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_FILE_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_FILE_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_FILE_MONTH') 
;

--------------------------------
-- AMY_FS
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_FS_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_FS_HOUR'), 
(select count(*) from  
AMY.f_FS_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_FS_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_FS_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_FS_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_FS_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_FS_DAY'), 
(select count(*) from  
AMY.f_FS_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_FS_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_FS_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_FS_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_FS_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_FS_WEEK'), 
(select count(*) from  
AMY.f_FS_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_FS_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_FS_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_FS_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_FS_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_FS_MONTH'), 
(select count(*) from  
AMY.f_FS_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_FS_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_FS_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_FS_MONTH') 
;

--------------------------------
-- AMY_IP
--------------------------------

--------------------------------
-- AMY_LDISK
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_LDISK_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_LDISK_HOUR'), 
(select count(*) from  
AMY.f_LDISK_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_LDISK_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_LDISK_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_LDISK_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_LDISK_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_LDISK_DAY'), 
(select count(*) from  
AMY.f_LDISK_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_LDISK_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_LDISK_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_LDISK_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_LDISK_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_LDISK_WEEK'), 
(select count(*) from  
AMY.f_LDISK_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_LDISK_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_LDISK_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_LDISK_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_LDISK_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_LDISK_MONTH'), 
(select count(*) from  
AMY.f_LDISK_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_LDISK_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_LDISK_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_LDISK_MONTH') 
;

--------------------------------
-- AMY_MEMORY
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_MEMORY_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_MEMORY_HOUR'), 
(select count(*) from  
AMY.f_MEMORY_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_MEMORY_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_MEMORY_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_MEMORY_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_MEMORY_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_MEMORY_DAY'), 
(select count(*) from  
AMY.f_MEMORY_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_MEMORY_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_MEMORY_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_MEMORY_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_MEMORY_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_MEMORY_WEEK'), 
(select count(*) from  
AMY.f_MEMORY_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_MEMORY_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_MEMORY_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_MEMORY_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_MEMORY_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_MEMORY_MONTH'), 
(select count(*) from  
AMY.f_MEMORY_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_MEMORY_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_MEMORY_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_MEMORY_MONTH') 
;

--------------------------------
-- AMY_NETSEG
--------------------------------

--------------------------------
-- AMY_NETWORK
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_NETWORK_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_NETWORK_HOUR'), 
(select count(*) from  
AMY.f_NETWORK_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_NETWORK_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_NETWORK_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_NETWORK_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_NETWORK_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_NETWORK_DAY'), 
(select count(*) from  
AMY.f_NETWORK_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_NETWORK_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_NETWORK_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_NETWORK_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_NETWORK_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_NETWORK_WEEK'), 
(select count(*) from  
AMY.f_NETWORK_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_NETWORK_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_NETWORK_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_NETWORK_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_NETWORK_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_NETWORK_MONTH'), 
(select count(*) from  
AMY.f_NETWORK_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_NETWORK_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_NETWORK_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_NETWORK_MONTH') 
;

--------------------------------
-- AMY_NFS
--------------------------------

--------------------------------
-- AMY_OS400ASP
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_OS400ASP_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_OS400ASP_HOUR'), 
(select count(*) from  
AMY.f_OS400ASP_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_OS400ASP_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_OS400ASP_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_OS400ASP_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_OS400ASP_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_OS400ASP_DAY'), 
(select count(*) from  
AMY.f_OS400ASP_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_OS400ASP_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_OS400ASP_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_OS400ASP_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_OS400ASP_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_OS400ASP_WEEK'), 
(select count(*) from  
AMY.f_OS400ASP_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_OS400ASP_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_OS400ASP_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_OS400ASP_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_OS400ASP_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_OS400ASP_MONTH'), 
(select count(*) from  
AMY.f_OS400ASP_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_OS400ASP_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_OS400ASP_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_OS400ASP_MONTH') 
;

--------------------------------
-- AMY_OS400BCPU
--------------------------------


--------------------------------
-- AMY_OS400DBCPU
--------------------------------

--------------------------------
-- AMY_OS400DISK
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_OS4KDISK_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_OS4KDISK_HOUR'), 
(select count(*) from  
AMY.f_OS4KDISK_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_OS4KDISK_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_OS4KDISK_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_OS4KDISK_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_OS4KDISK_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_OS4KDISK_DAY'), 
(select count(*) from  
AMY.f_OS4KDISK_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_OS4KDISK_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_OS4KDISK_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_OS4KDISK_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_OS4KDISK_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_OS4KDISK_WEEK'), 
(select count(*) from  
AMY.f_OS4KDISK_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_OS4KDISK_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_OS4KDISK_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_OS4KDISK_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_OS4KDISK_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_OS4KDISK_MONTH'), 
(select count(*) from  
AMY.f_OS4KDISK_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_OS4KDISK_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_OS4KDISK_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_OS4KDISK_MONTH') 
;

--------------------------------
-- AMY_OS400ICPU
--------------------------------

--------------------------------
-- AMY_OS400IFCPU
--------------------------------

--------------------------------
-- AMY_OS400SPOOL
--------------------------------

--------------------------------
-- AMY_PDISK
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PDISK_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PDISK_HOUR'), 
(select count(*) from  
AMY.f_PDISK_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PDISK_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PDISK_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PDISK_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PDISK_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PDISK_DAY'), 
(select count(*) from  
AMY.f_PDISK_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PDISK_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PDISK_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PDISK_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PDISK_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PDISK_WEEK'), 
(select count(*) from  
AMY.f_PDISK_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PDISK_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PDISK_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PDISK_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PDISK_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PDISK_MONTH'), 
(select count(*) from  
AMY.f_PDISK_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PDISK_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PDISK_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PDISK_MONTH') 
;

--------------------------------
-- AMY_PORT
--------------------------------

--------------------------------
-- AMY_PRNQUEUE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PRN_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PRN_HOUR'), 
(select count(*) from  
AMY.f_PRN_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PRN_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PRN_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PRN_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PRN_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PRN_DAY'), 
(select count(*) from  
AMY.f_PRN_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PRN_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PRN_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PRN_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PRN_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PRN_WEEK'), 
(select count(*) from  
AMY.f_PRN_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PRN_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PRN_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PRN_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PRN_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PRN_MONTH'), 
(select count(*) from  
AMY.f_PRN_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PRN_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PRN_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PRN_MONTH') 
;

--------------------------------
-- AMY_PROCESS
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PROCESS_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PROCESS_HOUR'), 
(select count(*) from  
AMY.f_PROCESS_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PROCESS_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PROCESS_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PROCESS_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PROCESS_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PROCESS_DAY'), 
(select count(*) from  
AMY.f_PROCESS_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PROCESS_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PROCESS_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PROCESS_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PROCESS_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PROCESS_WEEK'), 
(select count(*) from  
AMY.f_PROCESS_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PROCESS_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PROCESS_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PROCESS_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_PROCESS_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_PROCESS_MONTH'), 
(select count(*) from  
AMY.f_PROCESS_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_PROCESS_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_PROCESS_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_PROCESS_MONTH') 
;

--------------------------------
-- AMY_REDIR
--------------------------------

--------------------------------
-- AMY_RPC
--------------------------------

--------------------------------
-- AMY_SERVER
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_SERVER_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_SERVER_HOUR'), 
(select count(*) from  
AMY.f_SERVER_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_SERVER_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_SERVER_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_SERVER_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_SERVER_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_SERVER_DAY'), 
(select count(*) from  
AMY.f_SERVER_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_SERVER_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_SERVER_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_SERVER_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_SERVER_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_SERVER_WEEK'), 
(select count(*) from  
AMY.f_SERVER_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_SERVER_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_SERVER_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_SERVER_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_SERVER_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_SERVER_MONTH'), 
(select count(*) from  
AMY.f_SERVER_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_SERVER_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_SERVER_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_SERVER_MONTH') 
;

--------------------------------
-- AMY_SERVICE
--------------------------------

--------------------------------
-- AMY_TCPIP
--------------------------------

--------------------------------
-- AMY_USER
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 
------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_USER_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_USER_HOUR'), 
(select count(*) from  
AMY.f_USER_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_USER_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_USER_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_USER_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_USER_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_USER_DAY'), 
(select count(*) from  
AMY.f_USER_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_USER_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_USER_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_USER_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_USER_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_USER_WEEK'), 
(select count(*) from  
AMY.f_USER_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_USER_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_USER_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_USER_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_USER_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_USER_MONTH'), 
(select count(*) from  
AMY.f_USER_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_USER_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_USER_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_USER_MONTH') 
;

--------------------------------
-- AMY_SYSTEM
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

------------
-- HOUR
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_SYSTEM_HOUR', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_SYSTEM_HOUR'), 
(select count(*) from  
AMY.f_SYSTEM_HOUR f 
where  
(date(current timestamp - current timezone) - date (f.meas_hour)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_SYSTEM_HOUR') 
     ) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_SYSTEM_HOUR f 
where 
 (date(current timestamp - current timezone) - date(f.meas_hour))> 
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_SYSTEM_HOUR') 
; 

------------
-- DAY
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_SYSTEM_DAY', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name ='AMY.F_SYSTEM_DAY'), 
(select count(*) from  
AMY.f_SYSTEM_DAY f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_SYSTEM_DAY') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_SYSTEM_DAY f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_SYSTEM_DAY') 
;

------------
-- WEEK
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_SYSTEM_WEEK', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_SYSTEM_WEEK'), 
(select count(*) from  
AMY.f_SYSTEM_WEEK f 
where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_SYSTEM_WEEK') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_SYSTEM_WEEK f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_SYSTEM_WEEK') 
;

------------
-- MONTH
------------

--#EXECUTE_AT_TARGET 
insert into 
AMY.prune_mart_log 
values 
(current timestamp - current timezone, 
'AMY.F_SYSTEM_MONTH', 
(select pmartc_duration  
from AMY.prune_mart_control 
where table_name = 
'AMY.F_SYSTEM_MONTH'), 
(select count(*) from  
AMY.f_SYSTEM_MONTH f 
   where  (date(current timestamp - current timezone) - date (f.meas_date)) > 
   (select pmartc_duration from AMY.prune_mart_control p where p.table_name = 'AMY.F_SYSTEM_MONTH') 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from AMY.F_SYSTEM_MONTH f 
where 
 (date(current timestamp - current timezone) - date(f.meas_date))>
  (select pmartc_duration from AMY.prune_mart_control p where p.table_name= 'AMY.F_SYSTEM_MONTH') 
;


