-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amy/fixpack5/mart/ddl/amy_mart_drop_schema.sql, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0503
-- #   Revision: 1.5
-- #   Date: 1/30/04 09:34:06
-- ############################################################################

--#iftag fixpack_21
-- do nothing...
--#endtag fixpack_21

--#iftag fixpack_400
-- do nothing...
--#endtag fixpack_400

--#iftag fixpack_500

---------------------------------
--  Prune
---------------------------------

drop table AMY.Prune_Mart_Control;
drop table AMY.Prune_Mart_Log;

---------------------------------
--- Host
---------------------------------

drop table AMY.D_HOST_IP;
drop table AMY.T_HOST_IP;
drop trigger AMY.host_i1;
drop sequence AMY.host_id_seq restrict;

---------------------------------
-- dimension table: Host_Ip_Ad
---------------------------------

drop table AMY.D_Host_Ip_Ad;
-- trigger
drop trigger AMY.Host_Ip_Ad_i0;
-- sequence
drop sequence AMY.Host_Ip_Ad_ID_seq restrict;

---------------------------------
---  CPU
---------------------------------

---------------------------------
-- dimension table: CPU metric
---------------------------------

drop table AMY.D_CPU_METRIC;
-- translation table
drop table AMY.T_CPU_METRIC;
-- trigger
drop trigger AMY.CPUmt_i1;
-- sequence
drop sequence AMY.CPUmt_id_seq restrict;

---------------------------------
-- dimension table: CPU
---------------------------------

drop table AMY.D_CPU;
-- translation table
drop table AMY.T_CPU;
-- trigger
drop trigger AMY.CPU_i1;
-- sequence
drop sequence AMY.CPU_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_CPU_HR;

---------------------------------
-- hourly fact table: CPU
---------------------------------

drop table AMY.F_CPU_HOUR;

---------------------------------
-- daily fact table: CPU
---------------------------------

drop table AMY.F_CPU_DAY;

---------------------------------
-- weekly fact table: CPU
---------------------------------

drop table AMY.F_CPU_WEEK;

---------------------------------
-- monthly fact table: CPU
---------------------------------

drop table AMY.F_CPU_MONTH;

---------------------------------
---  FILE
---------------------------------

---------------------------------
-- dimension table: FILE
---------------------------------

drop table AMY.D_FILE;

-- translation table
drop table AMY.T_FILE;
-- trigger
drop trigger AMY.FILE_i1;
-- sequence
drop sequence AMY.FILE_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_FILE_HR;

---------------------------------
-- hourly fact table: FILE
---------------------------------

drop table AMY.F_FILE_HOUR;

---------------------------------
-- daily fact table: FILE
---------------------------------

drop table AMY.F_FILE_DAY;

---------------------------------
-- weekly fact table: FILE
---------------------------------

drop table AMY.F_FILE_WEEK;

---------------------------------
-- monthly fact table: FILE
---------------------------------

drop table AMY.F_FILE_MONTH;

---------------------------------
-- dimension table:FAttribute
---------------------------------

drop table AMY.D_FAttribute;
-- trigger
drop trigger AMY.FAttr_i1 ;
-- sequence
drop sequence AMY.FAttr_ID_seq restrict;

---------------------------------
---  FS
---------------------------------

---------------------------------
-- dimension table: FS metric
---------------------------------

drop table AMY.D_FS_METRIC;
-- translation table
drop table AMY.T_FS_METRIC;
-- trigger
drop trigger AMY.FSmt_i1;
-- sequence
drop sequence AMY.FSmt_id_seq restrict;

---------------------------------
-- dimension table: FS
---------------------------------

drop table AMY.D_FS;
-- translation table
drop table AMY.T_FS;
--trigger
drop trigger AMY.FS_i1;
-- sequence
drop sequence AMY.FS_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_FS_HR;

---------------------------------
-- hourly fact table: FS
---------------------------------

drop table AMY.F_FS_HOUR;

---------------------------------
-- daily fact table: FS
---------------------------------

drop table AMY.F_FS_DAY;

---------------------------------
-- weekly fact table: FS
---------------------------------

drop table AMY.F_FS_WEEK;

---------------------------------
-- monthly fact table: FS
---------------------------------

drop table AMY.F_FS_MONTH;

---------------------------------
---  IP
---------------------------------

---------------------------------
---  LDISK
---------------------------------

---------------------------------
-- dimension table: LDISK metric
---------------------------------

drop table AMY.D_IO_METRIC;
-- translation table
drop table AMY.T_IO_METRIC;
-- trigger
drop trigger AMY.IOmt_i1;
-- sequence
drop sequence AMY.IOmt_id_seq restrict;

---------------------------------
-- dimension table: LDISK
---------------------------------

drop table AMY.D_LDISK;
-- translation table
drop table AMY.T_LDISK;
--trigger
drop trigger AMY.LDSK_i1;
-- sequence
drop sequence AMY.LDSK_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_LDISK_HR;

----------------------------
-- hourly fact table: LDISK
-----------------------------

drop table AMY.F_LDISK_HOUR;

-----------------------------
-- daily fact table: LDISK
-----------------------------

drop table AMY.F_LDISK_DAY;

-----------------------------
-- weekly fact table: LDISK
-----------------------------

drop table AMY.F_LDISK_WEEK;

-----------------------------
-- monthly fact table: LDISK
-----------------------------

drop table AMY.F_LDISK_MONTH;

---------------------------------
---  MEMORY
---------------------------------

---------------------------------
-- dimension table: MEMORY metric
---------------------------------

drop table AMY.D_MEM_METRIC;
-- translation table
drop table AMY.T_MEM_METRIC;
-- trigger
drop trigger AMY.MEMmt_i1;
-- sequence
drop sequence AMY.MEMmt_id_seq restrict;

---------------------------------
-- dimension table: MEMORY
---------------------------------

drop table AMY.D_MEMORY;
-- translation table
drop table AMY.T_MEMORY;
--trigger
drop trigger AMY.MEM_i1;
-- sequence
drop sequence AMY.MEM_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_MEMORY_HR;

---------------------------------
-- hourly fact table: MEMORY
---------------------------------

drop table AMY.F_MEMORY_HOUR;

---------------------------------
-- daily fact table: MEMORY
---------------------------------

drop table AMY.F_MEMORY_DAY;

---------------------------------
-- weekly fact table: MEMORY
---------------------------------

drop table AMY.F_MEMORY_WEEK;

---------------------------------
-- monthly fact table: MEMORY
---------------------------------

drop table AMY.F_MEMORY_MONTH;

---------------------------------
---  NETSEG
---------------------------------

---------------------------------
---  NETWORK
---------------------------------

---------------------------------
-- dimension table: NETWORK metric
---------------------------------

drop table AMY.D_NET_METRIC;
-- translation table
drop table AMY.T_NET_METRIC;
--trigger
drop trigger AMY.NETmt_i1;
-- sequence
drop sequence AMY.NETmt_id_seq restrict;

---------------------------------
-- dimension table: NETWORK
---------------------------------

drop table AMY.D_NETWORK;
-- translation table
drop table AMY.T_NETWORK;
-- trigger
drop trigger AMY.NET_i1;
-- sequence
drop sequence AMY.NET_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_NETWORK_HR;

---------------------------------
-- hourly fact table: NETWORK
---------------------------------

drop table AMY.F_NETWORK_HOUR;

---------------------------------
-- daily fact table: NETWORK
---------------------------------

drop table AMY.F_NETWORK_DAY;

---------------------------------
-- weekly fact table: NETWORK
---------------------------------

drop table AMY.F_NETWORK_WEEK;

---------------------------------
-- monthly fact table: NETWORK
---------------------------------

drop table AMY.F_NETWORK_MONTH;

---------------------------------
---  NFS
---------------------------------

---------------------------------
---  OS400ASP
---------------------------------

---------------------------------
-- dimension table: OS400ASP
---------------------------------

drop table AMY.D_OS400ASP;
-- translation table
drop table AMY.T_OS400ASP;
-- trigger
drop trigger AMY.OASP_i1;
-- sequence
drop sequence AMY.OASP_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_OS400ASP_HR;

---------------------------------
-- hourly fact table: OS400ASP
---------------------------------

drop table AMY.F_OS400ASP_HOUR;

---------------------------------
-- daily fact table: OS400ASP
---------------------------------

drop table AMY.F_OS400ASP_DAY;

-----------------------------
-- weekly fact table: OS400ASP
-----------------------------

drop table AMY.F_OS400ASP_WEEK;

---------------------------------
-- monthly fact table: OS400ASP
---------------------------------

drop table AMY.F_OS400ASP_MONTH;

---------------------------------
---  OS4KBCPU
---------------------------------

---------------------------------
---  OS4KDBCPU
---------------------------------

---------------------------------
---  OS4KDISK
---------------------------------

---------------------------------
-- dimension table: OS4KDISK
---------------------------------

drop table AMY.D_OS4KDISK;
-- translation table
drop table AMY.T_OS4KDISK;
-- trigger
drop trigger AMY.ODSK_i1;
-- sequence
drop sequence AMY.ODSK_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_OS4KDISK_HR;

---------------------------------
-- hourly fact table: OS4KDISK
---------------------------------

drop table AMY.F_OS4KDISK_HOUR;

---------------------------------
-- daily fact table: OS4KDISK
---------------------------------

drop table AMY.F_OS4KDISK_DAY;

---------------------------------
-- weekly fact table: OS4KDISK
---------------------------------

drop table AMY.F_OS4KDISK_WEEK;

---------------------------------
-- monthly fact table: OS4KDISK
---------------------------------

drop table AMY.F_OS4KDISK_MONTH;

---------------------------------
---  OS4KICPU
---------------------------------

---------------------------------
---  OS4KIFCPU
---------------------------------

---------------------------------
---  OS4KSPOOL
---------------------------------

---------------------------------
---  PDISK
---------------------------------

---------------------------------
-- dimension table: PDISK
---------------------------------

drop table AMY.D_PDISK;
-- translation table
drop table AMY.T_PDISK;
-- trigger
drop trigger AMY.PDSK_i1;
-- sequence
drop sequence AMY.PDSK_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_PDISK_HR;

---------------------------------
-- hourly fact table: PDISK
---------------------------------

drop table AMY.F_PDISK_HOUR;

---------------------------------
-- daily fact table: PDISK
---------------------------------

drop table AMY.F_PDISK_DAY;

---------------------------------
-- weekly fact table: PDISK
---------------------------------

drop table AMY.F_PDISK_WEEK;

---------------------------------
-- monthly fact table: PDISK
---------------------------------

drop table AMY.F_PDISK_MONTH;

---------------------------------
---  PORT
---------------------------------

---------------------------------
---  PRNQUEUE
---------------------------------

---------------------------------
-- dimension table: PRNQUEUE metric
---------------------------------

drop table AMY.D_PRN_METRIC;
-- translation table
drop table AMY.T_PRN_METRIC;
-- trigger
drop trigger AMY.PRNQmt_i1;
-- sequence
drop sequence AMY.PRNQmt_id_seq restrict;

---------------------------------
-- dimension table: PRINTER
---------------------------------

drop table AMY.D_PRINTER;
-- translation table
drop table AMY.T_PRINTER;
-- trigger
drop trigger AMY.PRNQ_i1;
-- sequence
drop sequence AMY.PRNQ_id_seq restrict ;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_PRN_HR;

---------------------------------
-- hourly fact table: PRN
---------------------------------

drop table AMY.F_PRN_HOUR;

---------------------------------
-- daily fact table: PRN
---------------------------------

drop table AMY.F_PRN_DAY;

---------------------------------
-- weekly fact table: PRN
---------------------------------

drop table AMY.F_PRN_WEEK;

---------------------------------
-- monthly fact table: PRN
---------------------------------

drop table AMY.F_PRN_MONTH;

---------------------------------
---  PROCESS
---------------------------------

---------------------------------
-- dimension table: PROCESS
---------------------------------

drop table AMY.D_PROCESS;
-- translation table
drop table AMY.T_PROCESS;
-- trigger
drop trigger AMY.PROC_i1;
-- sequence
drop sequence AMY.PROC_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_PROCESS_HR;

---------------------------------
-- hourly fact table: PROCESS
---------------------------------

drop table AMY.F_PROCESS_HOUR;

---------------------------------
-- daily fact table: PROCESS
---------------------------------

drop table AMY.F_PROCESS_DAY;

---------------------------------
-- weekly fact table: PROCESS
---------------------------------

drop table AMY.F_PROCESS_WEEK;

---------------------------------
-- monthly fact table: PROCESS
---------------------------------

drop table AMY.F_PROCESS_MONTH;

---------------------------------
---  REDIR
---------------------------------

---------------------------------
---  RPC
---------------------------------

---------------------------------
---  SERVER
---------------------------------

---------------------------------
-- dimension table: SERVER metric
---------------------------------

drop table AMY.D_SERVER_METRIC;

-- translation table
drop table AMY.T_SERVER_METRIC;
-- trigger
drop trigger AMY.SRVRmt_i1;
-- sequence
drop sequence AMY.SRVRmt_id_seq restrict;

---------------------------------
-- dimension table: SERVER
---------------------------------

drop table AMY.D_SERVER;
-- translation table
drop table AMY.T_SERVER;
-- trigger
drop trigger AMY.SRVR_i1;
-- sequence
drop sequence AMY.SRVR_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_SERVER_HR;

---------------------------------
-- hourly fact table: SERVER
---------------------------------

drop table AMY.F_SERVER_HOUR;

---------------------------------
-- daily fact table: SERVER
---------------------------------

drop table AMY.F_SERVER_DAY;

---------------------------------
-- weekly fact table: SERVER
---------------------------------

drop table AMY.F_SERVER_WEEK;

---------------------------------
-- monthly fact table: SERVER
---------------------------------

drop table AMY.F_SERVER_MONTH;

---------------------------------
---  SERVICE
---------------------------------

---------------------------------
---  TCPIP
---------------------------------

---------------------------------
---  USER
---------------------------------

---------------------------------
-- dimension table: USER metric
---------------------------------

drop table AMY.D_USER_METRIC;
-- translation table
drop table AMY.T_USER_METRIC;
-- trigger
drop trigger AMY.USERmt_i1;
-- sequence
drop sequence AMY.USERmt_id_seq restrict;

-----------------------------
-- dimension table: USER
-----------------------------

drop table AMY.D_USER;
-- translation table
drop table AMY.T_USER;
-- trigger
drop trigger AMY.USER_i1;
-- sequence
drop sequence AMY.USER_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_USER_HR;

---------------------------------
-- hourly fact table: USER
---------------------------------

drop table AMY.F_USER_HOUR;

---------------------------------
-- daily fact table: USER
---------------------------------

drop table AMY.F_USER_DAY;

---------------------------------
-- weekly fact table: USER
---------------------------------

drop table AMY.F_USER_WEEK;

---------------------------------
-- monthly fact table: USER
---------------------------------

drop table AMY.F_USER_MONTH;

---------------------------------
-- dimension table:UserId
---------------------------------

drop table AMY.D_UserId;
-- trigger
drop trigger AMY.UserId_i1;
-- sequence
drop sequence AMY.UserId_ID_seq restrict;

--#endtag fixpack_500

--#iftag fixpack_600

---------------------------------
--- HOST 
---------------------------------


drop index AMY.host_ip_ad1;

---------------------------------
---  SYSTEM
---------------------------------

---------------------------------
-- dimension table: SYSTEM metric
---------------------------------

drop table AMY.D_SYSTEM_METRIC;
-- translation table
drop table AMY.T_SYSTEM_METRIC;
-- trigger
drop trigger AMY.SYSmt_i1;
-- sequence
drop sequence AMY.SYSmt_id_seq restrict;

---------------------------------
-- dimension table: SYSTEM
---------------------------------

drop table AMY.D_SYSTEM;
-- translation table
drop table AMY.T_SYSTEM;
-- trigger
drop trigger AMY.SYSTEM_i1;
-- sequence
drop sequence AMY.SYSTEM_id_seq restrict;

---------------------------------
-- staging hour fact table
---------------------------------

drop table AMY.STG_SYSTEM_HR;

---------------------------------
-- hourly fact table: SYSTEM
---------------------------------

drop table AMY.F_SYSTEM_HOUR;

---------------------------------
-- daily fact table: SYSTEM
---------------------------------

drop table AMY.F_SYSTEM_DAY;

---------------------------------
-- weekly fact table: SYSTEM
---------------------------------

drop table AMY.F_SYSTEM_WEEK;

---------------------------------
-- monthly fact table: SYSTEM
---------------------------------

drop table AMY.F_SYSTEM_MONTH;

--#endtag fixpack_600

--#iftag fixpack_660
-- do nothing...
--#endtag fixpack_660