-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amy/fixpack5/mart/dml/amy_mart_data.sql, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0503
-- #   Revision: 1.5
-- #   Date: 2/6/04 15:56:24
-- ############################################################################

--#iftag fixpack_600

---------------------------------------------
-- Rollup table
--------------------------------------------

-- create a temporary table for measurement source cd

declare global temporary table Rollup_Tables  (
  Msrc_Cd           char(3)     not null,
  Hourly_Fact_Table varchar(25) not null,
  Stage_Fact_Table  varchar(25) not null
)
with replace on commit preserve rows not logged
;

insert into session.Rollup_Tables values ('AMY','F_CPU_HOUR','STG_CPU_HR');
insert into session.Rollup_Tables values ('AMY','F_FILE_HOUR','STG_FILE_HR');
insert into session.Rollup_Tables values ('AMY','F_FS_HOUR','STG_FS_HR');
insert into session.Rollup_Tables values ('AMY','F_LDISK_HOUR','STG_LDISK_HR');
insert into session.Rollup_Tables values ('AMY','F_MEMORY_HOUR','STG_MEMORY_HR');
insert into session.Rollup_Tables values ('AMY','F_NETWORK_HOUR','STG_NETWORK_HR');
insert into session.Rollup_Tables values ('AMY','F_OS400ASP_HOUR','STG_OS400ASP_HR');
insert into session.Rollup_Tables values ('AMY','F_OS4KDISK_HOUR','STG_OS4KDISK_HR');
insert into session.Rollup_Tables values ('AMY','F_PDISK_HOUR','STG_PDISK_HR');
insert into session.Rollup_Tables values ('AMY','F_PRN_HOUR','STG_PRN_HR');
insert into session.Rollup_Tables values ('AMY','F_PROCESS_HOUR','STG_PROCESS_HR');
insert into session.Rollup_Tables values ('AMY','F_SERVER_HOUR','STG_SERVER_HR');
insert into session.Rollup_Tables values ('AMY','F_USER_HOUR','STG_USER_HR');

insert into session.Rollup_Tables values ('AMY','F_SYSTEM_HOUR','STG_SYSTEM_HR');

insert into AMX.Rollup_tables
select
 r.Msrc_Cd,
 r.Hourly_Fact_Table,
 r.Stage_Fact_Table
from
 session.Rollup_Tables r
where not exists
( select 1 from
  AMX.Rollup_tables t
  where
  r.Msrc_Cd=t.Msrc_Cd and
  r.Hourly_Fact_Table=t.Hourly_Fact_Table and
  r.Stage_Fact_Table=t.Stage_Fact_Table
);

-- Insert data into control table for pruning data from all fact tables.
-- A date duration is decimal(8,0) and has the format yyyymmdd.

declare global temporary table Prune_Mart_Control(
 Table_Name       varchar(120) not null,
 PMartC_Duration  decimal(8,0) not null
)
 with replace on commit preserve rows not logged
;

insert into session.Prune_Mart_Control values ('AMY.F_CPU_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_CPU_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_CPU_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_CPU_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_FILE_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_FILE_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_FILE_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_FILE_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_FS_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_FS_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_FS_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_FS_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_LDISK_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_LDISK_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_LDISK_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_LDISK_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_MEMORY_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_MEMORY_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_MEMORY_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_MEMORY_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_NETWORK_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_NETWORK_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_NETWORK_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_NETWORK_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_OS400ASP_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_OS400ASP_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_OS400ASP_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_OS400ASP_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_OS4KDISK_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_OS4KDISK_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_OS4KDISK_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_OS4KDISK_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PDISK_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PDISK_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PDISK_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PDISK_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PRN_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PRN_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PRN_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PRN_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PROCESS_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PROCESS_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PROCESS_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_PROCESS_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_SERVER_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_SERVER_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_SERVER_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_SERVER_MONTH',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_USER_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_USER_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_USER_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_USER_MONTH',00000300);

insert into session.Prune_Mart_Control values ('AMY.F_SYSTEM_HOUR',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_SYSTEM_DAY',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_SYSTEM_WEEK',00000300);
insert into session.Prune_Mart_Control values ('AMY.F_SYSTEM_MONTH',00000300);

insert into AMY.Prune_Mart_Control
select
  s.Table_Name as Table_Name,
  s.PMartC_Duration as PMartC_Duration
from
  session.Prune_Mart_Control s
where not exists
(
  select 1
  from
  AMY.Prune_Mart_Control t
  where
  t.Table_Name = s.Table_Name
);

--
-- 48964: fix the name of the metric 'ServerErroredOut' collected by the TMW_NetworkIntCard RM
--
UPDATE AMY.D_SERVER_METRIC
SET MET_NAME  = 'ServerErroredOut'
WHERE MET_NAME = 'SessionsErroredOut';

--#endtag fixpack_600

--#iftag fixpack_660
-- do nothing...
--#endtag fixpack_660