############################################################################
#
#  Licensed Materials - Property of IBM
#  5724-C01
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v110/misc/tools/AMY_m05_ETL2_Process.sh, BEA_PAC, wls_dev
#   Revision: 1.2
#   Date: 10/31/02 10:42:40
############################################################################

#
# This script allows you to run the AMY_m05_ETL2_Process 
# of the product Tivoli Monitoring for Databases: Oracle v1.1.0 
# by command line

# Interpreter Required:
#       NT/2000 = BASH
#       Unix    = SH (Bourne Shell)

# Install Steps Required Before this Script Executes:
#       1 - IBM Tivoli Monitoring v5.1.1 must be install
#       2 - AMX_c05_ETL1_Process must have been executed against the ITM RIM database
#           containing the oracle data 

# To do:
#       UserID and Passwords or the required databases 
# Examples
CDW_DB=twh_cdw
CDW_USER=db2admin
CDW_PW=db2admin

MART_DB=twh_mart
MART_USER=db2admin
MART_PW=db2admin

MD_DB=twh_md
MD_USER=db2admin
MD_PW=db2admin

# set -x

#Reset step
echo "Reset  step ..."
bash sqlscript.sh AMY AMY_m10_s010_reset_OS_data_mart $CDW_DB $CDW_USER $CDW_PW  $MART_DB $MART_USER $MART_PW 
if [ "$?" -ne "0" ] ; then
 echo "error in the Reset step"
 echo "$?"
 exit
fi
echo "Reset step finished"
echo ""

#Update step
echo "Update  step ..."
bash sqlscript.sh AMY AMY_c05_s010_Update $MART_DB $MART_USER $MART_PW $CDW_DB $CDW_USER $CDW_PW 
if [ "$?" -ne "0" ] ; then
 echo "error in the Update step"
 echo "$?"
 exit
fi
echo "Update step finished"
echo ""

#Mart_Pre_Extract step
echo "Starting Mart_Pre_Extract step ..."
bash sqlscript.sh AMY AMY_m05_s010_Mart_Pre_Extract $MART_DB $MART_USER $MART_PW
if [ "$?" -ne "0" ] ; then
 echo "error in the Mart_Pre_Extract step"
 echo "$?"
 exit
fi
echo "Mart_Pre_Extract step finished"
echo ""

#Mart_Extract step
echo "Starting Mart_Extract step ..."
bash sqlscript.sh AMY AMY_m05_s020_Mart_Extract $CDW_DB $CDW_USER $CDW_PW $MART_DB $MART_USER $MART_PW
if [ "$?" -ne "0" ] ; then
 echo "error in the Mart_Extract step"
 echo "$?" 
 exit
fi
echo "Mart_Extract step finished"
echo ""

#Mart_Load step
echo "Starting Mart_Load  step ..."
bash sqlscript.sh AMY AMY_m05_s030_Mart_Load $MART_DB $MART_USER $MART_PW $MART_DB $MART_USER $MART_PW
if [ "$?" -ne "0" ] ; then
 echo "error in the Mart_Load step"
 echo "$?" 
 exit
fi
echo "Mart_Load step finished"
echo ""

#Rollup step
echo "Starting Rollup step ..."
bash amx_rollup.sh AMY AMY_m05_s040_Rollup $MART_DB $MART_USER $MART_PW $MD_DB $MD_USER $MD_PW
if [ "$?" -ne "0" ] ; then
 echo "error in the Rollup step"
 echo "$?"
 exit
fi
echo "Rollup step finished"
echo ""

#Mart_Prune step
echo "Starting Mart_Prune step ..."
#bash sqlscript.sh AMY AMY_m05_s050_Mart_Prune $MART_DB $MART_USER $MART_PW
if [ "$?" -ne "0" ] ; then
 echo "error in the Mart_Prune step"
 echo "$?"
 exit
fi
echo "Mart_Prune step finished"
echo ""
